#! rnews 1312
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!strath-cs!jml
From: jml@cs.strath.ac.uk (Joseph McLean)
Newsgroups: sci.math
Subject: the extendability of digit sequences into primes
Message-ID: <753@stracs.cs.strath.ac.uk>
Date: 2 Dec 87 10:36:33 GMT
Reply-To: jml@cs.strath.ac.uk (Joseph McLean)
Organization: Comp. Sci. Dept., Strathclyde Univ., Scotland.
Lines: 19

Is the following conjecture reasonable and/or provable? :

Given a sequence of digits, starting with a non-zero digit, of arbitrary
but finite length, is it always possible to extend this sequence by
appending more digits, in such a way as to form a prime?

e.g. the sequence 1 can be extended into a prime in an infinite number
of ways, as in 13, 17, 19, 101, 1231, 1579, etc (there an infinite
number of primes beginning with a 1 by Bertrand's postulate).
However, it is far more difficult to try and locate a prime which
starts with the sequence 1528296922945708 (although at least one is known).

My personal opinion is that the conjecture is reasonable, simply because
one can keep adding digits at the end and checking for primality ad
infinitum, and the law of averages will do the rest. Of course this is
totally groundless mathematically, so can anyone provide a heuristic
argument with more weight?

        jml, the mad mathematician.
#! rnews 3077
Path: alberta!mnetor!uunet!husc6!psuvax1!burdvax!bigburd!fritzson
From: fritzson@bigburd.PRC.Unisys.COM (Richard Fritzson)
Newsgroups: comp.editors
Subject: Re: lisp environments (Structure vs. text editors)
Message-ID: <3375@bigburd.PRC.Unisys.COM>
Date: 14 Dec 87 02:11:18 GMT
References: <487@PT.CS.CMU.EDU> <460@cresswell.quintus.UUCP> <499@PT.CS.CMU.EDU>
Sender: news@bigburd.PRC.Unisys.COM
Organization: Unisys Corporation, Paoli Research Center; Paoli, PA
Lines: 56

In article <499@PT.CS.CMU.EDU> ralphw@IUS2.CS.CMU.EDU (Ralph Hyre) writes:
>In article <460@cresswell.quintus.UUCP> pds@quintus.UUCP (Peter Schachte) writes:
>>Text editors CANNOT simulate structure editors.  They can do a rather
>>feeble job of it.  Text editors fall down when context information is
>
>I disagree - a PROGRAMMABLE text editor can do anything you want.  This is
>because it's programmable.  Whether you're happy with the performance or a

Sure it can do anything. The best way for a programmable text editor to
simulate a structure editor would be for it to build an internal 
representation (or structure) or what was really being edited and then 
use its text manipulating primitives to show the user the effect of his 
editing commands on the structure that is "really" being edited. Now you've
shown that mocklisp (for example) is a language in which you can implement
a structure editor. I doubt if it is the best way to do it though.

>>...For example:  a structure editor can supply different commands, different
>>facilities, for editing comments and code.
>Seems like there's the potential here for moby modefulness.  I can't see
>why I would want different commands when I edit code compared with comments.

I don't know about "commands", but Common Lisp comments are nothing
like Common Lisp code (much to the shame of Common Lisp). I want the
characters I type in as comments treated differently than those I type in 
as parts of S-expressions.

>My interest is in an pseudo-WYSIWYG editor which gives you the option
>of entering/editing text without formatting attributes, then optionally 
>displaying the text with them. <...>This sort of decoupling between editing a
>document and a representation of a document could even be used to great
>advantage in many environments:

You're right. An editor which is really editing the structure underlying
the visual presentation of it IS a useful thing. 

>	A program code editor might actually be showing you variable names,
>	statements, and S-expressions while it is really writing the P-code
>	(or .lbin file) on the fly.
>	This could result in 'instant' language interpreter facilities and 
>	fast compilers.
>	[I admit that this might be hairy to program in MockLisp.]

But it is one of the reasons Xerox structure editor fans are fans.

>[disclaimer: I've never used a 'structure editor' 

No offense intended, but I could tell. If you write any Lisp you should
look for an opportunity to try SEdit on a D-machine.




-- 
	-Rich Fritzson
	 ARPA: fritzson@prc.unisys.com
	 UUCP: {sdcrdcf,psuvax1,cbmvax}!burdvax!fritzson
#! rnews 3135
Path: alberta!mnetor!uunet!husc6!cmcl2!brl-adm!umd5!ames!sdcsvax!sdcc6!loral!dml
From: dml@loral.UUCP (Dave Lewis)
Newsgroups: rec.arts.movies
Subject: Re: Live Action Amber Films
Summary: Use Zelazny's descriptions!
Message-ID: <1496@loral.UUCP>
Date: 14 Dec 87 06:41:04 GMT
References: <349@morningdew.BBN.COM> <2620001@hpcvlx.HP.COM>
Reply-To: dml@loral.UUCP (Dave Lewis)
Followup-To: rec.arts.movies
Distribution: na
Organization: Loral Instrumentation, San Diego
Lines: 59

In article <2620001@hpcvlx.HP.COM> markc@hpcvlx.HP.COM (Mark Cook) writes:
>>/ hpcvlx:rec.arts.movies / dkovar@lf-server-2.BBN.COM (David Kovar) /  7:07 am  Dec  9, 1987 /
>>
>>  Well, someone else was wondering who would be the actors in a Tolkien
>>film which brought to mind a favorite question of mine from a few years
>>back: Who would play the parts of a Amber film? I used to have the

>>Corwin: Mel Gibson

Jonathan Pryce. From "Something Wicked This Way Comes".

>  even better, how about Timothy Dalton (James Bond isn't the only thing he

>>Brand: (Who's the guy from Kiss who was in Runaway?)

>  You mean Gene Simmons.  Well, he could play the part but he has to look like

  No way. Brand is "a figure both like Bleys and myself. My features, though
smaller, my eyes, Bleys' hair. There was a quality of both strength and weak-
ness, questing and abandonment about him." This is Corwin speaking, of course.

  And Bleys is "a fiery bearded, flame-crowned man, dressed all in red and
orange, mainly of silk stuff, and he held a sword in his right hand and a
glass of wine in his left, and the devil himself danced behind his eyes, as
blue as Flora's, or Eric's. His chin was slight, but the beard covered it."

  I can't think of anyone offhand for either part, but I nominate Gene Simmons
to play Caine: "Then came the swarthy, dark-eyed countenance of Caine, dressed
all in satin that was black and green, wearing a dark three-cornered hat set
at a rakish angle, a green plume of feathers trailing down the back." (Yeah,
I got "Nine Princes in Amber" lying right next to the keyboard here)

  Random: "a wily-looking little man, with a sharp nose and a laughing mouth
and a shock of straw-colored hair." How about Dudley Moore (with his hair
bleached, of course).

  Dierdre: "a black-haired girl with [Flora's] blue eyes, and her hair hung
long and she was dressed all in black, with a girdle of silver about her
waist." Lee Meriwether or Kate Jackson.

  Fiona: "with hair like Bleys or Brand, [Corwin's] eyes, and a complexion
like mother of pearl.  Ann-Margret!

  That's all for now; if people are interested I can type in the whole 2-1/2
pages of descriptions so we'll REALLY have something to argue over.

-------------------------------
          Dave Lewis    Loral Instrumentation   San Diego

  hp-sdd --\     ihnp4 --\
  sdcrdcf --\      bang --\   kontron -\
  csndvax ---\   calmasd -->-->!crash --\
  celerity --->------->!sdcsvax!sdcc3 --->--->!loral!dml  (uucp)
  dcdwest ---/                 gould9 --/

  "I'm alive and he's dead and that's the way I wanted it."
   -- Corwin, about Borel

-------------------------------
#! rnews 2421
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!strath-cs!jim
From: jim@cs.strath.ac.uk (Jim Reid)
Newsgroups: comp.mail.headers
Subject: Re: RFC976 vs. the real world...
Message-ID: <754@stracs.cs.strath.ac.uk>
Date: 2 Dec 87 12:51:51 GMT
References: <18533@amdahl.amdahl.com>
Reply-To: jim@cs.strath.ac.uk
Organization: Comp. Sci. Dept., Strathclyde Univ., Scotland.
Lines: 40

In article <18533@amdahl.amdahl.com> tron@uts.amdahl.com (Ronald S. Karr) writes:
>Some Introduction:
>However, we have conflicting ideas concerning what to do with sender
>addresses in headers.  We do, now, support the idea that a pure !-path
>coming in can be left as a !-path, with the current hostname prepended
>(this is optional and is a function of the destination).  However,
>should I ever produce, in mail originated locally, a From: line in the
>following form?
>
>	From: localhost!username

The answer is perhaps. In an ideal world, everyone will adhere to one
standard for mail headers - RFC822 possibly, but X.400 is more likely.
Until that glorious day arrives (if it ever does), mailers at the mail
'gateways' between networks will have little option but to munge
addresses because of incompatible mail headers and addressing formats.

What you mail system should do is rewrite mail headers into the
appropriate form for transmission to a given host. In short, if your
uucp neighbours only understand bang-style addresses, you mailer should
only present bang-style paths to these sites. If some sites understand
RFC822 (user@host.domain), then you should send them RFC822 style mail.
What would be less easy for the mailer is separating your bang-stlye
uucp neighbours from those who understand RFC822.

The best mailers (MMDF or sendmail - no flames please!) take an input
address, convert it to a canonical form and then rewrite the address in
the appropriate style for the message transfer agent. This is the most
sensible way of dealing with hybrid addresses like A!B@C. [Does that
mean send by uucp to A for relaying to user B on host C or does it mean
send to C for them to relay to user B on uucp host A? Then what if C
(or A) doesn't like addresses with '!' (or '@') signs in them?]

		Jim
-- 
ARPA:	jim%cs.strath.ac.uk@ucl-cs.arpa, jim@cs.strath.ac.uk
UUCP:	jim@strath-cs.uucp, ...!seismo!mcvax!ukc!strath-cs!jim
JANET:	jim@uk.ac.strath.cs

"JANET domain ordering is swapped around so's there'd be some use for rev(1)!"
#! rnews 3873
Path: alberta!mnetor!uunet!husc6!cmcl2!brl-adm!umd5!ames!sdcsvax!sdcc6!loral!dml
From: dml@loral.UUCP (Dave Lewis)
Newsgroups: rec.arts.sf-lovers
Subject: Re: One more long-gone show
Summary: What S. F. movies should be
Keywords: Questor
Message-ID: <1497@loral.UUCP>
Date: 14 Dec 87 06:45:22 GMT
References: <1672@bsu-cs.UUCP>
Reply-To: dml@loral.UUCP (Dave Lewis)
Followup-To: rec.arts.sf-lovers
Distribution: na
Organization: Loral Instrumentation, San Diego
Lines: 64

In article <1672@bsu-cs.UUCP> cfchiesa@bsu-cs.UUCP (Christopher F. Chiesa) writes:
>Anyone remember a movie called _The_Questor_Tapes_ ?  Basic premise: gov't
>project constructs an android according to eccentric scientist's specs; and-

>C.Chiesa

  Yea, verily, I recall The Questor Tapes. I've forgotten the scientist's
name, but he was a very rich and secretive genius known for several major
advances in robotics and cybernetics. About 2 years previous to the start
of the movie, he had disappeared, leaving only a partially completed project
he called Questor. Much of the work was complete, including a small fusion
reactor, most of the brain, and a lot of the support machinery. He also left
a BIG mag tape of programs, which some government idiot had partially erased
while trying to decode it. Questor, when activated, did nothing; the team
that assembled him figured it was because of the bad tape.

  Late that night, Questor got up, used the 'finishing' molds to give himself
human features, and walked out. The scientist had known one member of the
Questor-assembly team and put his name and address on the program tape; by
good fortune it had survived the attempted decoding. Questor knows only that
he must find `a boat' -- other details have been erased.

  The government catches up with them in a playground and some fool shoots
Questor. Apparently the shock knocks some bits loose because when he sees
a jungle gym that looks like Noah's Ark he remembers, "the boat, the boat
of legend. [whatsisname] is waiting for me there." He also remembers that
if he doesn't find the scientist within about two days, his fusion power
supply is programmed to overload and blow up.

  They patch him up and he leads them a merry chase to Mt. Ararat where he
finds his creator in a cave hidden by a force barrier/hologram projection.
There is a long row of metallic slabs suspended about a meter above the
floor; on each lies a defunct robot. Each one wears clothing from a time
far earlier than the next. Questor's creator lies on the second to last
slab, still conscious but unable to move.

  These robots have been watching over the human race for more than ten
thousand years. Each one lasts two hundred years, then builds his successor.
Questor's predecessor was brought to an early end by some combination of
pollution and radiation exposure; he has provided Questor with extra
shielding so he will last the full two centuries.

  Questor is the last. By the end of his term, the human race will have
reached a point where we can make our own decisions without guidance.
The robots were placed here by some advanced aliens to see us through our
racial childhood, to allow us a chance to mature and achieve whatever
potential we have.

  The Questor Tapes was an excellent movie, one makers of more recent films
should take a lesson from. Very few other movies have impressed me as much
as "2001: A Space Odyssey" and "The Questor Tapes". They show up the likes
of"Close Encounters of the Third Kind" and "E.T." for the vapid silliness
they are.

-------------------------------
          Dave Lewis    Loral Instrumentation   San Diego

  hp-sdd --\     ihnp4 --\
  sdcrdcf --\      bang --\   kontron -\
  csndvax ---\   calmasd -->-->!crash --\
  celerity --->------->!sdcsvax!sdcc3 --->--->!loral!dml  (uucp)
  dcdwest ---/                 gould9 --/

-------------------------------
#! rnews 1384
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!jack
From: jack@cs.hw.ac.uk (Jack Campin)
Newsgroups: rec.arts.sf-lovers
Subject: Re: M. John Harrison
Message-ID: <1560@brahma.cs.hw.ac.uk>
Date: 2 Dec 87 18:20:17 GMT
References: <1950@charon.unm.edu>
Reply-To: jack@cs.glasgow.ac.uk (Jack Campin)
Organization: PISA Project, Glesga Yoonie
Lines: 23
Summary:

Expires:

Sender:

Followup-To:




[ignore the above address and use my signature]


By far the best thing I have read by MJH is a long short story called
"Running Down", about a man with unwanted psychic powers that cause things
to malfunction, decay and fall apart around him. It is set in a Britain
in the near future of when the story was written (i.e. about now) in which
the whole society reflects a similar dingy, pointless chaos - remarkably
like Britain after 8 years of Thatcher, in fact.
He's very good at describing that sort of situation - his novel "The Centauri
Device" does it at length, though his suggested political solution is bloody
stupid. His understanding of anarchism is about on a level with Robert Anton
Wilson's.

- jack

-- 
ARPA: jack%cs.glasgow.ac.uk@nss.cs.ucl.ac.uk
JANET:jack@uk.ac.glasgow.cs       USENET: ...mcvax!ukc!cs.glasgow.ac.uk!jack
Mail: Jack Campin, Computing Science Department, University of Glasgow,
      17 Lilybank Gardens, Glasgow G12 8QQ, Scotland (041 339 8855 x 6045)
#! rnews 1188
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!jack
From: jack@cs.hw.ac.uk (Jack Campin)
Newsgroups: rec.music.classical
Subject: Re: Tippett
Message-ID: <1561@brahma.cs.hw.ac.uk>
Date: 2 Dec 87 18:38:20 GMT
References: <1950@bath63.ux63.bath.ac.uk>
Reply-To: jack@cs.glasgow.ac.uk (Jack Campin)
Organization: PISA Project, Glesga Yoonie
Lines: 15
Summary:

Expires:

Sender:

Followup-To:



[ignore the above email address and use my signature]
Tippett moved on a LONG way musically after "A Child Of Our Time".
I believe his masterpiece is the Triple Concerto for violin, viola and cello.
There is a wonderful recording of it by Pauk, Imai and Kirschbaum with the LSO
under Davis.
A problem I find with a lot of his music is the silly words. The man really
shouldn't have tried writing his own libretti that often.
I believe he's got another opera in the pipeline, due for its premiere in the
next few months.
-- 
ARPA: jack%cs.glasgow.ac.uk@nss.cs.ucl.ac.uk
JANET:jack@uk.ac.glasgow.cs       USENET: ...mcvax!ukc!cs.glasgow.ac.uk!jack
Mail: Jack Campin, Computing Science Department, University of Glasgow,
      17 Lilybank Gardens, Glasgow G12 8QQ, Scotland (041 339 8855 x 6045)
#! rnews 894
Path: alberta!mnetor!uunet!mcvax!ukc!eagle!jg
From: jg@eagle.ukc.ac.uk (J.Grant)
Newsgroups: comp.sys.mac
Subject: The Spinning watch cursor
Message-ID: <4023@eagle.ukc.ac.uk>
Date: 3 Dec 87 14:59:09 GMT
Reply-To: jg@ukc.ac.uk (J.Grant)
Organization: Computing Lab, University of Kent at Canterbury, UK.
Lines: 11

OK - I've changed my spinning watch back into the lovely sand-timer
(remember the good old days?);  I've changed the CURS resource in the
Finder and also in the System so that I have various quantities
of sand in the top & bottom, but there is still a watch lurking!

More precisely, where does the watch that says 9 o'clock live, as
now I get the magic watch followed by the sand1->7, then the watch
again as the cycle repeats.  This only happens in the Finder, so I
suspect that there must be a watch lurking elsewhere, but where?

Ps. system 4.2b(5?) & Finder 6.0 (Mac 512Ke)
#! rnews 3539
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!csnjr
From: csnjr@its63b.ed.ac.uk (Nick Rothwell)
Newsgroups: rec.music.synth,rec.music.makers
Subject: Casio MG500, Roland MT-32, MIDI bug? [LONG]
Summary: Where's the MIDI bug in this lot?:
Keywords: MG500 MT-32 MIDI
Message-ID: <805@its63b.ed.ac.uk>
Date: 3 Dec 87 13:10:56 GMT
Reply-To: nick%ed.lfcs@uk.ac.ucl.cs.nss (Nick Rothwell)
Organization: LFCS, University of Edinburgh
Lines: 46
Xref: alberta rec.music.synth:1879 rec.music.makers:1070

Last weekend a friend and I strolled into a music shop and ended up playing
with the new Casio MG500 MIDI guitar linked into a Roland MT-32. I don't
play guitar, and was just along for the curiosity, but I've got a few comments
to make and a question about what I consider to be a MIDI bug in one of the
instruments.
   Firstly - the performance of the MG500. I wasn't actually playing it (I was
just pushing buttons on the MT-32 instead), but I was impressed with its
speed and tracking ability - it was fast and followed pitch accurately,
responding to pitch bend and so on; it generally sounded pretty tight.
There were a couple of things I didn't like - but maybe it's a generic
weakness of all guitar-to-MIDI systems. Firstly, the guitar transmits
velocity information (hit the string harder -> louder/brighter note), but
gives no control (other than pitch-bend) once a note's sounding - there's
nothing equivalent to aftertouch/modulation so once a note sounds you're
at the mercy of the synth until you stop the string.
Point two - You've got six strings, so you can only sound six synth voices.
This is probably obvious, but playing a guitar patch through MIDI doesn't
sound like a real guitar, because each touch of a string retriggers the voice
on that string, sometimes in a rather distracting way. On a real (classical)
guitar you have the resonance of the soundbox to hang on to notes so you
aren't aware of this (I presume - comments?)
Now for what is (in my opinion) a MIDI Bug! Play two different notes on
two strings and you get two voices - ok so far. Play the same note on two
different strings and you get one voice. Humm. Play two different notes on
two strings and slide one note up to the other, and one of the voices is
chopped off. I think this is a bug - something somewhere doesn't want to
the same note more than once. Needless to say, this completely screws up
a number of guitar chords.
   We mentioned this to the guy in the shop. He seemed convinced that it's
a problem with the MIDI spec. itself - if you play a keyboard synth, you
have to release the middle C key to play it again, don't you? I think this
is a load of dingos kidneys - if I send my D-50 two separate middle C
note on messages, then I'll get two voices cycling through the envelopes at
middle C pitch. This is what happens with the sustain pedal on, as well.
   What's the verdict, net people? I think the guy was wrong (quite adamant,
but wrong...) and there's a bug in one of the boxes. I suspect the MG500.
If the MT-32 is anything like the D-50, then it doesn't care about playing
the same note twice. (A quick note in passing that synths with less voices
(Juno106 for instance) often won't double a voice, in an attempt to play
chords properly without running out.)
-- 
Nick Rothwell,	Laboratory for Foundations of Computer Science, Edinburgh.
		nick%lfcs.ed.ac.uk@nss.cs.ucl.ac.uk
		<Atlantic Ocean>!mcvax!ukc!lfcs!nick
~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~
"Nothing's forgotten. Nothing is ever forgotten."   - Herne
#! rnews 1505
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!bath63!pes
From: pes@ux63.bath.ac.uk (Smee)
Newsgroups: comp.sys.atari.st
Subject: Re: Resource file question
Keywords: resource mwc rcs .rsc dri c
Message-ID: <1963@bath63.ux63.bath.ac.uk>
Date: 3 Dec 87 10:33:26 GMT
References: <1592@wiley.UUCP>
Reply-To: pes@ux63.bath.ac.uk (Smee)
Organization: AUCC c/o University of Bath
Lines: 19


You might try looking to see if K-Resource is still available (by Kuma Software,
who else?).  It's been out a long while.  It's now available bundled with some
of the MetaComCo stuff (in particular the new Lattice C) but I believe that
Kuma still do it separately as well.  Don't have a clue what it costs, but
must be cheaper than a new compiler.

It produces (by switch option) appropriate 'include' type files for C,
FORTRAN, and 2 other languages which I've conveniently forgotten -- in
addition to the expected .RSC file.  Will also produce a 'non-specific
structured description' file (they say, I've never tried this) which is
alleged to be pretty easy to massage into an appropriate 'include' for
any unsupported language you might like.

The documentation is written in a bit of a 'too-folksy' style for my liking,
but the program is pretty intuitive to use which makes up for some of that.
It does, however, assume that you have some sort of a clue as to what the
various resource items/flags mean and do -- it doesn't teach you how to use
RSC files or what they mean, but rather gives a handle for making them.
#! rnews 1258
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!neil
From: neil@cs.hw.ac.uk (Neil Forsyth)
Newsgroups: comp.sys.atari.st
Subject: Bug in bets test Gulam
Keywords: none
Message-ID: <1562@brahma.cs.hw.ac.uk>
Date: 3 Dec 87 09:46:32 GMT
Organization: Computer Science, Heriot-Watt U., Scotland
Lines: 28


I think I have found a bug in the latest version of Gulam.

         alias test 'echo $<'

produces a couple of spurious charcters on the input line.

         $<%&

The characters are usually above $80. The alpha version didn't do this.
I just delete them by backspacing anyway.

         echo $<

by itself works fine.

-------------------------------------------------------------------------------
"I think all right thinking people in this country are sick and tired of being
told that ordinary decent people are fed up in this country with being sick and
tired. I'm certainly not and I'm sick and tired of being told that I am!"
- Monty Python

 Neil Forsyth                           JANET:  neil@uk.ac.hw.cs
 Dept. of Computer Science              ARPA:   neil@cs.hw.ac.uk
 Heriot-Watt University                 UUCP:   ..!ukc!cs.hw.ac.uk!neil
 Edinburgh
 Scotland
-------------------------------------------------------------------------------
#! rnews 1009
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!jack
From: jack@cs.hw.ac.uk (Jack Campin)
Newsgroups: comp.sys.mac
Subject: Re: how strong of a magnet?
Message-ID: <1564@brahma.cs.hw.ac.uk>
Date: 3 Dec 87 18:59:42 GMT
References: <9554@shemp.UCLA.EDU>
Reply-To: jack@cs.glasgow.ac.uk (Jack Campin)
Organization: PISA Project, Glesga Yoonie
Lines: 12
Summary:

Expires:

Sender:

Followup-To:



[ignore the above email address and use my signature]
This may be an FOAF story (urban folklore) but I have heard that the mag-lev
train at Birmingham Airport lets enough field into the passenger compartment
to wipe floppies.
Then again, I have also heard that story about ordinary underground railways
and it certainly isn't true of them.
-- 
ARPA: jack%cs.glasgow.ac.uk@nss.cs.ucl.ac.uk
JANET:jack@uk.ac.glasgow.cs       USENET: ...mcvax!ukc!cs.glasgow.ac.uk!jack
Mail: Jack Campin, Computing Science Department, University of Glasgow,
      17 Lilybank Gardens, Glasgow G12 8QQ, Scotland (041 339 8855 x 6045)
#! rnews 988
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!csan
From: csan@its63b.ed.ac.uk (Andie)
Newsgroups: comp.sys.atari.st
Subject: Re: Resource file question
Keywords: Kuma
Message-ID: <808@its63b.ed.ac.uk>
Date: 3 Dec 87 23:08:12 GMT
References: <1592@wiley.UUCP> <1298@saturn.ucsc.edu>
Reply-To: csan@its63b.ed.ac.uk (Andie)
Organization: Computer Science Department, Edinburgh University
Lines: 14

In article <1298@saturn.ucsc.edu> koreth@ssyx.ucsc.edu (Steven Grimm) writes:
>
>Kuma Software makes the best resource editor I've seen.  It's called
>"K-Resource" and is a really friendly, well-thought-out piece of software.
>
I am in total agreement here. I use it in preference to any others I have.

Andie Ness . Department of Computer Science ,Edinburgh University.

ARPA:  csan%ed.itspna@nss.cs.ucl.ac.uk   UUCP:  ...!uunet!mcvax!ukc!itspna!csan
                   	JANET: csan@uk.ac.ed.itspna

% These are my own views and any resemblance to any coherent reasoning is
% probably a typo.
#! rnews 852
Path: alberta!mnetor!uunet!mcvax!ukc!stc!idec!howellg
From: howellg@idec.stc.co.uk (Gareth Howell)
Newsgroups: rec.ham-radio.packet,comp.protocols.tcp-ip
Subject: NEEDED: KISS for TNC220
Message-ID: <869@idec.stc.co.uk>
Date: 1 Dec 87 09:05:59 GMT
Organization: ICL Network Systems, Stevenage, Herts. UK
Lines: 12
Xref: alberta rec.ham-radio.packet:767 comp.protocols.tcp-ip:1918

I have a Pacomm TNC220 on which I want to run KISS and thence the KA9Q
tcp/ip package.  Unfortunately I don't have a KISS for the TNC.
Can anybody help.  I would prefer the co-resident bootstrap with a
downloaded KISS module if possible.
ta Gareth
====

-- 
Gareth Howell  <howellg@idec.stc.co.uk>  G6KVK @ IO91VX
ICL NS PNBC, England, SG1 1YB    Tel:+44 (0)438 738294
howellg%idec%ukc@mcvax.uucp, mcvax!ukc!idec!howellg@uunet.uu.net
G6KVK @ G4SPV (uk packet 144.650MHz)
#! rnews 710
Path: alberta!mnetor!uunet!mcvax!ukc!stc!hilda
From: hilda@tcom.stc.co.uk ( Jeff Tracey )
Newsgroups: rec.arts.sf-lovers
Subject: Thunderbirds are GO!!!
Keywords: FAB
Message-ID: <1503@arran.tcom.stc.co.uk>
Date: 2 Dec 87 10:54:39 GMT
Organization: STC Telecoms, London N11 1HB.
Lines: 14

A few quick trivia questions on Thunderbirds :-

1) Does anybody know what the phrase 'FAB' stands for ??? 

2) What's the first mission that International Rescue accomplished ?

3) What's the Butler's name on the Island AND who is his daughter ? 


Regards,

Steve Hillyer.  <hilda@tcom.stc.co.uk> || ...uunet!mcvax!ukc!stc!hilda
STC Telecommunications, Oakleigh Rd South, London N11 1HB. 
Phone : +44 1 368 1234 x3358
#! rnews 1159
Path: alberta!mnetor!uunet!mcvax!ukc!stc!btnix!crouch
From: crouch@btnix.axion.bt.co.uk (Chris Rouch)
Newsgroups: comp.os.vms
Subject: callable TPU?
Keywords: TPU callable editor
Message-ID: <632@btnix.axion.bt.co.uk>
Date: 3 Dec 87 11:33:58 GMT
Organization: British Telecom Research Labs, Martlesham Heath, IPSWICH, UK
Lines: 17

I read somewhere that there is a callable version of EDT, available by using
EDT$EDIT(...). Does anyone know if there is a similar function for the TPU
editor and/or other commands such as MAIL, PRINT etc. If somebody could
also point me in the direction of the VMS manual which contains this
information (assuming there is one), I would be very grateful.

		Chris Rouch

--------------------------------------------------------------------------------
vax to vax (UUCP)       CRouch@axion.bt.co.uk (...!ukc!btnix!crouch)
desk to desk            RT3124, 310 SSTF,
			British Telecom Research Laboratories,
			Martlesham Heath, IPSWICH, IP5 7RE, UK.
voice to voice          +44 473 646093

	"Ours is not to look back, ours to continue the crack."
--------------------------------------------------------------------------------
#! rnews 1090
Path: alberta!mnetor!uunet!mcvax!ukc!stc!pete
From: pete@tcom.stc.co.uk (Peter Kendell)
Newsgroups: rec.music.classical
Subject: Durufle virgin seeks advice
Message-ID: <483@stc-f.tcom.stc.co.uk>
Date: 3 Dec 87 11:50:35 GMT
Organization: STC Telecoms, London N11 1HB.
Lines: 25


	Being curious, as the name was completely new to me, I borrowed 
	the Hyperion CD of Durufle's Requiem from my local public 
	library. I enjoyed it very much and would like to find out more
	about him, so :-

	- What else has he written? (I believe he's not been very prolific)
	
	- What else has been recorded?
	
	- Is his other work similar to the Requiem; it is better, worse or
	  just different?

	- I thought I heard a Holst influence; is this typical?

	- Are there other 20th Century composers in a similar vein that I
	  should try?

	
	
-- 
------------------------------------------------------------------------------
|		  Peter Kendell <pete@tcom.stc.co.uk>	        	     |
|				...{uunet!}mcvax!ukc!stc!pete		     |
------------------------------------------------------------------------------
#! rnews 1235
Path: alberta!mnetor!uunet!mcvax!ukc!stc!praxis!gauss!drb
From: drb@praxis.co.uk (David Brownbridge)
Newsgroups: comp.unix.wizards
Subject: Re: //host vs "mount point"
Message-ID: <1606@newton.praxis.co.uk>
Date: 3 Dec 87 12:42:36 GMT
References: <648@tut.cis.ohio-state.edu> <1668@tut.cis.ohio-state.edu> <38c15248.4580@hi-csc.UUCP> <9559@mimsy.UUCP> <411@PT.CS.CMU.EDU>
Sender: nobody@praxis.co.uk
Reply-To: drb%praxis.uucp@ukc.ac.uk(David Brownbridge)
Organization: Praxis Systems plc, Bath, UK
Lines: 19

In article <411@PT.CS.CMU.EDU> jgm@K.GP.CS.CMU.EDU (John Myers) writes:
>Just to add to the confusion, let me put in a plug in for the Carnegie-Mellon
>University Computer Science Department's syntax:
>
>/../host

We built a system which also allowed super-super-roots and so on ad infinitum.

 /../NearbyHost
 /../../OtherSite/host
 /../../../OtherCountry/AnotherSite/host

"/.." makes sense to me which is why I promoted it as the "University of
Newcastle upon Tyne Computing Laboratory's syntax" :-) Some old-timers must
remember the "Newcastle Connection" distributed UNIX system which Lindsay
Marshall and I wrote in 1981-2.

"Not for the iron fist but for the helping hand" 
[Billy Bragg/Oyster Band "Between The Wars"]
#! rnews 1785
Path: alberta!mnetor!uunet!mcvax!ukc!stc!datlog!slxsys!jpp
From: jpp@slxsys.specialix.co.uk (John Pettitt)
Newsgroups: comp.unix.xenix
Subject: Re: smail2.5
Summary: smail on xenix without writing new programs
Keywords: At last, a 'real' mailer for Xenix (are you listening SCO) :-)
Message-ID: <106@slxsys.specialix.co.uk>
Date: 3 Dec 87 06:44:07 GMT
References: <484@rel.eds.com>
Reply-To: jpp@slxsys.UUCP (John Pettitt)
Organization: Specialix International, London, UK.
Lines: 27

In article <484@rel.eds.com> bob@rel.eds.com (Bob Leffler) writes:
>During the last several weeks there have been numerous solutions posted to
>the net to resolved the interface problem with Xenix and smail 2.5.  I
>have tried all the solutions that I am aware of and my conclusion for the
>best approach is a combination of two.

	lots of stuff about how to install smail deleted.

I have just installed smail 2.5 on Xenix 386.  The solution I used
here was to replace /usr/lib/mail/execmail with a link to (copy of)
/bin/smail.  I also moved the old sco execmail to execmail.sco and used
it as the local delivery agent.  The above will not work as it stands
because the command syntax for execmail is not the same as smail. This
can be corrected by swapping the meaning of the -F and -f switches in
smail (main.c and defs.h).   The local delivery macro in defs.h should
be set to give /usr/lib/mail/execmail.com -f from to.   With this
setup you get the sco mailer (mailx) and smail with both From and From:
lines correct.  Also as execmail is still used for 'local' delivery
micnet (sco's RS232 "LAN") still works.




-- 
John Pettitt G6KCQ, CIX jpettitt, Voice +44 1 398 9422
UUCP:  ...uunet!mcvax!ukc!pyrltd!slxsys!jpp  (jpp@slxsys.co.uk)
Disclaimer: I don't even own a cat to share my views !
#! rnews 1287
Path: alberta!mnetor!uunet!mcvax!lambert
From: lambert@cwi.nl (Lambert Meertens)
Newsgroups: sci.math
Subject: Re: Least-squares fitting
Message-ID: <135@piring.cwi.nl>
Date: 5 Dec 87 14:41:10 GMT
References: <1823@culdev1.UUCP>
Organization: CWI, Amsterdam
Lines: 28

In article <1823@culdev1.UUCP> drw@culdev1.UUCP (Dale Worley) writes:
) Is is known how to perform least-squares fitting where the "error" is
) the perpendicular distance between the point and the line?

This least-squares fit still passes through the "center of gravity" of the
data points, so assume that the data has been reduced such that the
averages of the x- and y-coordinates are both zero.  Let the equation of
the line to be determined be

    x*(sin phi) - y*(cos phi) = 0,

that is, it is the line making an angle phi with the x-axis.  Put

    XX = SUM_i x[i]^2,
    XY = SUM_i x[i]*y[i],
    YY = SUM_i y[i]^2.

Then tan(2*phi) = 2*XY/(XX-YY).

This gives two solutions for phi.  Take the one such that the point
(XX-YY, 2*XY) lies on the ray through the origin with angle 2*phi.
(Remark.  It is possible to solve the coefficients for x and y
algebraically, without going through the arctan routine, but it is harder
then to get the signs correct.)

-- 

Lambert Meertens, CWI, Amsterdam; lambert@cwi.nl
#! rnews 852
Path: alberta!mnetor!uunet!mcvax!inria!imag!bordier
From: bordier@imag.UUCP (Jerome Bordier)
Newsgroups: comp.sys.mac
Subject: Re: Arabic Wordprocessing / Publishing
Message-ID: <2285@imag.UUCP>
Date: 4 Dec 87 10:24:35 GMT
Reply-To: bordier@imag.UUCP (Jerome Bordier)
Organization: IMAG, University of Grenoble, France
Lines: 14

"Winsoft", a small firm developping and selling software for the Macintosh,
has made "Wintext", a word processor fully compatible with the "Arabic
Macintosh+" (you have to obtain the Arabic keyboard distributed by Apple).
Their address is:
	Winsoft
	34 boulevard de l'Esplanade
	38000 GRENOBLE   France
Phone no.:   76.87.56.01

-- 
Jerome BORDIER   Laboratoire Structures Discretes  Institut IMAG
		 B.P.68 - 38402 SAINT MARTIN D'HERES CEDEX   France
E.Mail:
bordier@imag.imag.fr   or   {uunet.uu.net|mcvax}!imag!bordier
#! rnews 1182
Path: alberta!mnetor!uunet!mcvax!inria!rouaix
From: rouaix@inria.UUCP (Francois Rouaix)
Newsgroups: comp.sys.amiga
Subject: POPCLI III Another Bug
Keywords: left-amiga-esc timing
Message-ID: <587@inria.UUCP>
Date: 5 Dec 87 17:45:19 GMT
Organization: INRIA, Rocquencourt. France
Lines: 20


	Well, it seems there is another bug in Popcli III.
	Just try 
		1> run popcli 30
	and then press Left-Amiga-Esc: the drive (where c: is) spins for
	a moment and nothing happens.
	The new 'screen-blanker' works all right but the automatic launch
	is defeated.
	Same for values of 10 and 40 seconds.
	I didn't have time to figure out the limit value for which Popcli will
	work (it works with default value and 240s).
	Anyway, despite I *love* the new feature (let's keep the secret :-),
	I'd rather have the old screen-blanker : at least I can sleep while
	the Amiga is still on and working, and also it won't eat CPU-time I
	need for Ray-tracing !!
-- 

*- Francois Rouaix                    /       When the going gets tough,     *
*- USENET:rouaix@inria.inria.fr     \/            the guru goes meditating...*
*  SYSOP of Sgt. Flam's Lonely Amigas Club. (33) (1) 39-55-84-59 (Videotext) *
#! rnews 539
Path: alberta!mnetor!uunet!husc6!uwvax!rutgers!lll-lcc!ames!sdcsvax!ucsdhub!hp-sdd!ncr-sd!crash!pnet01!hhaller
From: hhaller@pnet01.cts.com (Harry Haller)
Newsgroups: comp.dcom.modems
Subject: Re: Facsimile on PC
Message-ID: <2140@crash.cts.com>
Date: 14 Dec 87 04:36:13 GMT
Sender: news@crash.cts.com
Organization: People-Net [pnet01], El Cajon, CA
Lines: 4

There is a board you can plug into the backplane that purports to give you
full FAX capability with editing. Of course, I forget the name, but if you
look in the literature...
()
#! rnews 1436
Path: alberta!mnetor!uunet!husc6!uwvax!rutgers!lll-lcc!ames!sdcsvax!ucsdhub!hp-sdd!ncr-sd!crash!pnet01!dm
From: dm@pnet01.cts.com (Dan Melson)
Newsgroups: rec.aviation
Subject: Re: ARSA transition phraseology
Message-ID: <2141@crash.cts.com>
Date: 14 Dec 87 06:16:11 GMT
Sender: news@crash.cts.com
Organization: People-Net [pnet01], El Cajon, CA
Lines: 21

The question was asked why an ARSA controller might want to know your
destination.

Actually, what they really want to know is where you're going *now*, like
'direct PMD' or 'following I5 northbound' (I have *no* idea of what type of
airspace that will take you through at any given altitude) or whatever course,
heading, or whatever you intend to take through the ARSA.

Now, if you're going to get flight following, the controller is going to want
to know your complete route of flight for which you want flight following,
so that it can be entered into the machine and the autumated handoffs can be
used between sectors and facilities.

As for why, that's very simple.  For purposes of calling traffic, which I
consider to be sufficient, if no one else does.  The same reason the
controller at the VFR tower asks your direction of departure.  If nothing
else, the controller can always tell the left downwind departures 'traffic a
(whatever) reported 6 SE for a left base entry', or whatever is appropriate.

MY opinions ONLY!
                                              DM
#! rnews 2759
Path: alberta!mnetor!uunet!mcvax!diku!iesd!jacob
From: jacob@iesd.uucp (Jacob stergaard B{kke)
Newsgroups: comp.ai
Subject: job search, Comp. eng.
Summary: I'm looking for a job
Keywords: Job, Computer. eng., Computer. sci., M.S.
Message-ID: <152@iesd.uucp>
Date: 2 Dec 87 13:20:07 GMT
Reply-To: jacob@iesd.UUCP (Jacob \stergaard B{kke)
Organization: Dept. of Comp. Sci., Aalborg University, Denmark (student)
Lines: 69

I'm looking for a job in Computer Engineering to begin around July
1988. I'm getting my Master of Science in Computer Engineering June
1988 and at present holding a degree equal to BS in Electronic
Engineering. My BS studies have included:
	
	Computer hardware (hands-on knowledge with mc68k),
	Analog electronic 
	Control engineering (analog and digital control)

My MS studies have included:

	Software development (man-machine interface, what people want
			      from programs) 
	Compiler construction (an expertsystem shell) 
	Program environment (for CCS programming) 
	Distributed operating systems (in UNIX)
 	Compiler mapping object-orinted language on parallel computers

Furthermore I do have experience in conventional programming (PASCAL,
C, postscript, UNIX (awk, shell-scripts(C-shell) and yacc/lex) (and Basic)),
functional programming (LISP and ML) and logical programming (Prolog)
and knowledge about object-oriented programming. And I
have also attended courses in VLSI design, databases, etc. I have been
working with CDC under NOS/Telex, VAX 11/750 under Ultrix, SUN 3 under
Sun OS 4.3 (UNIX), MacIntosh (LISA) under Finder and IBM S36 under IBM
property operating system.  

My spoken English is excellent and my written English is satisfactory,
good knowledge of the Scandinavian languages (Danish (of course),
Swedish and Norwegian), some speaking and reading knowledge of German
and limited knowledge of French and Spanish (and Latin). 

I have 5 years experience in group project work in engineering and
computer scinence areas, broad social interest, good health.

My interest include computer hardware and software, operating system
design, expertsystems, distributed, concurrency and teaching.

I'm open on location (outside Denmark) but I have relatives or other
reasons to be especially intereted in:

	Canada (British Colombia or Toronto)
	USA (New England or Pacific Coast)
	Pacific (New Zealand or Oceania)
	Thailand
	Scotland (Highlands)

I'll look forward to any reponds.

		Yours sincerely
			
			Jacob Baekke, Denmark

For further information:

Reply to:     	jacob@iesd.uucp, {...}!mcvax!diku!ised!jacob  or
		 
at Univ:	Jacob Baekke 
		S9D (in spring S10)
		Strandvejen 19
		AUC
		DK--9000 Aalborg
		Denmark

private:	Jacob Baekke
		Davids Alle 48
		DK--9000 Aalborg
		Denmark
		Tel. 45-(0)8102673
#! rnews 2425
Path: alberta!mnetor!uunet!husc6!bbn!rochester!cornell!uw-beaver!uw-june!uw-entropy!dataio!suvax1!hirayama
From: hirayama@suvax1.UUCP (Pat Hirayama)
Newsgroups: rec.arts.anime
Subject: Re: Speed Racer and the Mach 5
Message-ID: <810@suvax1.UUCP>
Date: 14 Dec 87 05:28:25 GMT
References: <1103@jumbo.dec.com>
Organization: Seattle University, Seattle, WA.
Lines: 45

in article <1103@jumbo.dec.com>, schubert@jumbo.dec.com (Ann Schubert) says:
> Posted: Thu Dec 10 15:26:21 1987
> 
> 
>       THIS IS A RE-POST FROM REC.ARTS.TV
> 
> 
> In article <4540011@wdl1.UUCP> (James Y. Nakamura) writes:
> 
> I have a question about Speed.  We can't figure out all the neato gadgets his
> car had I think it went like:
> 	1:	Jacks that also made the car able to jump.
> 	2:	???
> 	3:	Saw blades that cut through stuff	
> 	4:	Closes off the top so the Mach 5 becomes a sub..
> 	5:	Homing pidgeon on a rope.
> 

        Don't forget the special treads which would appear on his tires
        to allow for climbing up rough ground or driving near vertical.
        
        Every now and then, I remember that they would add a new option
        (boy, don't you wish your friendly neighborhood dealership would
         offer some of these for your car?).  Unfortunately, it has been
        many years since I last saw Speed Racer, but I do remember one 
        episode which added little winglets which would come out from under-
        neath the doors.  This added a little gliding ability.  Any one
        else remember any?
        

> Also why did Speed have a G on his shirt?  Go doesn't really wash with me and
> I don't know enough Japanese to equate letters. 
> 

        I used to know this but I can't remember anymore, though I
        suspect that it might have to do with the original name of
        the character/title of the show in Nihongo.  Help anyone?

*******************************************************************************
*                                          --Pat Hirayama                     *
*                                          --Seattle University               *
*                                                                             *
* "Yamato Hasshin!" - Kodai Susumu                                            *
*                                                                             *
*******************************************************************************
#! rnews 684
Path: alberta!mnetor!uunet!mcvax!inria!axis!matra!godefroy
From: godefroy@matra.UUCP (Eric Godefroy)
Newsgroups: comp.unix.wizards
Subject: 8 bits on a pseudo-tty
Message-ID: <252@matra.matra.UUCP>
Date: 3 Dec 87 13:33:27 GMT
Reply-To: godefroy@matra.UUCP (Eric Godefroy)
Organization: Matra Datasysteme
Lines: 9

On 4.2 bsd, it seems difficult to set a pseudo-tty (ptyp / ttyp) in
the pass8 mode. Is it impossible really or how can I do that ?

----------------------------------------------------------

 Eric Godefroy				UUCP: mcvax!inria!matra!godefroy
 Matra Datasysteme			Tel:  (33-1) 30 58 98 00
 1, av Niepce				Fax:  (33-1) 30 45 41 59
 78180 Montigny-le-Bretonneux   France
#! rnews 2663
Path: alberta!mnetor!uunet!husc6!bbn!rochester!cornell!uw-beaver!uw-june!uw-entropy!dataio!suvax1!hirayama
From: hirayama@suvax1.UUCP (Pat Hirayama)
Newsgroups: rec.arts.sf-lovers,rec.arts.anime
Subject: Re: Old TV shows
Message-ID: <811@suvax1.UUCP>
Date: 14 Dec 87 05:54:39 GMT
References: <4254@dandelion.CI.COM>
Organization: Seattle University, Seattle, WA.
Lines: 40
Xref: alberta rec.arts.sf-lovers:9224 rec.arts.anime:249

in article <4254@dandelion.CI.COM>, david@dandelion.CI.COM (David M. Watson) says:
> Xref: suvax1 rec.arts.sf-lovers:7102 rec.arts.anime:235
> 
> 
> I have foggy but pleasant memories of three other converted Japanese
> 	- (not anime, but...) Ultraman! (Was it: "Hiyata! The beta capsule!"?)
> 		He was a large silver "good-monster" with a red light
> 		mounted on his chest that would blink whenever his batteries	
> 		were getting low.  And in his valiant, exhausting fights
> 		against the dinosaur types that frequently showed up to
> 		menace the World, he almost always came close to running out!
> 		And I remember a obligatory post-crisis trip to the jewelery
> 		store for Hiyata and friend!
> 
> Would anyone like to refresh my memory about any of these three?
> 
       - Ultraman was one of several incredibly popular shows in Japan during
         the late 60s/early 70s/early 80s.  Actually, there were several shows
         each featuring one or more of the "Ultra" brothers, of whom Ultraman
         was the "leader/head/eldest (you get the idea)".  There was also
         Ultra 5 and a bunch of others which I can't remember and it would 
         take a long time to dig out the books.  There was something of a
         revival when UltraMan 80 (?) was released in Japan.  

         Of these, I believe that only the original Ultraman was released
         and dubbed for the American market.

       - By the way, Hayata would be the way to spell his name (though it
         would be more accurately pronounced by you gaijin as "Hiyata".
         
       - Of course, there is nary a trace of him now in Japan.  Programs
         have this incredible tendency of grabbing hold of everyone, then
         they drop it for something new.  

*****************************************************************************
*                                          -Pat Hirayama                    *
*                                          -Seattle University              *
*                                                                           *
* > No messages or quotes right now <                                       *
*****************************************************************************
#! rnews 1910
Path: alberta!mnetor!uunet!mcvax!enea!tut!santra!nispa
From: nispa@hutcs.hut.fi (Tapani Lindgren)
Newsgroups: comp.unix.wizards,comp.unix.questions
Subject: Unattended dumps (BSD4.3)
Message-ID: <9032@santra.UUCP>
Date: 4 Dec 87 15:19:19 GMT
Sender: news@santra.UUCP
Followup-To: comp.unix.wizards
Organization: Helsinki University of Technology, Finland
Lines: 28
Xref: alberta comp.unix.wizards:5739 comp.unix.questions:4767

I have encountered a problem trying to make a shell script that would
make incremental backups at nighttime without operator attendance.
The problem results from dump(8) program requiring occasional
responses from the operator through /dev/tty.  The script is
run from another script, /usr/adm/daily, under cron control and has no
controlling terminal, so it just hangs trying to read /dev/tty.  It would
be ok if dump just aborted when facing a situation that would require
operator intervention. The script should never hang in a loop under
any circumstances, because /usr/adm/daily must do other things too
and finish after a reasonable time.

Currently I have the dump script run a background subshell that sleeps for
an hour and then kills the dump script (if it still runs) and all dump
processes.  This is very complicated, however, and the watchdog process
is almost 50% of the whole script.  It is also very slow - I would
like it to stop immediately if it finds an error, report it to log file,
rewind the tape, and let /usr/adm/daily continue its work.

Has anyone out there in the Netland have any suggestions of what to do?
Can yes(1) somehow be piped to a program that reads /dev/tty?
Could dump(8) be modified to abort at errors without any questions?
What kind of unattended backup systems do you have?

---
Tapani Lindgren, Helsinki Univ. of Technology, CS dept.
INTERNET:	nispa@hutcs.hut.fi
UUCP:		mcvax!santra!hutcs!nispa
BITNET:		nispa%hutcs.UUCP@fingate.BITNET
#! rnews 2315
Path: alberta!mnetor!uunet!husc6!bbn!oberon!pollux.usc.edu!kurtzman
From: kurtzman@pollux.usc.edu (Stephen Kurtzman)
Newsgroups: rec.food.cooking
Subject: Re: Cooking Wines
Message-ID: <5698@oberon.USC.EDU>
Date: 14 Dec 87 11:38:44 GMT
References: <4628@pyr.gatech.EDU> <10722@sri-unix.ARPA> <2028@ttrdc.UUCP>
Sender: nobody@oberon.USC.EDU
Reply-To: kurtzman@pollux.usc.edu (Stephen Kurtzman)
Organization: University of Southern California, Los Angeles, CA
Lines: 37

In article <2028@ttrdc.UUCP> levy@ttrdc.UUCP (Daniel R. Levy) writes:
>
>2) (more seriously) I've seen bottles of "wine for cooking" that have had
>   salt (and vinegar?) added.  These might be OK for sauces (yeah, the
>   snootier gourmets wouldn't want anything to do with them) but they
>   would obviously be horrible to drink.

I think that these wines would be particularly bad for sauces that require
wine as a major component and require reducing the wine. There are two
reasons that come to mind:

1) What is normally labeled as cooking wine is usually wine that is not good
enough to sell as table wine. If the taste is not the best, reducing it will
only concentrate its flaws.

2) Cooking wines contain salt. Reducing a cooking wine will concentrate the
salt. This could really ruin the sauce. 

There best reason I have seen for using a good wine to cook with was given
by Alexis Bespaloff in the "New Signet Book of Wine", which states

 "Furthermore, it is actually uneconomical to buy cheap wine for cooking.
  Say that an elaborate lobster dish calls for a spoonful or two of sherry
  to heighten its flavor. A cook who runs out to buy a bottle of cheap
  sherry will diminish the taste of an expensive and time-consuming dish with
  a quarter's worth of wine. What's more, because the wine is a poor example
  of its type, it may not be enjoyable to drink, so the spoonful of wine has,
  in fact, cost the full price of the bottle."

That is fairly sound reasoning. Of course, the last sentence does not
necessarily follow. You could keep the cheap wine around to diminish several
meals.

BTW, I recommend the "New Signet Book of Wine" to anyone who wants to learn
more about wine. It is available for $4.50 as a paperback. Quite a value
when you compare it to the $20-or-more, glossy coffee-table wine books out
on the market.
#! rnews 1809
Path: alberta!mnetor!uunet!mcvax!enea!luth!d2c-usg
From: d2c-usg@sm.luth.se (Ulrik"Rick"Sandberg)
Newsgroups: rec.music.misc
Subject: Re: Yes and ELP questions......
Keywords: Tales from Topographic Oceans
Message-ID: <435@psi.luth.se>
Date: 4 Dec 87 18:28:34 GMT
References: <748@augusta.UUCP> <434@psi.luth.se>
Reply-To: Ulrik"Rick"Sandberg <d2c-usg@psi.luth.se>
Organization: University of Lulea, Sweden
Lines: 28
UUCP-Path: {uunet,mcvax}!enea!psi.luth.se!d2c-usg


In article <434@psi.luth.se> I wrote:
>In article <748@augusta.UUCP> bs@augusta.UUCP (Burch Seymour) writes:
>>been looking for Tales on CD without success. To get to the point, is
>>it (Tales) on CD?  
>
>One of my friends ordered it from a Recordshop in Gothenburg, but got
>the answer that it was sold out. However, they didn't say that the
>record isn't existing on CD. He was supposed to recieve it later.
>Any wiser of that?
>

Correction:

Received is spelled received, not recieved. :-)

My friend told me that they said "Tales.. is not on CD." That's why he didn't
get it. Sorry for the confusing information.


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
~                                                                             ~
~  Ulrik 'Rick' Sandberg  d2c-usg@luth.UUCP (or)                              ~
~  Computer Technology	  d2c-usg@psi.luth.se (or)                            ~
~  University of Lulea    {uunet,mcvax}!enea!psi.luth.se!d2c-usg              ~
~  Sweden                                                                     ~
~  phone: (0920)-977 90 (home)       "I feel lost in the city..."             ~
~                                       --  Jon Anderson  --                  ~
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#! rnews 1128
Path: alberta!mnetor!uunet!husc6!rutgers!lll-lcc!pyramid!decwrl!cssaus.dec.com!bell
From: bell@cssaus.dec.com (Peter Bell, SNA-2, Sydney)
Newsgroups: rec.music.classical
Subject: Hogwood
Message-ID: <8712141101.AA04882@decwrl.dec.com>
Date: 15 Dec 87 05:23:00 GMT
Organization: Digital Equipment Corporation
Lines: 15

I have just finished singing (in choir) under Hogwood, it was an experience. We
sang Schuberts Mass in G, (as Schubert wrote it, missing a few phrases of the
Credo). Hogwood knew exactly what he wanted, and worked till we did it right.
Then as we tidied up the last few problems, he would let us sing through whole
sections, then go back and point out all the problems.

We also sang the Messiah (not with Hogwood unfortunately) the delight of
those performances was Elizabeth Cambells singing "He was despised..."

In this performance the two trumpeters waited off stage until just before their
appearances in each half, the first trumpet parts were played by a large
trumpeter (in nice to see that Sydney musicains are not starving) on what
looked like a very small valved trumpet (trumpet in F??).

Peter.
#! rnews 1252
Path: alberta!mnetor!uunet!mcvax!dutrun!winffhp
From: winffhp@dutrun.UUCP (Frits Post and/or Andrew Glassner)
Newsgroups: comp.graphics
Subject: abstracts wanted
Keywords: ray tracing, abstracts
Message-ID: <190@dutrun.UUCP>
Date: 2 Dec 87 09:14:55 GMT
Organization: Delft University of Technology,The Netherlands
Lines: 21

I am preparing a list of technical memos, technical notes,
internal reports, and other such low-circulation documents
that deal with ray tracing.  I'm interested in documents
both large and small.  The documents need not be expressly
about ray tracing; the criterion is that the information in
the document be useful to ray tracing researchers in some way.

If you have prepared such a document, please send me enough
information to digest it.  That would at least include your
name and organization, the document's title, perhaps a reference
number, and (very important!) an abstract.  

All contributors will receive a complete copy of the final list.

-Andrew Glassner
  email until 15 December: uunet!mcvax!dutrun!frits
  email after 15 December: glassner@unc.cs.edu  ,  unc!glassner
-- 
             ...mcvax!dutrun!frits    
             Faculty of Mathematics and Informatics
             Delft University of Technology
#! rnews 593
Path: alberta!mnetor!uunet!mcvax!lambert
From: lambert@cwi.nl (Lambert Meertens)
Newsgroups: sci.lang
Subject: Re: Acquiring native accents
Message-ID: <136@piring.cwi.nl>
Date: 5 Dec 87 22:56:44 GMT
Organization: CWI, Amsterdam
Lines: 8

When I speak English I hear no Dutch accent in my voice.  But if my voice
is recorded and played back to me I find the Dutch accent unmistakable.  If
this phenomenon is a general one, it goes a good deal towards explaining
why adult learners of a new language do not fully master the native accent.

-- 

Lambert Meertens, CWI, Amsterdam; lambert@cwi.nl
#! rnews 6735
Path: alberta!mnetor!uunet!mcvax!philmds!leffe!janpo
From: janpo@leffe.UUCP (janpo)
Newsgroups: rec.music.misc
Subject: Re: Ideas for improving the debate (was: Digital vs. Analog music)
Summary: Digital versus Analog
Keywords: CDs expensive audiophile equip. fourier analysis
Message-ID: <43@leffe.UUCP>
Date: 4 Dec 87 13:55:04 GMT
References: <574@ucdavis.ucdavis.edu> <522@altura.srcsip.UUCP> <3051@batcomputer.tn.cornell.edu>
Organization: Philips I&E DTS Eindhoven
Lines: 123



1) Mr. Konar, press the 'n' key immediately! There's another arrogant
   audiophile going to pollute the net with his view on the Digital vs.
   Analog issue.

2) I'm not very much acquainted with the news stuff on the net, but it
   seems we don't receive the rec.audio newsgroup here in Europe. Can
   something be done about that?

3) Now let me come to the point.
   In article <3051@batcomputer.tn.cornell.edu> eacj@batcomputer.tn.cornell
   (Julian Vrieslander) he writes:
>Konar than goes on to comment about the "arrogance" of audiophiles who still
>prefer analog recordings to digital.  He says the issue should be laid to rest
>, the implicit assumption being that the case has been proven that analog 
>recording is obsolete.

>I for one think that the issue is still an open (and interesting) one, but I
>am a bit surprised at how polarized and closed the recent comments to this
>thread have been.  

I agree with him, so let me do my bit now. A technology not being perfect
, or getting close to that, is still worth a discussion. Remember that it
took about a 100 years of thorough research from Edison's first grammophone
to the modern high quality turntables. Don't expect digital audio to be
perfect now only a few years after its introduction, no matter what the
commercial guys say. They are only interested in your hard-earned $$$$.

Until now I have only been in the opportunity to make a good comparison
between a high-end turntable and some first genaration. I'll summarize
the pros and cons of which I think are important and which I can think of
now. Many of them are well known, others may not.

PROS OF ANALOG:
- Cheap records.
- As John Vrieslander mentioned: More real, more spatious, more delicate,
  more emotionally involving. I won't try to find other words for this
  description 'cause I can't think of a better one. Unfortunately, this
  can only be heard on good, say > $2k-$3k systems without an infinite
  number of knobs, lights and other gadgets normally found in aeroplane
  cockpits.

CONS OF ANALOG:
- More hissy, rumble,scratches,sound degrading after many times of
  playing the record. This counts less when you have good records
  (Japanese ones are most often excellent but hard to get now.) and take
  good care of them.
- No flat frequency response, especially at the low and high end.
- Phase distortion.
- Harmonic distortion increases with amplitude.

PROS OF DIGITAL:
- Longer durability than records (?). Less hissy, no rumble or ticks of
  scratches.
- Almost no phase distortion, flat frequency response within the audio
  range.
- Easy to use.
- Slightly (!) more dynamic. Why only slightly? Well, the 96 dB dynamic
  range theoretically possible with a CD is not very practical. In reality
  it is compressed, as far as I know, to some 40-60 dB depending on the
  music (Pop, Jazz, Classic) because:
  a) No one wants to run continuously to his volume knob to adjust the
     volume.If not compressed the music will either be banging through your 
     living room and of your neighbours or it will drown in the inevitable 
     background noise.
  b) Studio equipment has a dynamic range of less than, say, 70 to 80 dB
     when you assume the Signal to Noise ratio being equal to the dynamic
     range.
  c) Sound gets to distorted at low levels. (See also cons)
  d) A dynamic headroom of 10 dB is desired.
  With all this limitations the dynamic range of CD's is not much different
  with that of a good record.
- Excellent bass response. Deep and well defined.
- Very stable stereo image.

CONS OF DIGITAL:
- Expensive records.
- When listening to a CD, it seems as if there is no "space" around around
  the instruments and voices. It sounds cold and not very lively.
- First generation players and the cheaper CD players nowadays suffer from
  very distorted high tones. They sound harsh. Cymbals for instance sound
  like someone is sawing them into pieces instead giving it a gentle hit
  with a drum-stick. They do not sound crisp and clear.
- Distortion increases dramatically with lower amplitudes (!). It can be
  more than 1.5 % at low levels. And it's a very nasty kind of distortion.
- CD players produce (digital) noise above the audio range. This noise itself
  can not be heard but other audio equipment may suffer from intermodulation
  distortion which brings this noise back in the audio range. 
- Many CD players, especially the first ones, do not seem to be very reliable
  mechanically.
- I've heard that digital audio recording is quite different from analog.
  I mean in terms of how it has to be done properly. I don't mean the
  equipment needed, that's quite obvious. Not all studio crew seem to know
  how to make a good digital recording. Does anyone know more about that?

Well, this must be enough stuff to think and talk about.

The above mentioned cons of digital audio may be overcome in the latest
players but I have not had the opportunity until now to carefully listen
to them and to compare them. According to some serious audio magazines
available here in Holland they seem to be improved. Many top-of-the-line
models now have separated power supplys for the digital and analog
circuitry, opto-couplers between those circuits, an additional analog filter
to filter out > 20 kHz noise, 16 bit with with n times oversampling, stable
and rigid chassis and improved error correction. All this may have solved
(some) of the cons I mentioned but I'm not sure. Players which have one or
more of these improvements and thus may be of interest (At least for Julian
Vrieslander and me) are: Philips (Magnavox in the USA I believe) CD 650 and
CD 960, Nakamichi, Mission, Meridian and if memory serves me well, Acoustical
Research (Or Audio Research. Don't know anymore). The latter two may be
difficult to get in the USA, they are made in the UK. No doubt that there
are more good CD players but can't think of others now. These are the
players I consider buying when normal LP's are no longer available.

Pooh! That was more than I intended to write but still far less than I can
tell about this stuff.

                                        Kind regards from
                                        Jan Postma


And on the seventh day, God went surfing!
#! rnews 1424
Path: alberta!mnetor!uunet!mcvax!cernvax!ethz!heiser
From: heiser@ethz.UUCP (Gernot Heiser)
Newsgroups: comp.emacs
Subject: Setting terminal-emulator's environment
Keywords: GNU Emacs function `terminal-emulator'
Message-ID: <261@bernina.UUCP>
Date: 5 Dec 87 13:42:37 GMT
Reply-To: heiser@ethz.UUCP (Gernot Heiser)
Organization: ETH Zuerich, Switzerland
Lines: 18


Using the  GNU emacs terminal-emulator   to run interactive  programs  would be
quite limited if the parent emacs  can't be used  for editing (when the program
run under the emulator starts up an editor).  While some  programs  (like `rn')
allow to explicitely specify the  editor, a general  solution would require  to
specify `emacsclient'  in the `EDITOR'   environment  variable of  the  process
running under the terminal emulator.

Naturally this could be done by running  the  shell under the emulator, setting
the   environment of  the shell, and  then running   the program  we are really
interested  in.  A  better way  would be    to set  the   environment from  the
`terminal-mode-hook'. Is there any means to achieve this???? (I'm running GNU
Emacs version 18.49.)
-- 
Gernot Heiser                   Phone:       +41 1/256 23 48
Integrated Systems Laboratory   CSNET/ARPA:  heiser%ifi.ethz.ch@relay.cs.net
ETH Zuerich                     EARN/BITNET: GRIDFILE@CZHETH5A
CH-8092 Zuerich, Switzerland    EUNET/UUCP:  {uunet,...}!mcvax!ethz!heiser
#! rnews 1617
Path: alberta!mnetor!uunet!mcvax!enea!sommar
From: sommar@enea.UUCP (Erland Sommarskog)
Newsgroups: rec.music.misc
Subject: Re: another net.question
Message-ID: <2496@enea.UUCP>
Date: 5 Dec 87 16:46:48 GMT
References: <251@ho7cad.ATT.COM>
Reply-To: sommar@enea.UUCP(Erland Sommarskog)
Followup-To: rec.music.misc
Organization: ENEA DATA Svenska AB, Sweden
Lines: 27

P.CLARK (prc@ho7cad.ATT.COM) writes:
>	Should a band play the entire new album when they do a concert?


No, why should they? There may be songs on the album that are 
very good listening to at home, but just doesn't make it live,
just as there are songs with the opposite character; good live, 
but just a bore on disc.

Deep Purple and Marillion and good example of extremes in both
ends. When I saw D.P. in February this year, they played three 
of the ten songs from "The House of Blue Light", their latest 
album. That is a quite decent product, but I didn't miss those
songs anyway. (I, and everyone else, would have been much more 
disappointed if they had left out "Smoke on the Water".) 
  Marillion on the other hand; on the two tours they made after
"Misplaced Childhood", they insisted on playing entire album
as one long song. There are many parts on that album that just
becomes dead passages where nothing happens when they are played
live. ("Bitter Suite" and "Blind Curve" for instance.) Marillion
is no good live band, and playing obsolete material does not
make things better.
-- 
Erland Sommarskog       
ENEA Data, Stockholm    
sommar@enea.UUCP        
                   C, it's a 3rd class language, you can tell by the name.
#! rnews 4410
Path: alberta!mnetor!uunet!mcvax!enea!sommar
From: sommar@enea.UUCP (Erland Sommarskog)
Newsgroups: rec.music.misc
Subject: Re: More than Yes
Message-ID: <2502@enea.UUCP>
Date: 5 Dec 87 19:18:59 GMT
References: <22034@ucbvax.BERKELEY.EDU>
Reply-To: sommar@enea.UUCP(Erland Sommarskog)
Followup-To: rec.music.misc
Organization: ENEA DATA Svenska AB, Sweden
Lines: 72

Grady Toss (ebm@ernie.Berkeley.EDU) writes:
>Whenever this newsgroup gets around to discussing 70's/80's fusion (the
>current go-round sparked by the proof that Yes is Best), the content
>seems to be limited to the same 5 or 6 groups (Yes, Rush, ELP, King
>Crimson, Pink Floyd, Genesis, etc.).  

Grady seems to be confusing the issue a bit here. He talks about fusion and 
the mentions groups that belong(ed) to the symphonic-rock genre. (I prefer
that term instead of "progressive") For me "fusion" is a synonym with 
jazz-rock. Anyway, that is more of question of semantics, the two genres 
have a lot in common. (The main difference maybe being that symphony-rock 
is European and fusion American.)

The reason why these groups are being discussed the most is probably that
they have gained the greatest commercial succes. This may or may not 
be correlated to the fact they are the best. 

>Doesn't (didn't) anyone listen to
>some of the (apparently) lesser-known fusion greats?  Bands and artists
>like Arti + Mestieri, Brand X, Arthur Brown & Kingdom Come, Egg, Gilgamesh,
>Hatfield & The North, Henry Cow, Alain Markusfeld, National Health, PFM,
>Quiet Sun, Return to Forever, Seventh Wave, The Soft Machine, UK and
>Weather Report.  

Being quite fond of this kind of music, I feel obliged to comment. It's
a real mixture Grady presents and I must admit there are names I have 
never heard. Anyway, I think he is a bit unfair, some of them have 
certainly been discussed on the net. For instance, I posted a discograhpy 
on Brand X some month ago. Some comments to the other names:
  PFM (Premiata Forneria Marconi) have been mentioned from time to time,
the Italian answer on Genesis, which developed in a different way. Now
disbanded, I believe. One day or another may be I'll post a discography.
  Quiet Sun. The band in which Phil Manzanera played before he joined
Roxy Music. Their "Mainstream" is rather like jazz, but not mainstream.
  Seventh Wave. This is the name I never expected to see on the net! I
bought their "Things to Come" when I was 15 and I was really fond of it
then. These days I don't find that amount of synthesizers so exciting as
I did then.
  Wheather Report. Quite well-known. But really, you do only need "Heavy
Wheather", the one with "Birdland". May be some more, "Mysterious Traveller"
perhaps, but then you'll find that they all sound the same.

>As I said before, I find much of Yes and ELP to be very dull, and un-
>affecting.  I like Rush, though more live than on record.  

As you can guess, I don't share Grady's view here. Yes has made good
music, yet never really touched my soul, probably due to their utterly
stupid and semi-religious lyrics. "Brain Salad Surgery" is a very good
record, the rest of what ELP have done is so-so. Rush don't turn me on 
at all, on the other hand. The net discussion inspired me to try 
"A Farewell to Kings" (A random choice). May be I would have liked them 
10 years ago, but not today with those lyrics and that voice.

>So, were Yes, ELP, Pink Floyd, King Crimson, Genesis and Rush really "it"
>as far as most progrock fans go, or did some of these "lesser known" artists
>(and all the others I forgot or never knew) filter out to larger audiences?

Depends on how you define your terms here, but I can easily think 
of more groups, some of them succesful, some of them not, some of them
good, some them not so good:
Kansas, Saga, Asia, Jethro Tull, Roxy Music, Gentle Giant, Van Der Graaf
Generator, George Duke, Billy Cobham, Al DiMeola, Herbie Hancock, Dixie
Dregs, Ange, (Mahavishnu) John McLaughlin, Santana, Bill Bruford etc
  I think that most of these people have had their share of the discussion
on the net. So to conclude, I do not really share Grady's initial obser-
vation. However some particular groups are certainly being over-discussed,
namely Rush, Yes and recently also Pink Floyd.
-- 
Erland Sommarskog       
ENEA Data, Stockholm    
sommar@enea.UUCP        
                   C, it's a 3rd class language, you can tell by the name.
#! rnews 916
Path: alberta!mnetor!uunet!mcvax!enea!tut!santra!clinet!waldo
From: waldo@clinet.FI (Tuomas Siltala)
Newsgroups: rec.music.synth
Subject: Siel DK80 sequenceer
Keywords: How to use?
Message-ID: <553@clinet.FI>
Date: 5 Dec 87 21:36:23 GMT
Reply-To: waldo@clinet.UUCP (Tuomas Siltala)
Organization: City Lines Oy, Helsinki, Finland
Lines: 17

My friend bought a Siel DK80 synthesizer and now he is wondering how
the sequencer in that machine works.
 
 
Unfortunately we don't have any manuals for it.
 
Could somebody kindly send me information concerning this problem?
 
Thank you!
 
------------------------------------------------------------------------------
 
  Tuomas Siltala                                 Internet: waldo@clinet.FI
  Kalevankatu 51 B 37
  SF-00180 Helsinki, Finland                     Telephone: +358-0-6947735
 
------------------------------------------------------------------------------
#! rnews 1655
Path: alberta!mnetor!uunet!mcvax!enea!luth!d2c-czl
From: d2c-czl@sm.luth.se (Caj Zell)
Newsgroups: rec.music.misc
Subject: Re: Black Sabbath songs
Message-ID: <437@psi.luth.se>
Date: 6 Dec 87 01:38:40 GMT
References: <1208@gumby.wisc.edu> <3590@h.cc.purdue.edu>
Reply-To: Caj Zell <d2c-czl@psi.luth.se>
Organization: University of Lulea, Sweden
Lines: 25
UUCP-Path: {uunet,mcvax}!enea!psi.luth.se!d2c-czl


In article <3590@h.cc.purdue.edu> acu@h.cc.purdue.edu.UUCP (Floyd McWilliams)
writes:

>	While we're talking about Sabbath, does anyone know who does the
>vocals on "Solitute" (from the Master of Reality album) and "It's All Right"
>(from Technical Ecstasy)?  It sure doesn't sound like the Oz...

I would like to add another song:"Swinging The Chain" on _Never Say Die!_.
Who the hell does the vocals here?

By the way,has anybody heard the new album?


      XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
      X                                                            X
      X                                                            X
      X   Caj Zell                 	 ________________________  X
      X   University of Lulea            :                      :  X
      X   Sweden                         : Jazz is not dead,    :  X
      X  				 : it just smells funny :  X
      X   mail: d2c-czl@psi.luth.se	 : -Frank Zappa         :  X
      X                                  :                      :  X
      X                                  -----------------------:  X
      X                                                            X
      XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
#! rnews 760
Path: alberta!mnetor!uunet!mcvax!unido!gmdka!florin
From: florin@gmdka.UUCP
Newsgroups: comp.windows.x
Subject: C++ re-hacks of X11 include files - (nf)
Message-ID: <2800001@gmdka.UUCP>
Date: 3 Dec 87 13:16:00 GMT
Lines: 14
Nf-ID: #N:gmdka:2800001:000:458
Nf-From: gmdka!florin    Dec  3 14:16:00 1987

Hi there,

I'm actually working on C++ re-hacks of the X11 include files.
There are some problems with Xlib.h. In structures
Visual, XWindowAttributes and XColormapEvent there are variables named
``class'' and ``new'' which cause serious problems (C++ keywords) !

For the moment I've changed the names, but this is an awful hack. Does anybody
know a better solution ?

     -- Florin

UUCP:  ...!uunet!unido!gmdka!florin
X.400: florin@karlsruhe.gmd.dbp.de
#! rnews 4069
Path: alberta!mnetor!uunet!mcvax!ukc!reading!onion!riddle!domo
From: domo@riddle.UUCP (Dominic Dunlop)
Newsgroups: comp.unix.xenix,comp.sys.att,comp.sys.intel
Subject: How to load AT&T 6300 Plus packages to generic UNIX V.3
Summary: Here's a shell script to do it for you
Keywords: Intel, 386/ix, Microport, Prime
Message-ID: <522@riddle.UUCP>
Date: 4 Dec 87 17:47:52 GMT
Reply-To: domo@riddle.UUCP (Dominic Dunlop)
Followup-To: comp.unix.xenix
Organization: Sphinx Ltd., Maidenhead, England
Lines: 106
Xref: alberta comp.unix.xenix:1170 comp.sys.att:1825 comp.sys.intel:379

[If there's a Microport newsgroup, it doesn't come here]

				Background

AT&T's generic UNIX V.3 for the 80386 (as sold in binary form by AT&T,
Bell Technologies, Intel, Interactive Systems, Microport, Prime etc.)
will run binaries created for UNIX V.2 on the 80286.  A large number of
packages exists for AT&T's 6300 Plus, an 80286-based system running V.2.
These can be run on 80386-based systems while you're waiting for
software authors to come up with native 80386 ports of their products.

				Problem

You are supposed to load packages onto your 6300 Plus using the system's
administration procedures.  These handle weird multi-volume cpio diskette
sets, which are a pig to load unless you have the installation software.
Which you don't if you're trying to load the software onto an 80386-based
system running 386/ix, Microport, or whatever.

				Solution

Here's a shell script which does the job.  If you want to know the details,
it reads 350k, starting at offset 9k, from each 360k diskette in the
installation set, piping the result into cpio -c.  It the fires off the
Install program which should be part of the application package.  As the
comments remark, there's not a lot of error checking, as it's essentially
a quick hack.  Also, testing is about at the ``worked twice in a row''
level.  Despite all that, I hope it's useful to somebody out there.

Dominic Dunlop
domo@sphinx.co.uk  domo@riddle.uucp

++++cut here++++++++cut here++++++++cut here++++++++cut here++++
:
# load_script
#
#   Shell script to load software packages delivered in AT&T PC
#   6300+ UNIX V.2 format on systems where the PC 6300+
#   installation procedure is not available (eg 386/ix).
#   The script can be executed by any user who can read the raw
#   diskette device.  However, the root password is requested
#   before files are moved to their final destinations if this
#   script is not run by the super-user.
#
#   Note that this script does NOT check that sufficient space is
#   available to load the package.  In general, your /usr file
#   system should have at least (700 * diskettes_in_package)
#   blocks free before installation.  Note also that there is no
#   check that the diskettes are in the correct format, or that
#   they are inserted in the correct order.
#
# 871204 DFD	Created

# Change the following device assignment if the 360kB raw
# diskette device on your system has a different name.
DEV=${DEV-/dev/rdsk/f0d9dt}

if [ ! -r $DEV -o ! -c $DEV ]
then
	 cat << E_O_F
Can't read $DEV.  Check raw diskette device name and/or your
access permissions.
E_O_F
exit 1
fi

cd /usr/tmp
mkdir install 2>/dev/null
cd install
IT="the first diskette of the package"

trap "echo Installation aborted.; rm -r /usr/tmp/install; exit 1" 2 15
(
	while echo "Insert $IT and hit return >\c" 1>&2  \
		&& read ANS
	do
		IT="next diskette"
		echo "The following files are being loaded:" 1>&2
		dd if=$DEV ibs=1k obs=5k skip=9 count=350 2>/dev/null
	done
) | cpio -icvmudB 1>&2

chmod +x Install

trap 2 15

cat << E_O_F
Files read from diskettes.  You may remove the last diskette from
the drive.  If you are not already logged in as the super-user,
Please enter the root password to continue with installation.
E_O_F
if su root -c ./Install
then
	cat << E_O_F
Installation complete.  You should execute
	rm -r /usr/tmp/install
to remove installation scratch files at a convenient time.
E_O_F
else
	cat << E_O_F
Installation failed.  To retry,
	su
	cd /usr/tmp/install
	./Install
E_O_F
fi
#! rnews 1801
Path: alberta!mnetor!uunet!mcvax!ukc!reading!onion!bru-me!ralph
From: ralph@me.brunel.ac.uk (Ralph Mitchell)
Newsgroups: comp.graphics,sci.space,sci.space.shuttle
Subject: Re: 3d digitized shuttle data
Message-ID: <338@Pluto.me.brunel.ac.uk>
Date: 4 Dec 87 09:49:43 GMT
References: <509@otto.cvedc.UUCP>
Reply-To: ralph@me.brunel.ac.uk (Ralph Mitchell)
Organization: Brunel University, Uxbridge, UK
Lines: 26
Xref: alberta comp.graphics:1381 sci.space:3674 sci.space.shuttle:445

In article <509@otto.cvedc.UUCP> billa@otto.UUCP (Bill Anderson) writes:
>In article <> apollo@ecf.toronto.edu (Vince Pugliese) writes:
>>
>>As well I will be include a very simple C program, hacked together by fellow group member
>> [...]
>
>If anyone out there in netland converts this C program so that it can be
>run on suns, please post the results of your work to the net.

It has already been done.  The program should be in /usr/demo/SRC/shaded.c,
the shuttle data is in /usr/demo/DATA/space.dat.  There are notes on running
it in /usr/demo/README.  The program displays 2 windows with cursor lines, to
enable you to select the 3d viewpoint, and there's a pop-up menu for setting
fill style and colour, &c.  For monochrome you need to select the "edges" (I
think) fill style or it'll look pretty wierd.  Also, if your display surface
doesn't support hidden surface removal, you'll get a wireframe effect that
can be confusing to the eye.

/usr/demo/DATA also contains data files for an icosahedron, a pyramid, a
ball and a Klein bottle.

--
 From:  Ralph Mitchell at Brunel University, Uxbridge, UB8, 3PH, UK
 JANET: ralph@uk.ac.brunel.cc	  ARPA:  ralph%cc.brunel.ac.uk@cwi.nl
 UUCP:  ...ukc!cc.brunel!ralph   PHONE: +44 895 74000 x2561
 "There's so many different worlds, so many different Suns" -- Dire Straits
#! rnews 1156
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!bob
From: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Newsgroups: rec.arts.sf-lovers
Subject: Re: SPACE WAR BLUES (was Re: Gibson)
Message-ID: <809@its63b.ed.ac.uk>
Date: 4 Dec 87 12:49:58 GMT
References: <8711211710.AA02986@decwrl.dec.com>
Reply-To: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Organization: I.T. School, Univ. of Edinburgh, U.K.
Lines: 17

In article <8711211710.AA02986@decwrl.dec.com> boyajian@akov68.dec.com (JERRY BOYAJIAN) writes:
>(Oh, before anyone asks the obvious question, the author was Richard
>Lupoff, who is one of the best unknown science fiction writers around.)

I find this statement hard to believe, based on the quality
of his book "Circumpolar". It is full of characters which
barely qualify as two dimensional, offensive racial stereotypes
and various other assorted characters whose collective IQ doesn't get
into double figures. I rated this book as -****.

I cannot believe that someone who turned out such complete
drivel could improve enough in other books to even qualify
as average.

I am however, willing to be surprised. What other books of
his would people recommend?
	Bob.
#! rnews 1599
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!bob
From: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Newsgroups: sci.misc
Subject: Re: Grey Goo that's too smart for its own good
Keywords: nanotechnology foresight drexler
Message-ID: <810@its63b.ed.ac.uk>
Date: 4 Dec 87 13:10:07 GMT
References: <799@sbcs.sunysb.edu> <2698@drivax.UUCP> <1063@sugar.UUCP> <2411@watcgl.waterloo.edu> <1445@m-net.UUCP> <1526@mmm.UUCP> <2783@drivax.UUCP>
Reply-To: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Organization: I.T. School, Univ. of Edinburgh, U.K.
Lines: 23

In article <2783@drivax.UUCP> macleod@drivax.UUCP (MacLeod) writes:
>In article <1526@mmm.UUCP> cipher@mmm.UUCP (Andre Guirard) writes:
>>In article <1445@m-net.UUCP> russ@m-net.UUCP (Russ Cage) writes:
>>>In <2411@watcgl.waterloo.edu> kdmoen@watcgl.waterloo.edu (Doug Moen) writes:
>>>>[...]  If it *does* turn out to be possible to build Grey Goo,
>>>>then by the time fabrication technology catches up, perhaps we can have
>>>>a wide spectrum of Goo killing techniques already available.
>
>Goo seems almost inevitable. It should not be a big problem, of itself;
>the definition of Goo (for those not familiar with the problem) is that
>of a nanomachine that will use any available energy and raw material to
>reproduce itself periodically.  If it reproduces at 2x per year you have
>one problem, relatively minor; if it reproduces at 512x per minute, you have 
>quite another.

I can hear the squeals from the anti-nuclear type lobby already

	Can you PROVE it is safe?
	Campaign against the Grey Goo!
	prevent Nano-technology!

and not a :-> in sight.
	Bob.
#! rnews 3115
Path: alberta!mnetor!uunet!mcvax!ukc!cheviot!robert
From: robert@cheviot.newcastle.ac.uk (Robert Stroud)
Newsgroups: comp.unix.wizards
Subject: Re: //host vs "mount point"
Message-ID: <2584@cheviot.newcastle.ac.uk>
Date: 4 Dec 87 16:22:51 GMT
References: <648@tut.cis.ohio-state.edu> <1668@tut.cis.ohio-state.edu> <38c15248.4580@hi-csc.UUCP> <9559@mimsy.UUCP> <411@PT.CS.CMU.EDU> <6769@brl-smoke.ARPA>
Reply-To: robert@cheviot (Robert Stroud)
Organization: Computing Laboratory, U of Newcastle upon Tyne, UK NE17RU
Lines: 62

In article <6769@brl-smoke.ARPA> gwyn@brl.arpa (Doug Gwyn (VLD/VMB) <gwyn>) writes:
>In article <411@PT.CS.CMU.EDU> jgm@K.GP.CS.CMU.EDU (John Myers) writes:
>>Just to add to the confusion, let me put in a plug in for the Carnegie-Mellon
>>University Computer Science Department's syntax:
>>/../host
>
>Stolen from the Newcastle Connection.
>
>>"/.." is known as the "super-root".  It seems logically consistent to me...
>
>So, what is the result of
>	$ cd /..
>	$ pwd

/.. of course!!

If you add directories above root (and remember that with the Newcastle
Connection, /.. was just a directory rather than some mysterious 
"super-root") so that it is possible for your current directory to
be in an uncle or cousin relationship with root (rather than a direct
descendent), then you have to modify the pwd algorithm accordingly.

pwd assumes that if you go up the tree with ".." enough times you will
get to root. If your current directory is in a sideways relationship
to root, this assumption will no longer be valid.

The modified pwd algorithm should work like this:

(1) Go up the tree with .. from your current directory until you
find / or reach the base of the tree (a directory which is its own
parent).

(2) If you didn't reach / in (1), then starting from / go up to
the base of the tree with .. and prefix the appropriate number of
/..'s to the string from (1).

For example, after cd /../../C/D, step (1) will give /C/D and step (2)
will give /../.. so the answer is /../../C/D.

This is relatively straightforward to implement. I've made the necessary
modifications to the System V /bin/pwd and sh (which has a built-in pwd)
for use with a kernel implementation of the Newcastle Connection.

The tricky bit is getting the shortest possible pathname. For example,
if / corresponds to /../../A/B in the global naming tree, then after
cd /../C, the modified pwd algorithm would give /../../A/C which is
correct but redundant. (/../../A is the same as /.. if / is /../../A/B).

This can be fixed if you keep a record of everywhere you visit in (1) and
stop in (2) when you reach somewhere you've visited before, but since in
an infinite naming tree this would require an infinite amount of storage
and isn't very efficient in any case, it is easier to simply implement
the algorithm given (which also requires an infinite amount of storage
in the general case of course!) and ignore this problem.

Robert J Stroud,
Computing Laboratory,
University of Newcastle upon Tyne.

ARPA robert%cheviot.newcastle@nss.cs.ucl.ac.uk
UUCP ...!ukc!cheviot!robert
JANET robert@newcastle.cheviot
#! rnews 835
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!nott-cs!pyr1.cs.ucl.ac.uk!awylie
From: awylie@pyr1.cs.ucl.ac.uk
Newsgroups: comp.sys.ibm.pc
Subject: Re: Standard date bug
Message-ID: <39500002@pyr1.cs.ucl.ac.uk>
Date: 4 Dec 87 13:58:00 GMT
References: <7457@eddie.MIT.EDU>
Lines: 12
Nf-ID: #R:eddie.MIT.EDU:7457:pyr1.cs.ucl.ac.uk:39500002:000:432
Nf-From: pyr1.cs.ucl.ac.uk!awylie    Dec  4 13:58:00 1987


I have a Taiwanese XT clone with some strange BIOS and MSDOS 3.2 and the
bug has annoyed me some time. This is NOT the 'subtle' bug mentioned in
another reply, but a simple non-increment of the date at midnight. This
wreaks havoc with MAKE!
   I shall try CLOCKFIX.SYS tonight. Thanks very much to the poster, his
was the only really useful solution proposed.

Andrew Wylie
University of London Computer Centre

awylie@uk.ac.ucl.cs
#! rnews 847
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!bath63!sc_dra
From: sc_dra@ux63.bath.ac.uk (Dave Allum)
Newsgroups: comp.sys.atari.st
Subject: Hard Disk Optimisers
Summary: Recommendations wanted
Message-ID: <1972@bath63.ux63.bath.ac.uk>
Date: 4 Dec 87 15:53:49 GMT
Reply-To: sc_dra@ux63.bath.ac.uk (Dave Allum)
Organization: SWURCC, University of Bath, U.K.
Lines: 13


Does anyone have any recommendations for and/or experience of hard disk
optimisers for the ST?

The only ones I have come across are Simon Poole's DLII and Michtron's
Tune Up! (their exclamation mark, not mine).

I have tried neither (DLII did some strange things with a ram disk I 
tested it on, and I'd rather not pay for Tune Up! until I have some
favorable reports on it) and would be very interested in  anyone's
experiences with the above or any other such beasts.

Thanks.
#! rnews 1573
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!bob
From: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Newsgroups: sci.physics
Subject: Re: GR question
Message-ID: <811@its63b.ed.ac.uk>
Date: 4 Dec 87 17:31:49 GMT
References: <4688@cit-vax.Caltech.Edu> <895@ubc-vision.UUCP>
Reply-To: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Organization: I.T. School, Univ. of Edinburgh, U.K.
Lines: 28

In article <895@ubc-vision.UUCP> majka@ubc-vision.UUCP (Marc Majka) writes:
>would see the "poor fellow's" delta-t getting longer.  The poor fellow
>crosses the Absolute Event Horizon in a finite amount of (his) time.
>The observer sees the poor fellow falling more and more slowly (while
>also seeing him getting exponentially red-shifted) toward r=2M, but
>never getting there.  I liked the presentation of this in my GR textbook:

The observer, if he waited around long enough, would also
see the black hole evaporate by Hawkins' radiation.

But, from the point of view of the observer, the "poor fellow"
can never cross the event horizon before the hole evaporates
away from under him.

Therefore, the "poor fellow" must observe one of two things.
Either he crosses the event horizon in a finite amount of
time, or he will observe the black hole to vanish as he
approaches.

1. sets up a paradox, but 2. implies that anything falling
into a black hole can't get into the black hole before it
evaporates. i.e. the black hole can't form in the first
place. It just get very close to it.


Would someone please comment on the above. I am sure I must
be missing something. (I'm no physicist)
	Bob.
#! rnews 2122
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!zen!frank
From: frank@zen.UUCP (Frank Wales)
Newsgroups: news.config
Subject: Updated map entry for zen
Keywords: new host computer
Message-ID: <787@zen.UUCP>
Date: 3 Dec 87 22:20:52 GMT
Organization: Zengrange Limited, Leeds, England
Lines: 47


It's a bit late  again,  we've been  running  the new system for about 3
months now, but here is our updated map entry:

#N	zen
#S	HP 9000 Model 840; HP-UX 1.1 (V.2)
#O	Zengrange Limited
#C	Julian Perry, Frank Wales
#E	jules@zen.co.uk ...!mcvax!ukc!zen.co.uk!jules
#T	+44 532 489048
#P	Greenfield Road, Leeds, West Yorkshire, England, LS9 8DB
#L	01 31 22 W / 53 47 42 N
#R
#
zen	hwcs(DAILY)


Who we are and what we do:

As a company, we produce  custom  solutions  on  hand-held  and portable
equipment,  primarily   customising   Hewlett-Packard   hand-helds.  For
example, we recently installed almost 6 000 HP-71 hand-held computers as
networked  terminals in 430 DHSS offices as part of a Document  Tracking
System developed by us to a DHSS specification.

We're not just a software  house, but also develop custom  packaging and
electronics where necessary too.  Our customers are primarily government
departments  (here and abroad), but we have also  produced  products for
individual sale through dealers (such as the Zenwand-71 barcode wand for
the HP-71, which span off of the DHSS contract).

Although our products are almost exclusively  related to hand-helds, our
expertise  stretches through to custom chip design and  mainframe-hosted
software  packages  (mainly  under Unix).  As a  consequence,  we regard
ourselves as a solutions  house, rather than being specific to software,
hardware, design or whatever.

We have one  office [in  Leeds],  have been  around for seven  years and
employ over 40 people at present.  Is that a reasonable summary?

Jules & Frank

Julian Perry               [ jules@zen.co.uk  ...!mcvax!ukc!zen.co.uk!jules ]
Frank Wales                [ frank@zen.co.uk  ...!mcvax!ukc!zen.co.uk!frank ]
System Managers
Zengrange Limited          Phone: +44 532 489048 ext 217
Leeds, England.
#! rnews 1158
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!jack
From: jack@cs.hw.ac.uk (Jack Campin)
Newsgroups: rec.music.classical
Subject: Re: re repeat repeating pieces
Message-ID: <1567@brahma.cs.hw.ac.uk>
Date: 4 Dec 87 18:18:28 GMT
References: <8712011820.AA18589@decwrl.dec.com>
Reply-To: jack@cs.glasgow.ac.uk (Jack Campin)
Organization: PISA Project, Glesga Yoonie
Lines: 13
Summary:

Expires:

Sender:

Followup-To:



[ignore the above email address and use my signature]
I may have missed some of this thread, but I haven't heard anyone mention
Satie yet. His Vexations for piano is meant to be repeated 840 times
(it takes about 18 hours to perform). He also wrote some pieces of music
to be played in particular spaces - "Music for a Boardroom" is one
that comes to mind - which go round and round in circles. (I think that one
would produce some #@$% aggressive board meetings).
-- 
ARPA: jack%cs.glasgow.ac.uk@nss.cs.ucl.ac.uk
JANET:jack@uk.ac.glasgow.cs       USENET: ...mcvax!ukc!cs.glasgow.ac.uk!jack
Mail: Jack Campin, Computing Science Department, University of Glasgow,
      17 Lilybank Gardens, Glasgow G12 8QQ, Scotland (041 339 8855 x 6045)
#! rnews 1124
Path: alberta!mnetor!uunet!mcvax!ukc!stl!dww
From: dww@stl.stc.co.uk (David Wright)
Newsgroups: comp.os.vms
Subject: Problem with VMS 4.6 if your uVAX has EMULEX CS02's
Message-ID: <596@acer.stl.stc.co.uk>
Date: 4 Dec 87 21:54:38 GMT
Reply-To: dww@stl.UUCP (David Wright)
Organization: STL,Harlow,UK.
Lines: 16

Our System Manager has reported that there is a problem with using EMULEX CS02
QBUS comms cards which are not at the latest revision level, under VMS 4.6.   
These cards appeared to work fine under VMS 4.5 and earlier.

The EMULEX CS02 card, configured as two DHV-11 8-line muxs, gives phantom
devices when running SHOW DEVICE.   For example, TXC0 to TXC7 become TXC0 to
TXC15.  There are problems in using the lines - for example Control-Y acts
on the group of lines not just one!  There are other problems known to EMULEX. 

The solution is to upgrade the firmware PROM on the card to at least
revision P.  Emulex may make a charge for this.

-- 
Regards,
        David Wright           STL, London Road, Harlow, Essex  CM17 9NA, UK
dww@stl.stc.co.uk <or> ...uunet!mcvax!ukc!stl!dww <or> PSI%234237100122::DWW
#! rnews 384
Path: alberta!mnetor!uunet!mcvax!ukc!stc!root44!jgh
From: jgh@root.co.uk (Jeremy G Harris)
Newsgroups: comp.sys.amiga
Subject: New Kickstart
Keywords: Kickstart workbench janus
Message-ID: <489@root44.co.uk>
Date: 4 Dec 87 19:05:27 GMT
Organization: Root Computers Ltd., London, England
Lines: 3

Will the Workbench-less Kickstart initialise Janus?
-- 
Jeremy Harris			jgh@root.co.uk
#! rnews 1018
Path: alberta!mnetor!uunet!mcvax!unido!stollco!til
From: til@stollco.UUCP (tilgner)
Newsgroups: sci.astro
Subject: The current state of Hubble Constant?
Keywords: Cosmology
Message-ID: <142@stollco.UUCP>
Date: 5 Dec 87 18:32:42 GMT
Organization: Stollmann Gmbh, D 2000 Hamburg 50
Lines: 17

I am just preparing a 'semi-popular' lecture on how the
value of the Hubble Constant is determined.

As is generally
known, the values of different authors fluctuates between
ca. 50 to 100 km/(sec Mpc). The latest discussion of this
problem which I know of is M. Rowan-Robinson's book
"The Cosmological Distance Ladder" (Freeman 1985). He
advocates 67 km/(sec Mpc) after a detailed discussion of
the different distance indicators.

Now I would like to know: What is the current state of
affairs? The responses of the advocates of the various
values, for example by Sandage & Tammann or de Vaucouleurs
(= the grand old men of this topic)? Somehow I missed
their reactions. Can anybody give me a hint via e-mail?
I'll summarize.
#! rnews 2734
Path: alberta!mnetor!uunet!mcvax!enea!ttds!draken!zap
From: zap@draken.nada.kth.se (Svante Lindahl)
Newsgroups: comp.unix.wizards,comp.emacs
Subject: Re: Emacs csh alias
Message-ID: <235@draken.nada.kth.se>
Date: 6 Dec 87 07:00:31 GMT
References: <10672@brl-adm.ARPA>
Reply-To: zap@nada.kth.se (Svante Lindahl)
Followup-To: comp.emacs
Organization: The Royal Inst. of Techn., Stockholm
Lines: 49
Xref: alberta comp.unix.wizards:5741 comp.emacs:2402

[Warning: Extensive inclusion, but I have included a new newsgroup in
 the newsgroups-line, and directed followups to it (comp.emacs)]

In article <10672@brl-adm.ARPA> dsill@NSWC-OAS.arpa (Dave Sill) writes:
>I've been trying to set up a C-Shell (4.2 BSD) alias for Emacs (GNU
>17.64, not that it matters) which, when run the first time will
>actually run Emacs, but after suspending Emacs with C-z, will bring
>the background Emacs job to the foreground.  The catch is that I'd
>also like the alias to re-load emacs if I exit with C-x C-c.  Simply
>stated, I want an alias named "emacs" which will load Emacs if it
>isn't already loaded, but will foreground a background Emacs if one
>exists.
>
>I know I could do this with a script (if I assume the Emacs job is
>always job %1), but I'd prefer an alias since they're faster.  It
>would be especially nice to determine which background job was the
>Emacs job and foreground *it*, instead of just assuming job %1.
>
>Any ideas or alternate approaches?  Should I just put up with the
>occasional "fg: No such job." message?

Here is something which should do part of what you want. It doesn't
accomplish to start a new emacs process if you exited the last one
with C-x C-c - unless the first one had never been suspended!
Whenever you get "fg: No such job" just type ``i!!'', reinvoking the
commandline prefixed with an "i", "iemacs" standing for "init emacs".

alias emacs iemacs
alias iemacs 'alias emacs remacs; "emacs" \!* ; alias emacs iemacs'
alias remacs fg %emacs

Here we use a special version of suspend-emacs, that will look for a
file ".emacs_pause" in the user's home directory when emacs is
resumed. In this file suspend-emacs expects to find the current
working directory and an optional "command line" that is parsed like
the initial command line.  Very useful!
This could be done using "suspend-resume-hook", but the hook wasn't
available in 17.?? when this was first implemented here.

These are the aliases I use together with the special version of
suspend-emacs.

alias emacs iemacs
alias remacs 'echo `pwd` \!* >\! ~/.emacs_pause ; %emacs'
alias iemacs 'alias emacs remacs; "emacs" \!* ; alias emacs iemacs'
alias kemacs 'alias emacs iemacs; remacs -kill'


Svante Lindahl		zap@nada.kth.se		uunet!nada.kth.se!zap
#! rnews 2721
Path: alberta!mnetor!uunet!mcvax!diku!iesd!jpc
From: jpc@iesd.uucp (Jens P. Christensen)
Newsgroups: comp.unix.questions,comp.unix.wizards,sci.math.stat
Subject: Problems with S statistical package
Summary: Cannot make S work properly on Sun-3
Keywords: S AT&T Sun-3 SunOS 3.4
Message-ID: <162@iesd.uucp>
Date: 5 Dec 87 19:41:09 GMT
Reply-To: jpc@iesd.UUCP (Jens P. Christensen)
Followup-To: comp.unix.questions
Organization: Dept. of Comp. Sci., Aalborg University, Denmark
Lines: 58
Xref: alberta comp.unix.questions:4768 comp.unix.wizards:5742 sci.math.stat:213

Could anyone please shed light on a problem I have in compiling the S
statistical package from AT&T on our Sun-3 system:

System specifics: Sun 3/260 under SunOS 3.4 using the m4 macro
processor supplied with the S system. S version date: Fri Feb 28 1986

Using the hints on compiling with BSD4.2 systems I only get apparently
harmless warnings under the compilation. This could for example be:

Warning on line 84 of hcp.f: local variable i never used
Warning on line 96 of stems.f: statement cannot be reached
f77: Warning: File with unknown suffix (/usr/local/src/s/S/newfun/lib/grz)
     passed to ld
or
"dprint.c", line 20: warning: illegal combination of pointer and integer, op =

Furthermore there are problems with the utility routine scandata.C, which
fails with error: too many local variables. This is fixed by making the
declaration of "table" global. Not pretty, but it works.

These are all the kinds of problems that appear during the
compilation, and it *will* result in an executable, except....
The f...ing system doesn't even know how to add two numbers, as seen in
the following:

One-time initialization for new S user in /usr.MC68020/iesd/tap/jpc ...
Directories swork and sdata created
> 1 + 2
Bad operator: +
Error in +
> 

Running the tests supplied with the system ($A/DOTEST ALL) will not
give better results. This is an excerpt from $TEST/current/apply:

> prefix("apply.")    # test of apply and multivariate stuff, some time-series
> $Random.seed_c(57,0,3,0,0,0,49,16,0,0,0,0)	# to initialize at same spot
> matr_matrix(rnorm(100),20,5)
Invalid distribution: rnorm
Error in rnorm
Dumped
> print(cm_apply(matr,2,"mean")); apply(matr,2,"var")
apply.matr not found
Dumped
 .
 .
and more depressing errors...
Why does the prefix command work, while the matr_matrix(rnorm... stuff don't?

So, have *anybody* made this run on a Sun system, and how did you do it?
All suggestions or pointers to which direction I should go, are welcome.

regards,
-- 
Jens Peter Christensen                               jpc@iesd.uucp
Department of Math. and Computer Science             {...}!mcvax!diku!iesd!jpc
Aalborg University Centre
Denmark
#! rnews 1496
Path: alberta!mnetor!uunet!mcvax!lambert
From: lambert@cwi.nl (Lambert Meertens)
Newsgroups: sci.math.symbolic
Subject: Bug in Macsyma SOLVE
Message-ID: <137@piring.cwi.nl>
Date: 6 Dec 87 21:50:53 GMT
Organization: CWI, Amsterdam
Lines: 39

This is UNIX MACSYMA Release 309.2.

(c1) x^12-12*x^11+48*x^10-40*x^9-193*x^8+392*x^7+44*x^6+8*x^5-977*x^4
     -604*x^3+2108*x^2+4913;

      12       11       10       9        8        7       6      5        4
(d1) x   - 12 x   + 48 x   - 40 x  - 193 x  + 392 x  + 44 x  + 8 x  - 977 x
                                                             3         2
                                                      - 604 x  + 2108 x  + 4913

(c2) solve(%);
                      6       5       4        3        2
(d2)          [0 = - x  + 12 x  - 47 x  + 188 x  - 527 x  - 4913]

That looks wrong, but let's check if it factors (d1):

(c3) part(%,1,2);
                    6       5       4        3        2
(d3)             - x  + 12 x  - 47 x  + 188 x  - 527 x  - 4913

(c4) gcd(%,d1);

(d4)                                   1

No, it does not.  Let's have a look at the real roots of (d1) and (d3):

(c5) realroots(d1)$ %,numer;

(d6) [x = - 1.960768669843674, x = - 1.544090360403061, x = 3.544090360403061,
                                                         x = 3.960768669843674]
(c7) realroots(d3)$ %,numer;

(d8)           [x = 5.472395747900009, x = 7.766151040792465]

Way off.

-- 

Lambert Meertens, CWI, Amsterdam; lambert@cwi.nl
#! rnews 989
Path: alberta!mnetor!uunet!mcvax!unido!tub!actisb!bernd
From: bernd@actisb.UUCP (Gunter Nitzler)
Newsgroups: comp.sources.bugs
Subject: Re: Starchart printing problem
Message-ID: <116@actisb.UUCP>
Date: 6 Dec 87 15:55:23 GMT
References: <3554@ames.arpa>
Reply-To: bernd@actisb.UUCP (Bernd-Gunter Nitzler)
Organization: Actis in Berlin GmbH, W. Germany
Lines: 19

In article <3554@ames.arpa> yee@ames.UUCP (Peter E. Yee) writes:
>I compiled and ran the starchart program.  The starpost version prints out
>the outline of the chart and the legend.  Nothing more.  No stars, no planets,
>no nebulas.  Nothing.  Is it just me, or has anyone else had this problem?

I had the same problem and have found two bugs:

In starchart.c, line 243 old:
	char ras[2], ....
new:
	char ras[20], ...

In starchart.c, line 757 old:
	    sscanf(cbuf, "%*5s%f%f%f %[^\n]", &ra, &de, &sc, legend);
new:
	    sscanf(cbuf, "%*5s%lf%lf%lf %[^\n]", &ra, &de, &sc, legend);

This two changes fixes the bugs.
Bernd.
#! rnews 2244
Path: alberta!mnetor!uunet!mcvax!enea!tut!santra!jmunkki
From: jmunkki@santra.UUCP (Juri Munkki)
Newsgroups: comp.sys.mac
Subject: Color CopyBits Is Too Slow!
Keywords: Mac II Color QuickDraw Animation Speed Optimization
Message-ID: <9130@santra.UUCP>
Date: 6 Dec 87 21:13:10 GMT
Organization: Helsinki University of Technology, Finland
Lines: 76


I experimented with offscreen pixmaps today. It seems that Color
Quickdraw is very flexible, but too slow for good animation. Most of the
overhead comes from color matching and conversion. I guess I could write
my own color matching routine, but I think there should be a fast way to
do a simple copy operation.

In most painting programs the actual painting could be done on an
offscreen bitmap with the same color table as the best gDevice.

It takes about twice as much time to do a copybits in srcCopy mode than
it takes in the srcXor mode. Below is a short program that draws to an
offscreen pixmap and then copies it back to the screen. Try different
transfer modes and note the speed difference. The code is written in LS
C 2.13. Even srcXor, which is the fastest usable mode, is too slow for
really high quality animation.

How can it be done faster?

#include <MacTypes.h>
#include <QuickDraw.h>
#include <Color.h>
#include <WindowMgr.h>

WindowPtr	onScreen;
CGrafPtr	offS;
RGBColor	temp;
PixMapPtr	offP;

void	main()
{
	int	i;
	
	InitGraf(&thePort);	InitCursor();
	InitFonts();		InitWindows();
		
	onScreen=GetNewWindow(1000,0L,-1);

	offS=(CGrafPtr)NewPtr(sizeof(*offS));

	OpenCPort(offS);
	HLock(offS->portPixMap);
	offP=*(offS->portPixMap);

	SetRect(&offP->bounds,0,0,256,256);
	PortSize(256,256);
	offP->rowBytes=32768L+256;

	offP->baseAddr=NewPtr(65536L);

	EraseRect(&offS->portRect);
	temp.blue=65535;
	temp.red=0;
	temp.green=0;
	RGBForeColor(&temp);
	for(i=0;i<256;i+=4)
	{	MoveTo(i,0);
		LineTo(255-i,255);
	}

	SysBeep(10);
	HideCursor();
	for(i=100;i;i--)
		CopyBits(&((GrafPtr)offS)->portBits,&onScreen->portBits,
				 &offS->portRect,&offS->portRect,srcXor,0);
	SysBeep(10);
	while(!Button());
}

Juri Munkki
jmunkki@santra.hut.fi
jmunkki@fingate.bitnet
lk-jmu@finhut.bitnet

P.S. The window is longword aligned and a color table was copied from the
     system file.
#! rnews 617
Path: alberta!mnetor!uunet!mcvax!enea!chalmers!benke
From: benke@chalmers.UUCP (Bengt-Eric Ericson)
Newsgroups: comp.sys.ibm.pc
Subject: Re: WARNING! FASTBACK may corrupt your hard disk!
Message-ID: <2239@chalmers.UUCP>
Date: 6 Dec 87 21:16:48 GMT
References: <703@vaxine.UUCP> <3225@bnrmtv.UUCP> <7024@sunybcs.UUCP>
Reply-To: benke@chalmers.UUCP (Bengt-Eric Ericson)
Organization: Dept. of CS, Chalmers, Sweden
Lines: 3
Keywords:Computer Shopper


In some article in this group there is said something about
"Computer Shopper". Is this a magazine or what? Please
enlight us guys here in the land of Polar bears. :-)
#! rnews 2432
Path: alberta!mnetor!uunet!mcvax!ukc!eagle!kjws
From: kjws@eagle.ukc.ac.uk (K.J.W.Smithers)
Newsgroups: comp.sys.amiga
Subject: Re: A2090A HD controller
Message-ID: <4038@eagle.ukc.ac.uk>
Date: 6 Dec 87 14:46:00 GMT
References: <5474@oberon.USC.EDU> <6575@ccicpg.UUCP> <2903@cbmvax.UUCP>
Reply-To: kjws@ukc.ac.uk (K.J.W.Smithers)
Organization: Computing Lab, University of Kent at Canterbury, UK.
Lines: 56
Summary:

Expires:

Sender:

Followup-To:


In article <2903@cbmvax.UUCP> you write:
>
>This is one of the things that the updated hddisk device I announced
>awhile ago (and will mail to people over usenet) fixes.  If you don't
>have have a 2090 card, the software that comes with your 2090 is
>the new driver, so it will work fine in overscan.
>-- 
>andy finkel		{ihnp4|seismo|allegra}!cbmvax!andy 
>Commodore-Amiga, Inc.
>

I have an A2090 card and a CSA68020/68881 board with no 32 bit ram.
 
 They will Not work together. (but both work seperately)

I think the driver (hddisk) is dated  1986 , is this the latest driver?
(If not could you please e-mail me the latest version)

The problem is when I run binddrivers that task stops, (binddrivers
never exits). It seems to fallover on a particular call to execbase.
The last instruction (displayed by MetaScope) is  mov a2,(a0)

If i move the hddisk from expansion draw , to hddisk.device in the
devs draw, i can mount the harddisk (dh0:) , but when i do a
cd dh0: , the cd command displays 'Cant find dh0:'

I am running morerows, 672*266 on a B2000 rev 4.0 board (pal) with
2Mbytes expansion ram , 2*3.5inch drives, and (hopefully) A2090 +
20 Mbyte hard disk, and a CSA 68020/68881 board.

I have also done the wire-link modification to the main B2000 board,
as required by CSA for the 68020 board on Rev4.0 and later boards.

Slots are as follows :-

     I  I  E  E  E  M  H     6
     B  B  M  M  M  E  A     8
     M  M  P  P  P  M  R     0
           T  T  T  O  D     2
	   Y  Y  Y  R  D     0
                    Y  I     C
                       S     P
                       K     U

   Thanks in advance for any help
		
	Kit Smithers

____________________________________________________________________________
   Kit Smithers			kjws@ukc.ac.uk
				kjws@ukc.UUCP
				!mcvax!ukc!kjws

The man who can not stay fast and hard at the same time !
Live for ever, or die in the attempt.
______________________________________________________________________________
#! rnews 1572
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!ajcd
From: ajcd@its63b.ed.ac.uk (Angus Duggan, Department of Computer Science, University of Edinburgh,)
Newsgroups: rec.games.hack
Subject: pickup option - suggestion
Keywords: pickup HACKOPTIONS
Message-ID: <813@its63b.ed.ac.uk>
Date: 6 Dec 87 11:47:56 GMT
Reply-To: ajcd@its63b.ed.ac.uk (Angus Duggan)
Organization: I.T. School, Univ. of Edinburgh, U.K.
Lines: 23

Here's a suggestion for an improvement (at least I think it is :-) to the
"pickup" option in nethack, which someone who is familiar with the source
code might like to implement -

Make the "pickup" option a composite option like "packorder", and re-write
the picking up code so that the types of objects specified will be
automatically picked up. All other objects could still be picked up by ','.

e.g. "pickup:?+/=!)"  would pick up scrolls, spellbooks, wands, rings,
                                   potions, and weapons.

This would be useful for those of us who don't like carrying hoards of
gold around, and also to prevent picking up dead cockatrices while still
picking up other objects.

BTW, does anyone know what the options "null" and "news" do?
-- 
Angus Duggan, Department of Computer Science, University of Edinburgh,
James Clerk Maxwell Building, The King's Buildings, Mayfield Road,
Edinburgh, EH9 3JZ, Scotland, U.K.
JANET:  ajcd@uk.ac.ed.ecsvax  ARPA: ajcd%ecsvax.ed.ac.uk@cs.ucl.ac.uk
USENET: ajcd@ecsvax.ed.ac.uk  UUCP: ...!seismo!mcvax!ukc!ecsvax.ed.ac.uk!ajcd
BITNET: psuvax1!ecsvax.ed.ac.uk!ajcd or ajcd%ecsvax.ed.ac.uk@earn.rl.ac.uk
#! rnews 4243
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!simon
From: simon@its63b.ed.ac.uk (ECSC68 S Brown CS)
Newsgroups: comp.lang.c
Subject: Re: stdio error detection
Message-ID: <814@its63b.ed.ac.uk>
Date: 6 Dec 87 17:35:07 GMT
References: <10649@brl-adm.ARPA>
Reply-To: simon%lfcs.ed.ac.uk@nss.cs.ucl.ac.uk (Simon Brown)
Organization: LFCS, University of Edinburgh
Lines: 87

In article <10649@brl-adm.ARPA> dsill@NSWC-OAS.arpa (Dave Sill) writes:
>>I used to be rather fond of C, but this error stuff is quite
>>incredibly bad.  The problem isn't really the language; it's
>>the libraries.
>
>Rather than messing with errno, I think a new variable, say, liberr,
>should be used.  An include file, say liberr.h, could contain macro
>definitions for the various types of errors.  A macro named LIBERR
>could also be defined in liberr.h so code could be written that would
>take advantage of liberr if it was available or handle errors in the
>usual way if it's not.  Even better would be to have LIBERR be a
>predefined macro like ANSI, unix, vax, et cetera.
>

This still has the same problem as with "errno"- namely that you're trying
to describe a general ``error condition'' using a single number! I'm told
that VMS (but it's a good idea for all that...) provides a stack of error 
values which allows a program to search backward to find out what the "real" 
error was, depending on what kind of detail is required. If you have several
levels of library calls between you and the system call that failed, this
can be extremely useful- it's not really much use having an error-value
if you can't even tell what system call it came from (let alone what parameters
were *passed* to that system call to cause it to fail!).

A *decent* error-returning mechanism would describe:

	1. What call (syscall or library call) failed.
	   This could be a number- you could use something like internet
	   addressing to put some kind of structure into it:
		libc.stdio.fopen
	2. Why it failed.
	   Simple E-numbers will do for this (although I suppose they'd
	   have to be grouped for different libraries):
		E_STDIO.E_CANNOT_OPEN_FILE
	3. What value it returned.
		(FILE *)NULL
	3. What parameters were passed to it.
	   This is the most difficult one, because it would have to have
	   some kind of idea as to the types involved. It could (I suppose)
	   deal only with string types (and convert any other type into
	   "printable" form by doing the equivalent of sprintf()'ing it).
	   It also has to be a "list", which means it would probably have
	   to be done using something like "argc,argv":
		argc: 2
		argv: "mumble.splat", "r"

If the error is not "dealt with", then this information should propogate
down (together with the info from the callee's failure), and so on...

So, If you do a
	fopen("mumble.splat","r")
and it fails, then the following would be left on the stack (in some format
or other) to be dealt with by some error-diagnosing function:

	kernel.open:
		param 1: "mumble.splat" [string]
		param 2: 0 [int]
		returns: -1 [int]
		error: E_KERNEL.ENOENT
	libc.stdio.fopen:
		param 1: "mumble.splat" [string]
		param 2: "r" [string]
		returns: 0 [FILE *]
		error: E_LIBC.E_STDIO.E_CANNOT_OPEN_FILE

The error-diagnosing stuff could then print something *useful* such as
	stdio fopen: couldn't open file "mumble.splat" for reading, because:
	    kernel open: no file or directory "mumble.splat"

(and of course the format of these messages could be user-configurable, so
that noddies would just get the information they need, whereas people who
understand what they're doing could get reams and reams of info- just by setting
some environment parameter to the appropriate value).

Of course, all this stuff would have to be known by the compiler, and I'm sure
it'd be dead slow to execute!

-- 
--------------------------------------------------
| Simon Brown                                    |
| Laboratory for Foundations of Computer Science |
| Department of Computer Science                 |
| University of Edinburgh, Scotland, UK.         |
--------------------------------------------------
 UUCP:  uunet!mcvax!ukc!lfcs!simon
 ARPA:  simon%lfcs.ed@nss.cs.ucl.ac.uk      "Life's like that, you know"
 JANET: simon@uk.ac.ed.lfcs
#! rnews 665
Path: alberta!mnetor!uunet!mcvax!henk
From: henk@cwi.nl (Henk Schouten)
Newsgroups: rec.games.board
Subject: diplomacy
Keywords: pbm
Message-ID: <138@piring.cwi.nl>
Date: 7 Dec 87 08:36:16 GMT
Organization: CWI, Amsterdam
Lines: 9

A local group is going to start a diplomacy game by mail. We have
only few players so I would like to take part in the game myself.
To do so, I would like to have the moves evaluated by a
program. Before writing such a program myself, I would like to
ask if anyone has or knows of such a program in the public
domain, preferrably written in C. Code or pointers to it will be
greatly appreciated.
				Henk Schouten
				..!nl!cwi!henk
#! rnews 1298
Path: alberta!mnetor!uunet!mcvax!varol
From: varol@cwi.nl (Varol Akman)
Newsgroups: sci.crypt
Subject: Re: NSA advertisment
Summary: Somewhat naive, huh?
Message-ID: <139@piring.cwi.nl>
Date: 7 Dec 87 08:59:02 GMT
References: <4781@cit-vax.Caltech.Edu>
Organization: CWI, Amsterdam
Lines: 22

palmer@tybalt.caltech.edu.UUCP (David Palmer) writes:
>I just read a magazine add seeking people to work at the NSA (pg. 80R of
>Dec. 1987 IEEE Spectrum)
>The graphic is 10,000,0... (100 zeros) written on three lines.  The first
>paragraph of the text reads:
>	You're looking at a "googol." Ten raised to the 100th power.
>	One followed by 100 zeros.  Counting 24 hours a day, you would
>	need 120 years to reach a googol.  Two lifetimes.  It's a
>	number that's impossible to grasp.  A number beyond our imagination.
>... material deleted ...

This strikes me as quite odd.  I mean, if something can be done in two lifetimes
then, darn it, it is well within my imagination.
If it can be done within 20 lifetimes
I can still grasp how difficult it should be.  A real difficult thing would
be something that takes say 10^100 lifetimes.

In short, I find the above ad quite naive.  NSA guys should probably
have something better than this for the inspring encryption student.
What do you say?

-Varol Akman
#! rnews 1520
Path: alberta!mnetor!uunet!mcvax!prlb2!ronse
From: ronse@prlb2.UUCP (Christian Ronse)
Newsgroups: sci.math
Subject: Re: Least-squares fitting
Summary: see Duda & Hart, Chapter 9, for a solution
Keywords: ``eigenvector line fitting''
Message-ID: <387@prlb2.UUCP>
Date: 7 Dec 87 09:22:11 GMT
References: <1823@culdev1.UUCP> <528@amethyst.ma.arizona.edu>
Organization: Philips Research Laboratory, Brussels
Lines: 21

From article <528@amethyst.ma.arizona.edu> by hdunne@amethyst.ma.arizona.edu:
< In article <1823@culdev1.UUCP> drw@culdev1.UUCP (Dale Worley) writes:
	[deleted ...]
< }Is is known how to perform least-squares fitting where the "error" is
< }the perpendicular distance between the point and the line?
< }
< If the point is (x_i,y_i) and the line is y = a*x + b, then the square of the
< perpendicular distance is [(y_i - a*x_i - b)^2]/(1 + a^2) (assuming the line
< isn't vertical). Taking the sum of the squared distances and setting the
< partial derivatives wrt. a and b equal to zero, you get the same equations 
< for a and b as you get from the usual least-squares procedure.

See the book ``Pattern Classification and Scene Analysis'' by R.O. Duda & P.E.
Hart, Chapter 9. Section 9.2.1 introduces the usual least square fitting
(``minimum-squared-error line fitting''), and 9.2.2 the one asked by Dale
(``eigenvector line fitting''). There the problem is solved.

Christian Ronse		maldoror@prlb2.UUCP
{uunet|philabs|mcvax|...}!prlb2!{maldoror|ronse}

	STAT ROSA PRISTINA NOMINE, NOMINA NUDA TENEMUS
#! rnews 977
Path: alberta!mnetor!uunet!mcvax!ukc!stl!stc!idec!camcon!mb
From: mb@camcon.uucp (Mike Bell)
Newsgroups: comp.sys.ibm.pc
Subject: Re: Neat voice|gag program
Summary: How does HELPME work?
Message-ID: <1107@titan.camcon.uucp>
Date: 2 Dec 87 14:25:07 GMT
References: <3692@uwmcsd1.UUCP>
Distribution: all
Organization: Cambridge Consultants Ltd., Cambridge, UK
Lines: 15

in article <3692@uwmcsd1.UUCP>, cmaag@csd4.milw.wisc.edu 
(posting to comp.binaries.ibm.pc)  says:

> Here is a neat little program I found on a local bbs.  It uses the speaker
> to generate a very-realistic (the best I've heard on a PC!) voice that
> says something to the effect of "Help!  I'm locked in this computer!
> Let me out! Help!".  

I just played it, and was much impressed. Given the rudimentary
nature of IBM PC's, can anybody explain how it achieves its
effect?
-- 
---------------		UUCP:  ...mcvax!ukc!camcon!mb
-- Mike Bell --		or:    mb%camcon.uucp
---------------		Phone: +44 223 358855
#! rnews 710
Path: alberta!mnetor!uunet!mcvax!ukc!stl!stc!idec!camcon!mb
From: mb@camcon.uucp (Mike Bell)
Newsgroups: comp.sources.bugs
Subject: Re: v12i071:  StarChart program (Minor correction)
Message-ID: <1114@titan.camcon.uucp>
Date: 4 Dec 87 15:48:15 GMT
References: <1110@artemis3.camcon.uucp>
Organization: Cambridge Consultants Ltd., Cambridge, UK
Lines: 10

in article <1110@artemis3.camcon.uucp>, mb@camcon.uucp (Mike Bell) says:
> 	(Problem found on Sun 4.3 BSD Unix)

Sorry, that should have been Sun Release 3.4 of 4.2 BSD... (well it
was correct within an order of magnitude:-)

-- 
---------------		UUCP:  ...mcvax!ukc!camcon!mb
-- Mike Bell --		or:    mb%camcon.uucp
---------------		Phone: +44 223 358855
#! rnews 2447
Path: alberta!mnetor!uunet!mcvax!tuvie!rcvie
From: rcvie@tuvie (ELIN Forsch.z.)
Newsgroups: comp.lang.c
Subject: Re: Autoincrement question
Message-ID: <548@tuvie>
Date: 7 Dec 87 10:00:58 GMT
References: <1507@ogcvax.UUCP>
Organization: TU Vienna EDP-Center, Vienna, AUSTRIA
Lines: 58

In article <1507@ogcvax.UUCP>, schaefer@ogcvax.UUCP (Barton E. Schaefer) writes:
> (I realize this might be similar to another question asked recently, but ...)
> 
> Another student here at OGC recently came to me with a question about the
> C autoincrement operator.  The following program is representative of the
> code he wrote, which did not do what he expected:
> 
>     struct foo { struct foo *tmp; char junk[32]; } foolist[4];
> 
>     main ()
>     {
> 	struct foo *bar;
> 
> 	bar = foolist;
> 	/* Do something with bar */
> 	bar->tmp = bar++;		/* This is the problem line */
> 	/* Do something else */
>     }
> 

This is really dangerous programming. The points where the left and where the
right "bar" are evaluated are implementation defined. The problem is similar to
another one, which a friend of mine had some time ago. He tried to pack as much
as possible into the control part of a while loop using the following statement:

while (a[i]=b[i++])
  ;

Things were even worse here, as the program behaved even differently depending
on whether it was compiled with the optimization option or not. Non optimized
everything worked as expected but in the optimized version only for the first
assignment "i" was incremented after the assignment, for all the following
assignments it was incremented after the evaluation of "b[i]" but before the 
assignment. Nevertheless this behaviour was in the sense of both K&R and ANSI.
The only thing you can trust on, is that the *operand* of the increment
operator is evaluated before its incrementation. One way to achieve the desired
behaviour is, as you suggested yourself, to write:

> What he really wanted was the equivalent of
> 	bar->tmp = bar;
> 	bar++;

and not (for the same reasons stated above):

> 	(bar++)->tmp = bar;

If there is any necessity to have the whole semantic in one *expression*, use
the comma operator, as

bar->tmp = bar, bar++;

This operator *guarantees* the sequential evaluation of its operands from
left to right.

In real life: Dipl.Ing. Dietmar Weickert
              ALCATEL Austria - ELIN Research Center
              Floridusg. 50
          A - 1210 Vienna / Austria
#! rnews 1822
Path: alberta!mnetor!uunet!mcvax!steven
From: steven@cwi.nl (Steven Pemberton)
Newsgroups: comp.sys.atari.st
Subject: Re: Alcyon C Bug N++
Message-ID: <140@piring.cwi.nl>
Date: 7 Dec 87 14:59:48 GMT
References: <8712051307.AA12109@ucbvax.Berkeley.EDU>
Reply-To: steven@cwi.nl (or try mcvax!steven.uucp)
Organization: CWI, Amsterdam
Lines: 38

For people interested, here are a couple of bugs in the Alcyon
compiler that we've been hitting our heads against for the last few
weeks:

	1) The compiler doesn't seem able to cope with nested
	   initialisations. For instance, a struct with an array in
	   the middle:
		static struct foo table[] = {
			{ ...... {.....} ......},
			...
		}
	   The compiler complains about mismatched braces.
	   Cure: 'unwrap' the struct declaration, so it's all at the
		 same level.

	2) In a construct like
		bar *p = (expression1, expression2);
	   the result of expression2 gets coerced to int, and then
	   back to bar *, meaning basically that you get bombs on the
	   screen when you try to use p, due to a wrong address.
	   Cure: use
		bar *p = (expression1, (bar *) expression2);

	3) We believe that 'complicated' initialisations to auto
	   variables in functions (for instance where the
	   initialisation involves a call to another function) often
	   come out wrong. However, by this point, we despaired, and
	   stopped using the compiler, so we never followed up on it.

I might point out that we're trying to compile a BIG program: 30,000
lines of C, so just trying to trace bug 2 took us a LOT of time.

By the way, just for interest: to compile the lot from scratch, using
a ram disk for temporaries would take 4 hours. When we reinitialised
the disk partition, and copied the files back, a recompile only took
1.5 hours!

Steven Pemberton, CWI, Amsterdam; steven@cwi.nl
#! rnews 1265
Path: alberta!mnetor!uunet!mcvax!mhres!jv
From: jv@mhres.mh.nl (Johan Vromans)
Newsgroups: comp.sys.hp
Subject: Re: syslogd on HP-UX
Summary: I have one
Message-ID: <1495@mhres.mh.nl>
Date: 7 Dec 87 12:19:02 GMT
References: <641@ucdavis.ucdavis.edu>
Sender: jv@mhres.mh.nl
Reply-To: jv@mhres.mh.nl (Johan Vromans)
Organization: Multihouse N.V., The Netherlands
Lines: 20

In article <641@ucdavis.ucdavis.edu> arons@iris.ucdavis.edu (Tom Arons) writes:
>Has anyone successfully ported syslog(3) and syslogd from 4.2 or
>4.3 BSD to HP-UX 5.3 running on a 9000 series 300?
>
>It doesn't look like it would be too hard to do, but I don't want to
>reinvent the wheel.

I once implemented a syslogd for HP-UX using message queues. I have posted
it to comp.sources.unix some time ago, but I can mail it if you cannot find
it.

Features: (almost) BSD compatible, no network support, runs as a daemon,
communicates with message queues.
If no daemon is running, calling 'syslog' is effectivily a no-op.
I have used it when I tried to get sendmail running.



-- 
Johan Vromans                              | jv@mh.nl via European backbone
Multihouse N.V., Gouda, the Netherlands    | uucp: ..{uunet!}mcvax!mh.nl!jv
"It is better to light a candle than to curse the darkness"
#! rnews 1036
Path: alberta!mnetor!uunet!mcvax!botter!wundt!michael
From: michael@wundt.psy.vu.nl (M.A.M. Michael)
Newsgroups: comp.sys.mac
Subject: Address for update of VersaTerm requested
Message-ID: <164@wundt.psy.vu.nl>
Date: 7 Dec 87 16:30:39 GMT
Reply-To: michael@psy.vu.nl.UUCP (M.A.M. Felt)
Organization: VU Psychologie, Amsterdam
Lines: 24

!!!!!!!!!!!!!!!!!!!!!!!!!
Please reply via e-mail.
!!!!!!!!!!!!!!!!!!!!!!!!!

When I purchased VersaTerm 2+ years ago I didn't bother to register.
Now I wish I had. It's about time for an update.

The manual lists the address:
Peripherals Computers & Supplies Inc
2232 Perkiomen Avenue
Mt. Penn, PA 19606

Is this still current (other VersaTerm Users)?

In either case, an e-mail reply will be appreciated.
The dealer (I bought it from) here is still selling
the same version of two years ago. (1.42)

Thanks, michael felt
-- 
Michael Felt	Psychology Dept, Vrije Universiteit, Amsterdam, Netherlands
InterNet:	michael@psy.vu.nl
UUCP:		...!mcvax!vupsy!michael , michael@vupsy.UUCP
AppleLink:	HOL0038
#! rnews 600
Path: alberta!mnetor!uunet!mcvax!inria!axis!alastair
From: alastair@axis.fr (Alastair Adamson)
Newsgroups: comp.text
Subject: To break or not to break
Summary: br command in [nt]roff
Message-ID: <348@axis.fr>
Date: 7 Dec 87 08:33:25 GMT
Organization: Axis Digital, Paris
Lines: 9

I have long wondered at the ubiquitous [nt]roff request
	'br
found in the mm macros and elsewhere. Could someone
please elucidate the use of the break request with
the no-break command character ' used?

Thanks in advance, Alastair Adamson,
	alastair@axis.fr
	Axis Digital, 135 rue d'Aguesseau, 92100, Boulogne, France
#! rnews 8193
Path: alberta!mnetor!uunet!mcvax!botter!ast
From: ast@cs.vu.nl (Andy Tanenbaum)
Newsgroups: comp.os.minix
Subject: New program: treecmp.c
Message-ID: <1774@botter.cs.vu.nl>
Date: 7 Dec 87 20:53:16 GMT
Reply-To: ast@cs.vu.nl (Andy Tanenbaum)
Organization: VU Informatica, Amsterdam
Lines: 321


I have written a program to recursively compare the contents of two given
directories, file for file.  The program descends the tree and reports about
files that are missing or different.  Some day, if I ever get around to
producing V1.3 of MINIX, I will make a tree of the current version next to
the V1.2 tree, and then run this program to get a list of all files that
are different.  Then I can make diff listings etc.  In reality, the reason
I wrote it however, is that I had just copied my MINIX tree from one part
of the disk to another, and I wanted to make sure nothing was forgotten.
I am sure there are other uses as well.    One could no doubt write a shell
script to do this same thing, or perhaps use find, but this program is
much faster, being able to compare two 8 megabyte trees in about 12
minutes on a Z-248.

Please post any bugs you find.

Andy Tanenbaum (ast@cs.vu.nl)

----------------------------- treecmp.c ---------------------------------
/* treecmp - compare two trees		Author: Andy Tanenbaum */

/* This program recursively compares two trees and reports on differences.
 * It can be used, for example, when a project consists of a large number
 * of files and directories.  When a new release (i.e., a new tree) has been
 * prepared, the old and new tree can be compared to give a list of what has
 * changed.  The algorithm used is that the first tree is recursively
 * descended and for each file or directory found, the corresponding one in
 * the other tree checked.  The two arguments are not completely symmetric
 * because the first tree is descended, not the second one, but reversing
 * the arguments will still detect all the differences, only they will be
 * printed in a different order.  The program needs lots of stack space
 * because routines with local arrays are called recursively. The call is
 *    treecmp [-v] dir1 dir2
 * The -v flag (verbose) prints the directory names as they are processed.
 */

#include <stat.h>

#define BUFSIZE 4096		/* size of file buffers */
#define MAXPATH 128		/* longest acceptable path */
#define DIRENTLEN 14		/* number of characters in a file name */

struct dirstruct {		/* layout of a directory entry */
  unsigned inum;
  char fname[DIRENTLEN];
};

struct stat stat1, stat2;	/* stat buffers */

char buf1[BUFSIZE];		/* used for comparing bufs */
char buf2[BUFSIZE];		/* used for comparing bufs */

int verbose;			/* set if mode is verbose */

main(argc, argv)
int argc;
char *argv[];
{
  char *p;

  if (argc < 3 || argc > 4) usage();
  p = argv[1];
  if (argc == 4) {
	if (*p == '-' && *(p+1) == 'v') 
		verbose++;
	else
		usage();
  }

  if (argc == 3)
	compare(argv[1], argv[2]);
  else
	compare(argv[2], argv[3]);

  exit(0);
}

compare(f1, f2)
char *f1, *f2;
{
/* This is the main comparision routine.  It gets two path names as arguments
 * and stats them both.  Depending on the results, it calls other routines
 * to compare directories or files.
 */

  int type1, type2;

  if (stat(f1, &stat1)  < 0) {
	printf("Cannot stat %s\n", f1);
	return;
  }

  if (stat(f2, &stat2)  < 0) {
	printf("Missing file: %s\n", f2);
	return;
  }

  /* Examine the types of the files. */
  type1 = stat1.st_mode & S_IFMT;
  type2 = stat2.st_mode & S_IFMT;
  if (type1 != type2) {
	printf("Type diff: %s and %s\n", f1, f2);
	return;
  }

  /* The types are the same. */
  switch(type1) {
	case S_IFREG:	regular(f1, f2);
			break;

	case S_IFDIR:	directory(f1, f2);
			break;

	case S_IFCHR:
	case S_IFBLK:	break;

	default:	printf("Unknown file type %o\n", type1);
  }
  return;
}

regular(f1, f2)
char *f1, *f2;
{
/* Compare to regular files.  If they are different, complain. */

  int fd1, fd2, n1, n2, i;
  unsigned bytes;
  long count;
  char *p1, *p2;

  if (stat1.st_size != stat2.st_size) {
	printf("Size diff: %s and %s\n", f1, f2);
	return;
  }

  /* The sizes are the same.  We actually have to read the files now. */
  fd1 = open(f1, 0);
  if (fd1 < 0) {
	printf("Cannot open %s for reading\n", f1);
	return;
  }

  fd2 = open(f2, 0);
  if (fd2 < 0) {
	printf("Cannot open %s for reading\n", f2);
	return;
  }

  count = stat1.st_size;
  while (count > 0L) {
	bytes = (unsigned) (count > BUFSIZE ? BUFSIZE : count);	/* rd count */
	n1 = read(fd1, buf1, bytes);
	n2 = read(fd2, buf2, bytes);
	if (n1 != n2) {
		printf("Length diff: %s and %s\n", f1, f2);
		close(fd1);
		close(fd2);
		return;
	}

	/* Compare the buffers. */
	i = n1;
	p1 = buf1;
	p2 = buf2;
	while (i--) {
		if (*p1++ != *p2++) {
			printf("File diff: %s and %s\n", f1, f2);
			close(fd1);
			close(fd2);
			return;
		}
	}
	count -= n1;
  }
  close(fd1);
  close(fd2);
}

directory(f1, f2)
char *f1, *f2;
{
/* Recursively compare two directories by reading them and comparing their
 * contents.  The order of the entries need not be the same.
 */

  int fd1, fd2, n1, n2, ent1, ent2, i, used1 = 0, used2 = 0;
  char *dir1buf, *dir2buf;
  char name1buf[MAXPATH], name2buf[MAXPATH];
  struct dirstruct *dp1, *dp2;
  unsigned dir1bytes, dir2bytes;
  extern char *malloc();

  /* Allocate space to read in the directories */
  dir1bytes = (unsigned) stat1.st_size;
  dir1buf = malloc(dir1bytes);
  if (dir1buf == 0) {
	printf("Cannot process directory %s: out of memory\n", f1);
	return;
  }

  dir2bytes = (unsigned) stat2.st_size;
  dir2buf = malloc(dir2bytes);
  if (dir2buf == 0) {
	printf("Cannot process directory %s: out of memory\n", f2);
	free(dir1buf);
	return;
  }

  /* Read in the directories. */
  fd1 = open(f1, 0);
  if (fd1 > 0) n1 = read(fd1, dir1buf, dir1bytes);
  if (fd1 < 0 || n1 != dir1bytes) {
	printf("Cannot read directory %s\n", f1);
	free(dir1buf);
	free(dir2buf);
	if (fd1 > 0) close(fd1);
	return;
  }
  close(fd1);

  fd2 = open(f2, 0);
  if (fd2 > 0) n2 = read(fd2, dir2buf, dir2bytes);
  if (fd2 < 0 || n2 != dir2bytes) {
	printf("Cannot read directory %s\n", f2);
	free(dir1buf);
	free(dir2buf);
	close(fd1);
	if (fd2 > 0) close(fd2);
	return;
  }
  close(fd2);

  /* Linearly search directories */
  ent1 = dir1bytes/sizeof(struct dirstruct);
  dp1 = (struct dirstruct *) dir1buf;
  for (i = 0; i < ent1; i++) {
	if (dp1->inum != 0) used1++;
	dp1++;
  }

  ent2 = dir2bytes/sizeof(struct dirstruct);
  dp2 = (struct dirstruct *) dir2buf;
  for (i = 0; i < ent2; i++) {
	if (dp2->inum != 0) used2++;
	dp2++;
  }

  if (verbose) printf("Directory %s: %d entries\n", f1, used1);

  /* Check to see if any entries in dir2 are missing from dir1. */
  dp1 = (struct dirstruct *) dir1buf;
  dp2 = (struct dirstruct *) dir2buf;
  for (i = 0; i < ent2; i++) {
	if (dp2->inum == 0 || strcmp(dp2->fname, ".") == 0 || 
		strcmp(dp2->fname, "..") == 0) {
			dp2++;
			continue;
	}
	check(dp2->fname, dp1, ent1, f1);
	dp2++;
  }

  /* Recursively process all the entries in dir1. */
  dp1 = (struct dirstruct *) dir1buf;
  for (i = 0; i < ent1; i++) {
	if (dp1->inum == 0 || strcmp(dp1->fname, ".") == 0 || 
		strcmp(dp1->fname, "..") == 0) {
			dp1++;
			continue;
	}
	if (strlen(f1) + DIRENTLEN >= MAXPATH) {
		printf("Path too long: %s\n", f1);
		free(dir1buf);
		free(dir2buf);
		return;
	}
	if (strlen(f2) + DIRENTLEN >= MAXPATH) {
		printf("Path too long: %s\n", f2);
		free(dir1buf);
		free(dir2buf);
		return;
	}
	
	strcpy(name1buf, f1);
	strcat(name1buf, "/");
	strncat(name1buf, dp1->fname, DIRENTLEN);
	strcpy(name2buf, f2);
	strcat(name2buf, "/");
	strncat(name2buf, dp1->fname, DIRENTLEN);
 
	/* Here is the recursive call to process an entry. */
	compare(name1buf, name2buf);	/* recursive call */
	dp1++;
  }

  free(dir1buf);
  free(dir2buf);
}

check(s, dp1, ent1, f1)
char *s;
struct dirstruct *dp1;
int ent1;
char *f1;
{
/* See if the file name 's' is present in the directory 'dirbuf'. */
  int i;

  for (i = 0; i < ent1; i++) {
	if (strncmp(dp1->fname, s, DIRENTLEN) == 0) return;
	dp1++;
  }
  printf("Missing file: %s/%s\n", f1, s);
}

usage()
{
  printf("Usage: treecmp [-v] dir1 dir2\n");
  exit(0);
}
#! rnews 1196
Path: alberta!mnetor!uunet!mcvax!prlb2!kulcs!kdv
From: kdv@kulcs.UUCP (Karel De Vlaminck)
Newsgroups: comp.text
Subject: Laserprinters for troff on NCR Tower
Message-ID: <1066@kulcs.UUCP>
Date: 7 Dec 87 19:18:01 GMT
Reply-To: kdv@kulcs.UUCP ()
Organization: Katholieke Universiteit Leuven, Dept. Computer Science
Lines: 22


1) We want to connect a laserprinter for use with troff
on a NCR Tower System. Has anyone experience with this?

2) We will have access to a KYOCERA F-1000 or F-1200 laser printer.
Does anyone know about the existence of a filter for the
troff output to the laserprinter (which uses 'Prescribe').

3) This laserprinter also has an HP Laserjet Plus emulation.
Another solution would then be to use a troff output filter
for the HP Laserjet.  So I will ask the same question
about the existence for this filter.

Please mail responses directly to me. If there are usefull
responses, I will post a summary to the net.

Karel De Vlaminck

                                | K. U. Leuven
  kdv@kulcs.uucp                | Department of Computer Science
  or ...!mcvax!prlb2!kulcs!kdv  | Celestijnenlaan 200 A
  Phone:  +(32) 16-200656 x3565 | B-3030 Leuven (Heverlee), Belgium
#! rnews 685
Path: alberta!mnetor!uunet!mcvax!cernvax!ethz!solaris!wyle
From: wyle@solaris.ifi.ethz.ch@relay.cs.net (Mitchell Wyle)
Newsgroups: comp.unix.questions,comp.text
Subject: Scribe, GML
Keywords: Generalized Mark-up Languages, Scribe
Message-ID: <194@A14A.solaris.ifi.ethz.ch@relay.cs.net>
Date: 7 Dec 87 17:14:05 GMT
Organization: SOT sun cluster, ETH Zuerich
Lines: 7
Xref: alberta comp.unix.questions:4769 comp.text:1344

Where can I buy Scribe?  Are there other implementations of
a standard Markup Language on BSD Unix?  What is Scribe?

Please respond via e-mail; if there are enough "me too's,"
I'll post.

-Mitch Wyle  (wyle@solaris.uucp |  wyle@ethz.uucp  | ...!cernvax!ethz!wyle
#! rnews 1896
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!simon
From: simon@its63b.ed.ac.uk (ECSC68 S Brown CS)
Newsgroups: comp.unix.wizards
Subject: Re: Setting process groups
Message-ID: <815@its63b.ed.ac.uk>
Date: 7 Dec 87 10:30:32 GMT
References: <1765@unc.cs.unc.edu> <910@mcgill-vision.UUCP> <1261@saturn.ucsc.edu> <3134@psuvax1.psu.edu> <2990@hcr.UUCP>
Reply-To: simon@lfcs.ed.ac.uk (Simon Brown)
Organization: LFCS, University of Edinburgh
Lines: 29

In article <2990@hcr.UUCP>  writes:
>Actually SVID setpgrp() has an "extra feature" that Berkeley setpgrp(getpid())
>does not have - it detaches the process from its controlling terminal.  This
>does tend to make it "difficult" to create a pipeline attached to your terminal
>but with its own process group.

Well, you can do that by making each such pipeline belong to it's own SXT
device, and have all these SXT's multiplexed onto your *real* terminal.
Instant job-control!

BTW, SVR2 (and 3?) setpgrp() doesn't fully detach a process from its 
controlling tty if this process has already done a setpgrp() previously
(as is the case for a login-shell -- this comes from init and getty).
What it does in this case is to "partially" detach -- so that if you try 
to set up a new controlling terminal, it's not actually a controlling terminal 
at all -- things like terminal-generated signals don't get sent to the process.
Presumably this is just a cretinous bug, and not something more sophisticated.


-- 
--------------------------------------------------
| Simon Brown                                    |
| Laboratory for Foundations of Computer Science |
| Department of Computer Science                 |
| University of Edinburgh, Scotland, UK.         |
--------------------------------------------------
 UUCP:  uunet!mcvax!ukc!lfcs!simon
 ARPA:  simon%lfcs.ed@nss.cs.ucl.ac.uk      "Life's like that, you know"
 JANET: simon@uk.ac.ed.lfcs
#! rnews 1126
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!adrian
From: adrian@cs.hw.ac.uk (Adrian Hurt)
Newsgroups: rec.arts.sf-lovers
Subject: Re: NCC, USS, Klingons, etc...
Summary: She was a Klingon
Message-ID: <1568@brahma.cs.hw.ac.uk>
Date: 7 Dec 87 10:33:54 GMT
References: <8712011928.AA04370@topaz.rutgers.edu> <1632@bsu-cs.UUCP> <19321@teknowledge-vaxc.ARPA>
Organization: Computer Science, Heriot-Watt U., Scotland
Lines: 15

In article <19321@teknowledge-vaxc.ARPA>, hshiffma@teknowledge-vaxc.ARPA (Hank Shiffman) writes:
> 
> Why do you think she was a Klingon?  As I recall, she looked human.
> You weren't assuming that she was a Klingon just because she had
> something going with the Christoper Lloyd character, were you?  For
> shame!

In the book of the film, Valkris was definitely a Klingon, out to do something
valiant to redeem her family's honour. She became very friendly with another
alien on board that ship because of that alien's warrior traditions.
-- 
 "Keyboard? Tis quaint!" - M. Scott

 Adrian Hurt			     |	JANET:  adrian@uk.ac.hw.cs
 UUCP: ..!ukc!cs.hw.ac.uk!adrian     |  ARPA:   adrian@cs.hw.ac.uk
#! rnews 1332
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!adrian
From: adrian@cs.hw.ac.uk (Adrian Hurt)
Newsgroups: rec.games.frp
Subject: Re: Star Wars:  the RPG
Summary: Pictures
Message-ID: <1569@brahma.cs.hw.ac.uk>
Date: 7 Dec 87 10:42:12 GMT
References: <1570@cup.portal.com> <13450021@acf4.UUCP> <1676@cup.portal.com> <1799@cup.portal.com>
Organization: Computer Science, Heriot-Watt U., Scotland
Lines: 21

In article <1799@cup.portal.com>, Nightstalker@cup.portal.com writes:
> 
> Hi!  Does anyone know if the force skills can be learned by any PC like
> a smuggler or outlaw for example, or can they only be taught to the
> jedi classes and NPCs?  Thank you.
>    Jason Wallace
> 

Any character may learn the Force skills from a master, and the rulebook even
encourages players using the Jedi characters to do some teaching, provided that
the pupil hasn't got any Dark Side points. Remember, Luke Skywalker was a
"Brash Pilot" type until Obi-Wan (OB1? :-) got to him.

Now for my question. There are some really nice pictures in the rulebook. Can I
get separate copies of these? They would be great posters, especially the
Imperial Navy recruiting poster and the R2 advert.
-- 
 "Keyboard? Tis quaint!" - M. Scott

 Adrian Hurt			     |	JANET:  adrian@uk.ac.hw.cs
 UUCP: ..!ukc!cs.hw.ac.uk!adrian     |  ARPA:   adrian@cs.hw.ac.uk
#! rnews 1047
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!bob
From: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Newsgroups: rec.arts.sf-lovers
Subject: Re: Klingon females
Message-ID: <816@its63b.ed.ac.uk>
Date: 7 Dec 87 12:36:36 GMT
References: <8712042225.AA03829@topaz.rutgers.edu> <3490@hoptoad.uucp>
Reply-To: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Organization: I.T. School, Univ. of Edinburgh, U.K.
Lines: 13

In article <3490@hoptoad.uucp> tim@hoptoad.UUCP (Tim Maroney) writes:
>I like the fact that the Klingons are portrayed as sexist scumbags, but it
>disturbs me that all major sentient races except humans and Romulans put
>women in a subservient role (Klingons, Vulcans, Ferrengi).  It almost seems
>as if we are being told that female subservience is part of the natural
>order of sentience.  There are no major female-dominated sentient races, two
>semi-egalitarian races, and three male-dominated races, a clear imbalance in
>favor of male dominance.

Then who was T'pau supposed to be?

She was vulcan, and very obviously in charge of things.
	Bob.
#! rnews 1313
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!bob
From: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Newsgroups: rec.arts.sf-lovers
Subject: Re: Max Headroom
Message-ID: <817@its63b.ed.ac.uk>
Date: 7 Dec 87 13:10:09 GMT
References: <82*quale@si.uninett> <3333@ihlpl.ATT.COM>
Reply-To: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Distribution: rec.arts.sf-lovers
Organization: I.T. School, Univ. of Edinburgh, U.K.
Lines: 18

In article <3333@ihlpl.ATT.COM> barth@ihlpl.UUCP (BARTH RICHARDS) writes:
>The problem is that the first few episodes were *re*made by an American
>production company for broadcast on ABC (not the Australian ABC).  As I
>understand it, the first ABC run of six shows (winter/spring of 1987) were
>all reworkings of episodes already done by the British.  The second run
>(fall 1987) were stories newly developed by the American producers.

Sorry, there was only ever one original Max Headroom
programme. That was a one-off TV film made by the BBC.
Any episodes beyond the original story did not originate
with the BBC, although Maxs' creators may have been involved.

Max then re-appeared on Channel 4 as host of a chat show for two
short seasons. (interviewing guest stars about their views
on Golf, music, life and, most importantly, Golf :->)

He then crossed the atlantic to be re-made by ABC.
	Bob.
#! rnews 1152
Path: alberta!mnetor!uunet!mcvax!ukc!warwick!jeff
From: jeff@warwick.UUCP (Jeff Smith)
Newsgroups: comp.lang.c++
Subject: cfront runs too fast (and fix)
Keywords: cfront fix
Message-ID: <586@ubu.warwick.UUCP>
Date: 7 Dec 87 14:49:10 GMT
Organization: Computer Science, Warwick University, UK
Lines: 27

If you can persuade cfront to finish in less than a second with the
+S option on, then the calculation of the number of lines processed
per second generates a divide-by-zero! On a SUN-3 with 1.2.1,
typing
        cfront +S </dev/null
will demonstrate the problem.

Fix main.c thus:

		fprintf(stderr,"real time delay %ld: %d lines per second\n",
#ifdef	CFRONTTOOFASTFIX
			stop_time-start_time,
			stop_time-start_time > 0 ?
				Nline/(stop_time-start_time) : Nline);
#else	!CFRONTTOOFASTFIX
			stop_time-start_time, Nline/(stop_time-start_time) );
#endif	CFRONTTOOFASTFIX
		fflush(stderr);


Jeff
warwick!jeff

PS. Does anyone have a fix to simpl.c for the null dereference
on Pfct f = Pfct(Pptr(q->tp)->typ) caused by the pointer to member function
problem? The problem's been noted a couple of times in comp.lang.c++, by
Paul Calder and others..
#! rnews 1114
Path: alberta!mnetor!uunet!mcvax!ukc!warwick!strgh
From: strgh@daisy.warwick.ac.uk (J E H Shaw)
Newsgroups: rec.music.misc
Subject: Re: More than Yes (really Egg)
Message-ID: <357@daisy.warwick.ac.uk>
Date: 7 Dec 87 17:57:56 GMT
References: <22034@ucbvax.BERKELEY.EDU> <19826@yale-celray.yale.UUCP>
Reply-To: strgh@daisy.warwick.ac.uk (J E H Shaw)
Organization: Computing Services, Warwick University, UK
Lines: 14

----------
Egg released at least one other album before `Civil Surface', I think it
was called `the Polite Force'.  They were very good.

Their drummer (Clive Brooks?) joined the Groundhogs.
Their bassist (Mont Campbell?) played sometimes with some of the other
  Canterbury scene people: National Health, U.K. or similar (mid 70's).
Their organist, Dave Stewart, became a pop star (`It's My Party'), and
  also played with National Health, Hatfield & the North, etc.

Apologies for any wrong names - the above is all based on memory.
-- 
J.E.H.Shaw  Department of Statistics, University of Warwick, Coventry CV4 7AL
$$\times\times\qquad\top\gamma\alpha\omega\exists\qquad{\odot\odot\atop\smile}$$
#! rnews 1231
Path: alberta!mnetor!uunet!mcvax!ukc!eagle!icdoc!qmc-cs!nickd
From: nickd@cs.qmc.ac.uk (Nick Dunlavey)
Newsgroups: comp.cog-eng
Subject: Touch-screen research
Message-ID: <348@sequent.cs.qmc.ac.uk>
Date: 4 Dec 87 10:52:55 GMT
References: <19@gollum.Columbia.NCR.COM> <290@rd1632.Dayton.NCR.COM>
Reply-To: nickd@qmc.ac.uk (Nick Dunlavey)
Organization: Sch Of C+IT, Thames Polytechnic, Woolwich, London, UK
Lines: 19
Summary:

Expires:

Sender:

Followup-To:

Distribution:

Keywords:


I know that the CEGB (for those outside the UK, this is the
UK's Central Electricity Generating Board) has done some work
on this in the Scientific Services Department in its
North-eastern Region.  A report was produced called:

"A Touch-Sensitive Screen As An Interface For On-Line Control",
by Sutherland, Pringle and Carlin.

It documents the use of an upgraded VT103 in a power station
for operator control.
-- 
-------------
Nick Dunlavey                 ARPA: nickd@cs.qmc.ac.uk    (gw: cs.ucl.edu)
School Of Computing & IT      UUCP: nickd@qmc-cs.UUCP
Thames Polytechnic            Tel:  01-854 2030 Ext 339
Wellington Street
Woolwich                      Thanks to Queen Mary College for
LONDON                        net access
SE18 6PF
#! rnews 1563
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!adrian
From: adrian@cs.hw.ac.uk (Adrian Hurt)
Newsgroups: rec.arts.sf-lovers
Subject: Re: ST:TNG posters
Summary: Tolerance, please
Message-ID: <1570@brahma.cs.hw.ac.uk>
Date: 7 Dec 87 13:24:11 GMT
References: <5226@zen.berkeley.edu>
Organization: Computer Science, Heriot-Watt U., Scotland
Lines: 27

In article <5226@zen.berkeley.edu>, iverson@cory.Berkeley.EDU (Tim Iverson) writes:
> 
> ...			Not only that, but these article made no mention of
> ST:TNG in the subject line or header, so I couldn't kill them easily.
> 
> ...					The simple fact is that there is
> newsgroup for all of you to communicate in, and if the rest of us wanted to
> listen, then we would.
> 
 
Oh no, not again. Remember last time, when the number of articles complaining
about ST articles outnumbered the articles concerned (and every other single
type of article as well)?

There is a ST group, but not for "all of us". Some of us can't get at it. But
your point about headers is valid. In the interests of preventing Flame War III
I suggest that those of us who wish to put ST (and Dr. Who, etc) articles here
make sure that "ST" (or Dr. Who, etc) or some similar warning appears in the
header. And those who wish to complain about such postings should also always
put some clear warning in the header, so those of us who aren't interested can
kill their articles easily.

-- 
 "Keyboard? Tis quaint!" - M. Scott

 Adrian Hurt			     |	JANET:  adrian@uk.ac.hw.cs
 UUCP: ..!ukc!cs.hw.ac.uk!adrian     |  ARPA:   adrian@cs.hw.ac.uk
#! rnews 782
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!jack
From: jack@cs.hw.ac.uk (Jack Campin)
Newsgroups: comp.os.misc
Subject: incorporating processes into file systems
Message-ID: <1572@brahma.cs.hw.ac.uk>
Date: 7 Dec 87 20:36:40 GMT
Organization: Computer Science, Heriot-Watt U., Scotland
Lines: 9

I believe there has been at least one OS that manages the naming of
processes and files in the same way - so 'ps' would become yet another
option to 'ls'. I forget which. Can anyone enlighten me? References?

-- 
ARPA: jack%cs.glasgow.ac.uk@nss.cs.ucl.ac.uk
JANET:jack@uk.ac.glasgow.cs       USENET: ...mcvax!ukc!cs.glasgow.ac.uk!jack
Mail: Jack Campin, Computing Science Department, University of Glasgow,
      17 Lilybank Gardens, Glasgow G12 8QQ, Scotland (041 339 8855 x 6045)
#! rnews 1538
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!jack
From: jack@cs.hw.ac.uk (Jack Campin)
Newsgroups: sci.physics,rec.games.programmer,comp.sys.mac
Subject: simulating relativistic motion
Keywords: relativity, graphics, flight simulators
Message-ID: <1573@brahma.cs.hw.ac.uk>
Date: 7 Dec 87 21:00:08 GMT
Organization: Computer Science, Heriot-Watt U., Scotland
Lines: 18
Xref: alberta sci.physics:2410 rec.games.programmer:44 comp.sys.mac:10006

A long time ago I read about a program developed at MIT that produced
images of the way ordinary scenes (a street) would look at speeds nearing
c. I don't know if it used a plotter or calligraphic display, but it was
so long ago that whatever it did should surely be possible now in real time
on a Mac or equivalent. Does anything like that exist? - a sort of flight
simulator for cosmic ray particles, that would let you define a scene
with a 3D graphics editor and then look at it at various fractions of c.
(Colour would be a nice optional extra). The MIT program produced weirdly
drooping lampposts.
More ambitiously: what about general relativity? Here I am thinking about
some of the descriptions in Kaufmann's "The Cosmic Frontiers of General
Relativity" about how the world would look from near a black hole.

-- 
ARPA: jack%cs.glasgow.ac.uk@nss.cs.ucl.ac.uk
JANET:jack@uk.ac.glasgow.cs       USENET: ...mcvax!ukc!cs.glasgow.ac.uk!jack
Mail: Jack Campin, Computing Science Department, University of Glasgow,
      17 Lilybank Gardens, Glasgow G12 8QQ, Scotland (041 339 8855 x 6045)
#! rnews 737
Path: alberta!mnetor!uunet!mcvax!enea!kuling!nicke
From: nicke@kuling.UUCP (Niclas Holm)
Newsgroups: comp.lang.c++
Subject: Anyone ported c++ to UNISYS 50xx ?
Message-ID: <569@kuling.UUCP>
Date: 6 Dec 87 16:33:36 GMT
Reply-To: nicke@kuling.UUCP (Niclas Holm)
Organization: Dept. of Computer Systems, Uppsala University, Sweden
Lines: 7

I am interested in running c++ on a UNISYS 50xx (read NCR Tower ..).
Has someone successfully ported it, or need I do it myself ?

-- 
 Niclas F. Holm    |  UUCP:  nicke@kuling ({seismo!mcvax}!enea!kuling!nicke)
 Idrottsg. 21 II   |   or    nicke@umecs  ({seismo!mcvax}!enea!umecs!nicke) 
 S-753 35 Uppsala  |  Phone: +46 - 18 13 36
 SWEDEN            |            Famous Last Words: Look, no hands!
#! rnews 1584
Path: alberta!mnetor!uunet!mcvax!ukc!stc!datlog!slxsys!jpp
From: jpp@slxsys.specialix.co.uk (John Pettitt)
Newsgroups: comp.sys.ibm.pc
Subject: Re: anyone have info on "multilink"?
Summary: Get it from: TSL, Atlanta Ga.
Keywords: remote modem multilink
Message-ID: <108@slxsys.specialix.co.uk>
Date: 7 Dec 87 20:01:09 GMT
References: <167@iisat.UUCP>
Reply-To: jpp@slxsys.UUCP (John Pettitt)
Organization: Specialix International, London, UK.
Lines: 31

In article <167@iisat.UUCP> iis@iisat.UUCP (Paul Gauthier) writes:
>i am trying to locate information on a program called mutlilink. i have
>heard that it permits one to run software on an ibm from a remote (dumb)
>terminal. is this correct? does anyone know of other software that will
>accomplish the same? any and all help would be appreciated. thank you.

Multilink will allow several serial screens to run dos programs.

More info from:
	The Software Link
	3577 Parkway Lane
	Atlanta  GA 30092
	(404) 448 5465

They also have a product call PC-MOS that does the same thing on
386 boxes.  

Other software that lets you run multi user dos includes QNX,
Concurrent DOS (from Digital Research - remember CP/M :-),
Xenix (vp/ix comming soon), Unix V (ISC and Microport, with
vp/ix and locus merge respectivly).

Disclaimer: I don't sell any of the above - just write serial
driver's for them - not easy in some cases :-(
	


-- 
John Pettitt - 144.5 MHz: G6KCQ, CIX: jpettitt,  Voice: +44 1 398 9422
UUCP:  ...uunet!mcvax!ukc!pyrltd!slxsys!jpp  (jpp@slxsys.specialix.co.uk)
Disclaimer: I don't even own a cat to share my views !
#! rnews 1792
Path: alberta!mnetor!uunet!mcvax!targon!wim
From: wim@targon.UUCP (Wim C. J. van Eerdt)
Newsgroups: comp.lang.c++
Subject: Bug bug? solved (?)
Keywords: inline local variables
Message-ID: <367@targon.UUCP>
Date: 8 Dec 87 09:22:14 GMT
Reply-To: wim@targon.UUCP (Wim C. J. van Eerdt)
Organization: Nixdorf Computer BV., OSP, P.O. Box 29,Vianen, The Netherlands
Lines: 34

As long as the department does not have an uucp-feed,
you can e-mail me, the poster.
Success!

	Wim van Eerdt                   E-mail: mcvax!targon!wim
	OSP, Nixdorf Computer Bv, Postbus 29, 4130 EA Vianen
	Nederland. Tel.: +31 3473 62211.

----------------News article got:-------------------------------------
Author: Gerard van Dorth
Subject:  Bug bug? solved (?)
Keywords: inline local variables

> ... Redeclaration of "_au2__Xt_val_global"

The conditional statement on the lines 161/162 "if ( base == BLOCK  &&
	n->lex_level < ( (Pfct(expand_fn->tp)->memof) ? 3 : 2 ) )"
in file expand.c has to be changed in:
"if (  base == BLOCK && n->lex_level < 'function-defined-in-class' ? 3 : 2  )".

For a function defined in a class the lex_level is raised by the curly brace
of the class itself. Not only member functions (memof = member of) can be
defined inline, friends can also.
(Note that funny declarations of local variables did appear in case a member
function which needs locals is declared inline but not defined in the class
itself).

The most simple way to tell whether a function is defined in a class is the
use of a global variable (the more globals the more fun), set and reset 
(embracing the first loop) in the routine classdef::simpl() in file simpl.c
-- 
	Wim van Eerdt                   E-mail: mcvax!targon!wim
	OSP, Nixdorf Computer Bv, Postbus 29, 4130 EA Vianen
	Nederland. Tel.: +31 3473 62211.
#! rnews 1196
Path: alberta!mnetor!uunet!mcvax!unido!infbs!hild
From: hild@infbs
Newsgroups: rec.music.classical
Subject: Re: K. u. K. - (nf)
Message-ID: <24200003@infbs.UUCP>
Date: 7 Dec 87 10:26:00 GMT
References: <19123@amdahl.UUCP>
Lines: 17
Nf-ID: #R:amdahl:19123:infbs:24200003:000:873
Nf-From: infbs!hild    Dec  7 11:26:00 1987

This is only partly true.

"K.u.K." is short for "Kaiserlich und Koeniglich", that's right.
But it has nothing to do with the king of prussia.

At the time "K.u.K." was used, the king of Austria was also the
king of Hungary and the emperor of "Oestreich-Ungarn" (Austria and
Hungary. When thinking of K.u.K., I have the picture of
Kaiser Franz Josef, a fatherly man who kept his nation in a long
period of prosperous (sp?) peace, especially good for the arts.

BTW, Otto von Bismarck is remembered as a man who united Germany
(with an iron hand, that's true), which at that time was divided
into many small parts, all of them having a duke, different legislation
and borders between them. This meant having to pay customs very often,
thus disallowing free trade, which in turn was necessary for the
upcoming industrial revolution. So you might regard OvB a good statesman.
#! rnews 1564
Path: alberta!mnetor!uunet!mcvax!nikhefh!t68
From: t68@nikhefh.UUCP (Jos Vermaseren)
Newsgroups: comp.sys.atari.st
Subject: Re: FOLDERXXXXX
Summary: FOLDRXXX may not do the job either.
Message-ID: <410@nikhefh.UUCP>
Date: 8 Dec 87 10:44:50 GMT
References: <637@aucs.UUCP>
Organization: Nikhef-H, Amsterdam (the Netherlands).
Lines: 22

In article <637@aucs.UUCP>, 870646c@aucs.UUCP (barry comer) writes:
> After I posted my message about the GEMBOOT prg. not working properly, I
> received a message stating that GEMBOOT will not work properly with the new ROMS,well he also stated that there is a prg. call something like "FOLDRXXX.TOS",
> will this prg. work with the new ROMS? If it will do the trick could someone
> that has it please sent it to me in a reply msg. PLEASE do not send it via
> the binaries section I will never get it. 
> Thanx in advance
> Barry

FOLDRXXX starts up with a little table of ROM versions and corresponding
to each version an address. At that address it inserts a list of memory
pieces to be used. If you use new ROM's these addresses have been changed
so you cannot use FOLDRXXX unless you figure out the new address you need
and substitute the necessary information into the binary of FOLDRXXX ( or
a disassembly ). On the other hand: the new version of the ROMs for the
Mega has a much larger OSpool from which these memory blocks are taken.
It used to be 6000 bytes, but the new size is 16000 bytes. I don't know
whether this makes FOLDRXXX superfluous. Maybe Allan Pratt can comment
on that.

Jos Vermaseren
T68@nikhefh.uucp
#! rnews 793
Path: alberta!mnetor!uunet!mcvax!nikhefk!marcel
From: marcel@nikhefk.UUCP (Marcel Corbeek)
Newsgroups: rec.music.classical
Subject: Question
Message-ID: <291@nikhefk.UUCP>
Date: 8 Dec 87 11:19:26 GMT
Reply-To: marcel@nikhefk.UUCP (Marcel Corbeek)
Organization: Nikhef-K, Amsterdam (the Netherlands).
Lines: 15

In the film "Once upon a time in America" an ouverture of Rossini is played.
Is there anyone who can tell me which one this is ?

Marcel Corbeek,			Arpanet : marcel@nikhefk.uucp
NIKHEF-K, Amsterdam.		Bitnet  : v59u0002@hasara11.bitnet
Home address :
Aletta Jacobsstraat 48,
1628 NP Hoorn,
The Netherlands.
Marcel Corbeek,			Arpanet : marcel@nikhefk.uucp
NIKHEF-K, Amsterdam.		Bitnet  : v59u0002@hasara11.bitnet
Home address :
Aletta Jacobsstraat 48,
1628 NP Hoorn,
The Netherlands.
#! rnews 2545
Path: alberta!mnetor!uunet!mcvax!prlb2!ronse
From: ronse@prlb2.UUCP (Christian Ronse)
Newsgroups: sci.math
Subject: Re: Putnam Exam (SPOILER)
Summary: another proof for the x<25 solution
Keywords: Putnam
Message-ID: <388@prlb2.UUCP>
Date: 8 Dec 87 10:03:24 GMT
References: <16863@topaz.rutgers.edu> <16864@topaz.rutgers.edu> <3482@husc6.harvard.edu>
Organization: Philips Research Laboratory, Brussels
Lines: 69

In article <3482@husc6.harvard.edu>, elkies@huma1.HARVARD.EDU (Noam Elkies) writes:
< [Problem A-6 of the 48th Annual W.L.Putnam Contest, Dec. 5, 1987: ]
< >> For each positive integer n, let a(n) be the number of zeros in the
< >> base 3 representation of n.  For which positive real numbers x does
< >> the series
< >> 
< >> 			 inf
< >> 			-----	x^a(n)
< >> 			\	------
< >> 			/	 n^3
< >> 			-----
< >> 			n = 1
< >> 
< >> converge?

> Actually the correct interval of convergence is x<25.  Indeed, in the 
> partial sum corresponding to 3^k<=n<3^(k+1), the coefficients n^(-3) are
> within a factor of 27 of 27^(-k), and the sum of x^a(n) is easily seen to
> be 2(x+2)^k, so by comparison with the geometric series sum(r^k,k,0,inf)
> with r=(x+2)/27 we find that the series converges if and only if r<1,
> i.e. x<25.

This is correct, but the way the proof is written is not easy to understand. I
give below another proof.

For n>0 let

T(n) = x^a(n)/n^3	and 	U(n) = T(3n) + T(3n+1) + T(3n+2)

and for k>=0 let

Z(k) = sum {n=3^k to 3^(k+1)-1} T(n)

We have

Z(k+1)	= sum {n=3^(k+1) to 3^(k+2)-1} T(n)
	= sum {n=3^k to 3^(k+1)-1} [T(3n) + T(3n+1) + T(3n+2)]
	= sum {n=3^k to 3^(k+1)-1} U(n)

Let us compare U(n) to T(n). We have a(3n)=a(n)+1 and a(3n+1)=a(3n+2)=a(n).
Thus

U(n) = x^[a(n)+1]/(3n)^3 + x^a(n)/(3n+1)^3 + x^a(n)/(3n+2)^3

and so U(n) has as upper bound

x^a(n) * (x+2)/(3n)^3 = T(n) * (x+2)/27

and as lower bound

x^a(n) * (x+2)/(3n+2)^3 = T(n) * (x+2)/(3+2/n)^3

in other words U(n) = T(n) * (x+2)/(27+e(n)), where e(n)<(3+2/n)^3-27 tends to
0 when n tends to infinity. It follows then that

Z(k+1)= Z(k)*(x+2)/(27+f(k))

where f(k)<(3+2/3^k)^3-27 tends to 0 for n tending to infinity.

Now the series is the sum of all Z(k). Thus for x>25 we have Z(k+1)>Z(k) for k
large enough, and the series diverges; for x<25 we have Z(k+1)< r * Z(k) (with
r=(x+2)/27<1) for every k, and the series converges. For x=25 the series
diverges too (I think so), because Z(k+1)/Z(k) tends to 1 for k tending to
infinity.

Christian Ronse		maldoror@prlb2.UUCP
{uunet|philabs|mcvax|...}!prlb2!{maldoror|ronse}

		Time is Mona Lisa
#! rnews 1248
Path: alberta!mnetor!uunet!mcvax!botter!star!sater
From: sater@cs.vu.nl (Hans van Staveren)
Newsgroups: comp.dcom.lans,comp.sys.ibm.pc
Subject: Need info on hardware Western Digital EtherCard PLUS
Keywords: moron suppliers, Ethernet, IBM PC's
Message-ID: <608@sater.cs.vu.nl>
Date: 8 Dec 87 14:11:10 GMT
Organization: V.U. Informatica, Amsterdam, the Netherlands
Lines: 18
Xref: alberta comp.dcom.lans:906 comp.sys.ibm.pc:9572

We recently acquired some Western Digital EtherCard PLUS cards for IBM PC's.
We were planning to write MINIX drivers for them and we wanted the hardware
documentation from the supplier. We were indeed promised that.
However, as one might expect, we only got the documentation that stated
where to plug in the cable, and we are more interested in which IO-ports there
are, and what they do. Our supplier is not very helpful at the moment.

We will continue to nag our supplier, but in the meantime, does anyone have
the hardware info on this board?
We know there is a NatSemi DP8390 on there, and we have the datasheet on that
one, but there should also be an Ethernet Address Rom, plus some other things
on the board.

As they say, thanks in advance.

				Hans van Staveren
				Vrije Universiteit
				Amsterdam, Holland
#! rnews 742
Path: alberta!mnetor!uunet!mcvax!nikhefk!marcel
From: marcel@nikhefk.UUCP (Marcel Corbeek)
Newsgroups: rec.music.synth
Subject: Question
Message-ID: <292@nikhefk.UUCP>
Date: 8 Dec 87 15:59:15 GMT
Reply-To: marcel@nikhefk.UUCP (Marcel Corbeek)
Organization: Nikhef-K, Amsterdam (the Netherlands).
Lines: 15

Is there anybody who can give me some information about the WERSI
stageperformer?

Marcel Corbeek,			Arpanet : marcel@nikhefk.uucp
NIKHEF-K, Amsterdam.		Bitnet  : v59u0002@hasara11.bitnet
Home address :
Aletta Jacobsstraat 48,
1628 NP Hoorn,
The Netherlands.
Marcel Corbeek,			Arpanet : marcel@nikhefk.uucp
NIKHEF-K, Amsterdam.		Bitnet  : v59u0002@hasara11.bitnet
Home address :
Aletta Jacobsstraat 48,
1628 NP Hoorn,
The Netherlands.
#! rnews 1193
Path: alberta!mnetor!uunet!mcvax!targon!wim
From: wim@targon.UUCP (Wim C. J. van Eerdt)
Newsgroups: comp.lang.c++
Subject: Another C++ problem, solved (?)
Message-ID: <368@targon.UUCP>
Date: 8 Dec 87 15:33:45 GMT
Reply-To: wim@targon.UUCP (Wim C. J. van Eerdt)
Organization: Nixdorf Computer BV., OSP, P.O. Box 29,Vianen, The Netherlands
Lines: 27

I did get yet another file from my colleague Gerard.
As in other articles stated send he is not reachable by e-mail.
I shall forward your mail!
Success and have fun!

		Wim
--------Fix---------------------------------------------------------
Author: Gerard van Dorth
Subject:  Another C++ problem, solved (?)

> Yet another crazy C++ problem
> ...
> The below code is a generalization of a problem we are seeing with C++
> ...

Substitute the line
		Pfct f = Pfct(Pptr(q->tp)->typ);
in routine call::simpl of the file simpl.c by
		Ptype pt = q->tp;
		while (pt->base == TYPE) pt = Pbase(pt)->b_name->tp;
		Pfct f = Pfct(Pptr(pt)->typ);	// for basic type only.

(Simpl(e) turns out to be hard).
-- 
	Wim van Eerdt                   E-mail: mcvax!targon!wim
	OSP, Nixdorf Computer Bv, Postbus 29, 4130 EA Vianen
	Nederland. Tel.: +31 3473 62211.
#! rnews 1046
Path: alberta!mnetor!uunet!mcvax!cogpsi!tom
From: tom@cogpsi.UUCP (Tom Vijlbrief)
Newsgroups: comp.unix.wizards
Subject: Re: Unattended dumps (BSD4.3)
Message-ID: <327@cogpsi.UUCP>
Date: 8 Dec 87 15:51:57 GMT
References: <9032@santra.UUCP>
Reply-To: tom@cogpsi.UUCP (Tom Vijlbrief)
Organization: TNO Institute for Perception, Soesterberg, The Netherlands
Lines: 21

In article <9032@santra.UUCP> nispa@hutcs.hut.fi (Tapani Lindgren) writes:
>Can yes(1) somehow be piped to a program that reads /dev/tty?
>Could dump(8) be modified to abort at errors without any questions?

If you want dump to read the output from e.g. yes(1)
then you'll have to use a pty(4).

You should arrange that this pty is the control terminal of the
dump program and then write (redirect) the output of yes(1) to the pty.

Setting the control terminal of dump is done by writing a program which:

A) Removes the association with its control terminal by:

   ioctl(f, TIOCNOTTY, 0);

B) Opens the pty.

C) Exec's the dump program.

The above applies to Berkeley Unix 4.X
#! rnews 1034
Path: alberta!mnetor!uunet!mcvax!botter!ark!maart
From: maart@cs.vu.nl (Maarten Litmaath)
Newsgroups: comp.unix.wizards
Subject: Re: Emacs csh alias -- better solution than the first posted (2)
Summary: this time really faster
Keywords: this time really faster
Message-ID: <1160@ark.cs.vu.nl>
Date: 8 Dec 87 16:55:49 GMT
References: <brl-adm.10672> <1508@ogcvax.UUCP> <1159@ark.cs.vu.nl>
Reply-To: maart@cs.vu.nl (Maarten Litmaath)
Organization: VU Informatica, Amsterdam
Lines: 17

Of course the alias had to be:

alias emacs \
'jobs > /tmp/jobs; grep emacs /tmp/jobs > /dev/null && fg %?emacs || /bin/emacs'
                                                           ^         ^^^^^
                                                           !         !!!!!
or

      !!
      vv
alias em \
'jobs > /tmp/jobs; grep emacs /tmp/jobs > /dev/null && fg %emacs || emacs'

Sorry.
-- 
Time flies like an arrow, fruit flies |Maarten Litmaath @ Free U Amsterdam:
like an orange.      (seen elsewhere) |maart@cs.vu.nl, mcvax!botter!ark!maart
#! rnews 691
Path: alberta!mnetor!uunet!mcvax!botter!ark!maart
From: maart@cs.vu.nl (Maarten Litmaath)
Newsgroups: comp.unix.wizards
Subject: Re: Emacs csh alias -- better solution than the first posted
Summary: faster
Keywords: faster
Message-ID: <1159@ark.cs.vu.nl>
Date: 8 Dec 87 15:41:32 GMT
References: <brl-adm.10672> <1508@ogcvax.UUCP>
Reply-To: maart@cs.vu.nl (Maarten Litmaath)
Organization: VU Informatica, Amsterdam
Lines: 7

alias emacs \
'jobs > /tmp/jobs; grep emacs /tmp/jobs > /dev/null && fg %emacs || emacs'

BTW, long live vi!
-- 
Time flies like an arrow, fruit flies |Maarten Litmaath @ Free U Amsterdam:
like an orange.      (seen elsewhere) |maart@cs.vu.nl, mcvax!botter!ark!maart
#! rnews 987
Path: alberta!mnetor!uunet!mcvax!mhres!jv
From: jv@mhres.mh.nl (Johan Vromans)
Newsgroups: comp.unix.questions
Subject: Re: UCB 2.9 LISP goes illegal
Summary: sysmac.sml? RT-11
Message-ID: <1498@mhres.mh.nl>
Date: 8 Dec 87 21:16:13 GMT
References: <10712@brl-adm.ARPA>
Organization: Multihouse N.V., The Netherlands
Lines: 12

In article <10712@brl-adm.ARPA> PAAAAAR%CALSTATE.BITNET@CUNYVM.CUNY.EDU writes:
>We are trying to make LISP run on an 11/24 (yes they still exist)
>What is sysmac.sml, for instance?

That reminds me to the goold old days, when PDP-11's ran only RSX,
RT-11 or RSTS. Sysmac.sml is a macro library, which contains the definitions
for the RT-11 "Programmed Requests" (nowadays known as system calls).
Don't think it's equivalent exists on Unix ...
-- 
Johan Vromans                              | jv@mh.nl via European backbone
Multihouse N.V., Gouda, the Netherlands    | uucp: ..{uunet!}mcvax!mh.nl!jv
"It is better to light a candle than to curse the darkness"
#! rnews 6100
Path: alberta!mnetor!uunet!mcvax!cernvax!ethz!srp
From: srp@ethz.UUCP (Scott Presnell)
Newsgroups: rec.games.hack,comp.sources.d
Subject: Re: Compilation of Nethack 2.2
Keywords: AAARGH.
Message-ID: <262@bernina.UUCP>
Date: 8 Dec 87 06:13:59 GMT
References: <9714@shemp.UCLA.EDU>
Reply-To: srp@bernina.UUCP (Scott Presnell)
Organization: Chem. Dept., Swiss Federal Inst. of Tech. (ETH-Zurich)
Lines: 211
Xref: alberta rec.games.hack:1746 comp.sources.d:1578

In article <9714@shemp.UCLA.EDU> claus@CS.UCLA.EDU (Claus Giloi) writes:

>I just downloaded Nethack 2.2 from the net and compiled it on my AT
>at home.
>There were only a few small problems, then it came to linking the 
>monster. An executable was produced, but I get a "Stack Overflow" 
>error when I try to run the 350K executable, and changing the
>value of (STACK:) to outlandish figures (8000, 3fff) didn't change
>that. Someone out there must have gotten it to run, please tell me
>what value you used to link it. (I am using MSC 4.0)

Here's the makefile that I used to get Nethack up under MSC 4.0... NB: the
CFLAGS macro and the link command.  I was able to play a couple of levels
without stack errors or hangups, however there are some problems,
(everything seems to be identified, inventory not displayed correctly,
color not quite right (but overall it works)) so i did not "install" it.

"good luck, jim"

Scott Presnell 						Organic Chemistry
Swiss Federal Institute of Technology  (ETH-Zentrum)
CH-8092 Zurich, Switzerland.
uucp:seismo!mcvax!cernvax!ethz!srp (srp@ethz.uucp); bitnet:Benner@CZHETH5A



#	SCCS Id: @(#)Makefile.pc	2.2	87/11/11
# 	Makefile for NetHack (PC) version 1.0 written using
#	Microsoft(tm) "C" v3.0 or better.
# 
# Large memory model, register bug, remove stack probes:
WIZARD=
V = 22
#CFLAGS = -A$(MODEL) -DREGBUG -DLINT_ARGS -DVER=$V $(WIZARD) -Ot -Gs -Gt100
CFLAGS = -nologo -A$(MODEL) -DLINT_ARGS -DVER=$V -Ox -Gt10
CC = cl
LIBS =
LFLAGS =
MODEL = L
SETARGV = #$(LIB)\$(MODEL)SETARGV
.SUFFIXES: .exe .obj .c
.c.obj:; cl $(CFLAGS) -c $*.c
.c.exe:;
    cl $(CFLAGS) -c $*.c
    link $*.obj $(SETARGV), $@,, $(LIBS) $(LFLAGS);

# The game name
GAME = hack.exe

# The game directory
GAMEDIR = \h

# All object modules
OBJS = decl.obj apply.obj bones.obj cmd.obj do.obj dothrow.obj\
	do_name.obj do_wear.obj dog.obj dogmove.obj eat.obj end.obj \
	engrave.obj fight.obj fountain.obj hack.obj invent.obj \
	lev.obj main.obj makemon.obj mhitu.obj mklev.obj \
	mkmaze.obj mkobj.obj mkshop.obj mon.obj monmove.obj\
	monst.obj o_init.obj objnam.obj options.obj \
	pager.obj polyself.obj potion.obj pray.obj pri.obj prisym.obj\
	read.obj rip.obj rumors.obj save.obj \
	search.obj shk.obj shknam.obj sit.obj spell.obj steal.obj \
	termcap.obj timeout.obj topl.obj topten.obj track.obj trap.obj \
	tty.obj unix.obj u_init.obj vault.obj wield.obj \
	wizard.obj worm.obj worn.obj write.obj zap.obj \
	version.obj rnd.obj alloc.obj msdos.obj

# The main target - you may want to try both of these alternatives.
#
$(GAME) : $(OBJS)
#	link $(OBJS), $(GAME) /NOIG /STACK:4000 /CP:1;
	link $(OBJS), $(GAME) /NOIG /STACK:10000 /SEG:512;
	

#	variable auxilary files.
#
VARAUX = data rumors

install : $(GAME) $(VARAUX)
	- exepack $(GAME) $(GAMEDIR)\$(GAME)
	- exemod $(GAMEDIR)\$(GAME) /max 1

clean :
	erase $(GAME)

spotless: clean
	erase *.obj
	erase main.c
	erase tty.c
	erase unix.c

srcs :
	copy makefile \tmp
	copy *.c \tmp
	copy *.h \tmp
	copy \local\make\make.doc \tmp
	copy \local\make\make.ini \tmp
	copy \bin\make.exe \tmp
	cd \tmp
	time
	touch *.*
	arc m hack$Vs * *.*
	cd $(CWD)


#	Other dependencies
#
RUMORFILES= rumors.bas rumors.kaa rumors.mrx

makedefs.exe:	makedefs.c alloc.obj config.h
	cl -AL makedefs.c alloc.obj


rumors :  config.h $(RUMORFILES) makedefs.exe
	makedefs.exe -r

data :  config.h data.bas makedefs.exe
	makedefs.exe -d

onames.h :  config.h objects.h makedefs.exe
	makedefs.exe -o

#	Below is a kluge.  date.h should actually depend on any source
#	module being changed. (but hack.h is close enough for most).
#
date.h :  hack.h makedefs.exe
	makedefs.exe -D

trap.h :  config.h makedefs.exe
	makedefs.exe -t

main.obj :  pcmain.c hack.h
	$(CC) $(CFLAGS) -Fo$@ -c pcmain.c

tty.obj :  pctty.c hack.h msdos.h
	$(CC) $(CFLAGS) -Fo$@ -c pctty.c

unix.obj :  pcunix.c hack.h mkroom.h
	$(CC) $(CFLAGS) -Fo$@ -c pcunix.c

decl.obj :  hack.h mkroom.h
apply.obj :  hack.h edog.h mkroom.h
bones.obj :  hack.h
hack.obj :  hack.h
cmd.obj :  hack.h func_tab.h
do.obj :  hack.h
do_name.obj :  hack.h
do_wear.obj :  hack.h
dog.obj :  hack.h edog.h mkroom.h
dogmove.obj :  hack.h mfndpos.h edog.h mkroom.h
dothrow.obj :  hack.h
eat.obj :  hack.h
end.obj :  hack.h
engrave.obj :  hack.h
fight.obj :  hack.h
fountain.obj :  hack.h mkroom.h
invent.obj :  hack.h wseg.h
ioctl.obj :  config.h
lev.obj :  hack.h mkroom.h wseg.h
makemon.obj :  hack.h
mhitu.obj :  hack.h
mklev.obj :  hack.h mkroom.h
mkmaze.obj :  hack.h mkroom.h
mkobj.obj :  hack.h
mkshop.obj :  hack.h mkroom.h eshk.h
mon.obj :  hack.h mfndpos.h
monmove.obj :  hack.h mfndpos.h
monst.obj :  hack.h eshk.h
msdos.obj : msdos.h
o_init.obj :  config.h objects.h onames.h
objnam.obj :  hack.h
options.obj :  hack.h
pager.obj :  hack.h
polyself.obj : hack.h
potion.obj :  hack.h
pray.obj :  hack.h
pri.obj :  hack.h
prisym.obj :  hack.h wseg.h
read.obj :  hack.h
rip.obj :  hack.h
rumors.obj :  hack.h
save.obj :  hack.h
search.obj :  hack.h
shk.obj :  hack.h mfndpos.h mkroom.h eshk.h
shknam.obj :  hack.h
sit.obj : hack.h
spell.obj :  hack.h
steal.obj :  hack.h
termcap.obj :  hack.h
timeout.obj :  hack.h
topl.obj :  hack.h
topten.obj :  hack.h
track.obj :  hack.h
trap.obj :  hack.h edog.h mkroom.h
u_init.obj :  hack.h
vault.obj :  hack.h mkroom.h
wield.obj :  hack.h
wizard.obj :  hack.h
worm.obj :  hack.h wseg.h
worn.obj :  hack.h
write.obj :  hack.h
zap.obj :  hack.h
version.obj :  hack.h date.h
extern.h: config.h spell.h obj.h
	touch extern.h
hack.h: extern.h flag.h gold.h monst.h objclass.h rm.h trap.h you.h 
	touch hack.h
objects.h:  config.h objclass.h
	touch objects.h
you.h: config.h onames.h permonst.h 
	touch you.h
#! rnews 3561
Path: alberta!mnetor!uunet!mcvax!cernvax!jmg
From: jmg@cernvax.UUCP (jmg)
Newsgroups: comp.protocols.appletalk
Subject: Kinetics/NCSA problems
Message-ID: <581@cernvax.UUCP>
Date: 8 Dec 87 10:01:07 GMT
Reply-To: jmg@cernvax.UUCP ()
Organization: CERN European Laboratory for Particle Physics, CH-1211 Geneva, Switzerland
Lines: 58

This is a bit of a flame, which I hope does not upset some people
too much. I have tried sending the comments privately, but have had
no reply.
I got a Kinetics internal Ethernet interface for a Mac SE, plus the
ethernet driver, test software and NCSA telnet version 1.12.
In order to try out this software in a safe manner I created a mini-
-Ethernet with the Mac and an Ethernet monitor. Am I glad that I did
this!
The test software, when run, tends to throw out a large number of
broadcast packets in a very short space of time. Sometimes one can
control the frequency, other times not. At least one test threw out
about 200 broadcast packets in much less than one second. If I had
been on the real CERN Ethernet then a few hundred users would have
had to deal with these!
FLAME ON
When will people writing test software avoid the intensive use of
broadcast packets? Multicast would be slightly better, but even then
the software should establish the address of those other computers
with which it can run a test, and then address them directly.
FLAME OFF (for a while)
I then tried to run NCSA telnet. This also started out with about
70 immediate broadcasts. These started out with a set of three
types of broadcast:
  1. arp with source ip address 0.0.0.255, looking for 0.0.0.127
  2. something with type field 80f3 (what the hell is this?)
  3. some other arp-type (type field 809b) with sender as 0.0.0.127
These three are repeated about 20 times at intervals of about
10 milliseconds (yes, milliseconds!). There are then a few more type
809b broadcasts at reasonable (a few hundred milliseconds!) intervals
before telnet starts to arp for the real host that I asked for.
FLAME ON
Why does software often insist on repeating packets at very short
intervals on vey reliable LANs (and have you seen the Sun lately!)?
FLAME OFF
Despite all the above, I waited for a quiet moment before connecting
onto the real Ethernet. I then tried telnet to our Ultrix Vax.
Immediate remark: keyboard in application mode does not work for us.
I then thought to run the vt100 test program (which some of you might
also have picked up off usenet). What a disaster: the emulation fails
all over the place!
Never mind, let us see if I can connect to our IBM VM system. Of course,
I have to go via a Spartacus KNET, because there is no NCSA tn3270
(is anyone working on this?). Complete failure: Spartacus has a bit of
a peculiar telnet setup (though Ultrix, bsd4.2 and FTP Inc. telnet on
a PC work fine) which seems to screw NCSA telnet.
Final try: go through an IBM 7171 front-end, which has 3270 to VT100
built in. Sort of works (using ESC n for PF key n), but since the
application keypad mode fails there is no way that I could get PA2
for clear screen. Merde (which the French will understand.
FLAME ON
I know that NCSA is now at version 2.0. Why did I get version 1.12
from Kinetics? (and why must only a Kinetics agent modify their Mac SCSI
box for a European power supply?). How do I get an updated version
quickly (no, I cannot do anonymous FTP!). Why have these simple tests
never been reported before? etc. etc.
FLAME OFF
I would be delighted if someone could tell me that all the above problems
are fixed in the current release!
#! rnews 1102
Path: alberta!mnetor!uunet!mcvax!cernvax!ethz!wanner
From: wanner@ethz.UUCP (Juerg Wanner)
Newsgroups: rec.games.misc
Subject: Re: The Pawn help
Message-ID: <263@bernina.UUCP>
Date: 8 Dec 87 14:48:50 GMT
References: <2884@cbmvax.UUCP> <2299@killer.UUCP> <2910@cbmvax.UUCP>
Reply-To: wanner@owf.UUCP (Juerg Wanner)
Organization: OWF AG, Switzerland
Lines: 17
Keywords:


In article <2910@cbmvax.UUCP> daveb@cbmvax.UUCP (Dave Berezowski) writes:
>How does one assure that they get the chest?  Wait around for Kronos at the
>beginning of the game after you've delivered the note?

After delivering the note? Hmmm... that might be too late.

>I've been told that there is a bug in the game such that you must get to
>the pedestal asap else the blue key won't be there (this is what has happended
>to me).  If I do go to the pedestal first, will I miss the Adventuer and
>Kronos?  ie. should I wait around for Kronos, give the adventuer (with the
>chest I guess), and then go for the blue key?

I've neither encountered that bug, nor did I first get the key. There's a lot
one can do before.


Juerg Wanner
#! rnews 2241
Path: alberta!mnetor!uunet!mcvax!nikhefk!paulm
From: paulm@nikhefk.UUCP (Paul Molenaar)
Newsgroups: comp.sys.mac
Subject: Re: HyperCard Find
Summary: Here's the solution (well...)
Message-ID: <293@nikhefk.UUCP>
Date: 8 Dec 87 23:45:24 GMT
References: <1262@runx.ips.oz>
Organization: Nikhef-K, Amsterdam (the Netherlands).
Lines: 50

In article <1262@runx.ips.oz>, clubmac@runx.ips.oz (Macintosh Users Group) writes:
> 
> I was asked this question by a guy on the weekend, and was unable to help
> him.  Any of you Hypercard gurus able to answer??
> 
> "I want to have a BACKGROUND button which has a script that tries to FIND
> an arbitrary text.  However, when I try it, it only finds the text in
> BACKGROUND fields, not FOREGROUND.  The FIND works properly when you use
> the MESSAGE box.. how come?"
> 
> Jeff Laing (where for art thou comp.sys.mac.hypercard?)
> 
Same problem here. I noticed that strange Find bug too. My
solution is a real kludge, but it works.

Instead of issuing the FIND command in script, TYPE the FIND command
with all the arguments into the message box and then (again
from script) add a return. Like:

on mouseUp
   type "FIND" && quote & key & quote && "in background field id" && number &
   return
end mouseUp

This also makes the repeated FIND easier.

I made a stack that needed a search option on partial keys. So I wanted
HC to keep on looking when the user stated that the item found wasn't
the right one.

I made a script to do this (if interested I can mail/post it) that
expects a second field for every field to be looked in. The item found
is put in the second field (named something like showName). When
the user says he wants to keep on searching, the next item found is
compared to the contents of showName. If it's the same, my script
says that 'it's all there is'. And cancels the search. Otherwise
a repeated search would be impossible.

If you like I can upload the lot. To comp.sys.mac.hypercard maybe?

To Apple:
Why do you reply to all the easy answers in comp.sys.mac.hypercard
bu happily skip all the possibly difficult ones? Seems like
the HyperCard group chooses the easy way out. Too many bugs in HC
perhaps?
-- 
        Paul Molenaar

	"Just checking the walls"
		- Basil Fawlty -
#! rnews 704
Path: alberta!mnetor!uunet!mcvax!enea!tut!santra!kolvi!jku
From: jku@kolvi.UUCP (Juha Kuusama)
Newsgroups: comp.sys.ibm.pc
Subject: Screen dump from Hercules to Laserjet wanted
Message-ID: <31@kolvi.UUCP>
Date: 8 Dec 87 12:19:56 GMT
Reply-To: jku@kolvi.UUCP (Juha Kuusama)
Organization: Helsinki University of Technology, Finland
Lines: 10

Could some kind soul over there send me a program/a reference to a program,
that would allow me to print a graphics dump from a Hercules screen to a
HP Laserjet printer It should

	a) not distort the image (circles as circles, not ovals)

	b) send its output to a file (so I can import it to my text).

--
Juha Kuusama, jku@kolvi.UUCP ( ...!mcvax!tut!kolvi!jku )
#! rnews 1093
Path: alberta!mnetor!uunet!mcvax!enea!tut!santra!jmunkki
From: jmunkki@santra.UUCP (Juri Munkki)
Newsgroups: comp.sys.mac
Subject: Re: Development Environment Advice Wanted
Keywords: Development, MacII Debuggers
Message-ID: <9206@santra.UUCP>
Date: 8 Dec 87 16:51:43 GMT
References: <687@howtek.UUCP> <3456@husc6.harvard.edu>
Reply-To: jmunkki@santra.UUCP (Juri Munkki)
Organization: Helsinki University of Technology, Finland
Lines: 16

In article <3456@husc6.harvard.edu> singer@endor.UUCP (THINK Technologies) writes:
>The current version of MacsBug, version 5.5, works fine on a Mac II -
>even disassembles 68020 and 68881 opwords, and works with or without
And it slows down the 68881 by about 50%. Can anyone else verify this?
I moved to TMON mainly because it does not affect the speed of my Mac.

I hope none of the Byte or MacTutor benchmarks were run under MacsBug.

Still, ES works better in MacsBug than it does in TMON.

Juri Munkki
jmunkki@santra.hut.fi
jmunkki@fingate.bitnet
lk-jmu@finhut.bitnet

Disclaimer: I'm just a freelance programmer, you shouldn't listen to me anyway.
#! rnews 1288
Path: alberta!mnetor!uunet!mcvax!diku!rancke
From: rancke@diku.UUCP (Hans Rancke-Madsen.)
Newsgroups: rec.games.frp
Subject: Re: Re: Characters with two classes
Message-ID: <3567@diku.UUCP>
Date: 7 Dec 87 15:31:25 GMT
References: <26561S9S@PSUVMA> <81800077@uiucdcsp>
Organization: DIKU, U of Copenhagen, DK
Lines: 23

In article <81800077@uiucdcsp> jenks@uiucdcsp.cs.uiuc.edu writes:

>                       The PHB doesn't specifically forbid doing this
>more than once, nor does it say what the "prime stat" is for Paladinks,
>Rangers, Monks, etc.

I seem to recall having seen a statement like "since <one of
those sub-classes  -  I forget which> has no prime requisite,
you can't switch to/from it." The implication being that any of
the sub-classes that require more than one minimum is out as
regards dual-class characters. So you could be a "fighter-turned-
magician" but not a "ranger-turned-magician". I think it was in
one of THE BOOKS, but I'm not certain. One thing you could do
is to require 15 or 17 in ALL the requisites with minimums.
That will restrict the number of assasin/illusionists!!!

   Hans Rancke, University of Copenhagen
          ..mcvax!diku!rancke

--=-=-=-=-=-=-=-=-=-=-=-=-=-=-

- I hate it when people call me paranoid.
  It makes me feel persecuted.
#! rnews 456
Path: alberta!mnetor!uunet!mcvax!diku!iesd!torbennr
From: torbennr@iesd.uucp (Torben N. Rasmussen)
Newsgroups: comp.sources.wanted
Subject: Wanted: Microemacs part 8
Message-ID: <166@iesd.uucp>
Date: 7 Dec 87 08:15:25 GMT
Reply-To: torbennr@neumann.UUCP (Torben N. Rasmussen)
Organization: Dept. of Comp. Sci., Aalborg University, Denmark
Lines: 7


Could someone please send me part 8 of the sources for Microemacs.

-- 


				Torben Rasmussen (torbennr)
#! rnews 1138
Path: alberta!mnetor!uunet!mcvax!diku!dde!jk
From: jk@dde.uucp (Jens Kjerte)
Newsgroups: comp.sources.wanted,comp.text
Subject: Sourcecode for dca2troff wanted.
Keywords: DCA conversion.
Message-ID: <277@Aragorn.dde.uucp>
Date: 8 Dec 87 09:11:32 GMT
Organization: Dansk Data Elektronik A/S, Herlev, Denmark
Lines: 18
Xref: alberta comp.sources.wanted:2716 comp.text:1345


	We are right now starting a project, that involves translating
	IBM DCA documents to and from a wordprocessing package.
	A program called dca2troff was posted sometime ago.
	This program, as the name says, was able to
	convert from DCA format to troff format.
	Would somebody having that source, please e-mail it to me.

	Other information about software regarding DCA conversion,
	Public Domain or not, would be appreciated. 

	Thanks in advance

-- 
+---------------------------------------------------------------------------+
|   Jens Kjerte  @ Dansk Data Elektronik A/S, Systems Software Department   |
|   E-mail:      ..!uunet!mcvax!diku!dde!jk  or  jk@dde.uucp                |
+---------------------------------------------------------------------------+
#! rnews 1323
Path: alberta!mnetor!uunet!mcvax!diku!dde!ct
From: ct@dde.uucp (Claus Tondering)
Newsgroups: sci.physics
Subject: Maxwell's daemon
Message-ID: <279@Aragorn.dde.uucp>
Date: 8 Dec 87 13:57:45 GMT
Organization: Dansk Data Elektronik A/S, Herlev, Denmark
Lines: 26

Consider the following variant of Maxwell's daemon:

You have the following two items:
    1) a metal block,
    2) a bowl with a liquid.
Both items have the same temperature and are placed close together, they
may, however, be thermally isolated from one another.

Now into the bowl you drop a very small magnet. The motion of the
molecules in the liquid will cause the magnet to move slightly. This
will induce a (very small) current in the metal block. This current will
cause the temperature of the metal block to rise. The current will also
try to stop the movements of the magnet; this will in turn slow down the
motion of the molecules, and the liquid will cool.

The result: The metal block will grow warmer and warmer, and the liquid
will grow colder and colder.

This contradicts the second law of thermodynamics, and has the "advantage"
over Maxwell's daemon that no intelligence is involved.

What is wrong with the above argument?
-- 
Claus Tondering
Dansk Data Elektronik A/S, Herlev, Denmark
E-mail: ct@dde.uucp   or  ...!uunet!mcvax!diku!dde!ct
#! rnews 2476
Path: alberta!mnetor!uunet!mcvax!enea!sommar
From: sommar@enea.UUCP (Erland Sommarskog)
Newsgroups: rec.music.misc
Subject: Swedish prog-rock (was Re: More than Yes)
Message-ID: <2505@enea.UUCP>
Date: 8 Dec 87 23:22:11 GMT
References: <19949@yale-celray.yale.UUCP>
Reply-To: sommar@enea.UUCP(Erland Sommarskog)
Followup-To: rec.music.misc
Organization: ENEA DATA Svenska AB, Sweden
Lines: 42

No isn't that an obscure subject line? But I must correct my 
fellow-countryman here.

Bjorn Lisper (lisper@yale-celray.UUCP) writes:
>Bo Hansson, to be correct. Gee, I didn't know that he was known outside
>Sweden. This guy was a keyboard player who was active mainly in the late
>sixties and early seventies. He is remembered for having made the very
>first record for the first Swedish independent non-profit label "Silence".
>Unexpectedly the record became a hit and the income helped financing a lot
>of records with early Swedish prog-rock that would otherwise not have been
>economically possible to make. Thus his importance for Swedish rock music
>cannot be overestimated.

So he is the one being guilty to it all. Grr. You see, in Sweden 
"progressive" music had nothing to do with the music. When we speak -
or spoke at that time - of "progressive" groups, we talked of groups
that played quite regular rock or pop. There were just one difference
to the ordinary hit music, the lyrics. They were naive, trivial and 
uttermost boring political texts of a communistic nature. (Which does
not imply that they were paid by KGB or something.) I must admit I 
didn't listen to much to them, their proganda was too much for me.

Now, this kind of people dominated this non-profit companies that Bjorn
talked of. For them ideological purity was much more important than
interesting than good music. Not to be denied, *some* good music was 
actually released on Silence and MNW (the other big non-profit), but 
also a lot of true crap. And I can easily imagine that groups with
interesting music was refused beacuse they voted with the wrong party.
(They would never have released Yes, that are right wing if anything.)

Finally, I should admit that despite the poorness of Silence, they
had the most interesting music in Sweden at that time. But that more
gives an indication of bad the rest was. (Abba, do you remember?)




-- 
Erland Sommarskog       
ENEA Data, Stockholm    
sommar@enea.UUCP        
                   C, it's a 3rd class language, you can tell by the name.
#! rnews 2310
Path: alberta!mnetor!uunet!mcvax!cernvax!ethz!forty2!poole
From: poole@forty2.UUCP (Simon Poole)
Newsgroups: comp.sys.atari.st
Subject: Re: GEMBOOT and the Megas
Message-ID: <122@forty2.UUCP>
Date: 8 Dec 87 14:19:44 GMT
References: <608@aucs.UUCP> <900@atari.UUCP>
Reply-To: poole@forty2.UUCP (Simon Poole)
Organization: Exp. Physics University Zuerich
Lines: 39


In article <900@atari.UUCP> apratt@atari.UUCP (Allan Pratt) writes:
>in article <608@aucs.UUCP>, 870646c@aucs.UUCP (barry comer) says:
>> 
>> Hi all, well my Mega2 just landed on my desk, really nice. I've got a question for all other Mega owners using the hard disks, I have been using GEMBOOT with
>> my 1040ST all along, when I boot up the Mega two bombs appear then disappear
>> after GEMBOOT has done its thing.
>
>DO NOT USE GEMBOOT.  Use FOLDRXXX from Atari.  HINSTALL should be available,
>too... It makes your hard disk bootable (no "boot floppy" needed).
>
The lastest version of GEMBOOT which was distributed something like
half a year ago, allows you to set the location of the sole undocumented
variable that Konrad uses in GEMBOOT. Matter of fact I used GEMBOOT
without problems on one of the first Mega's that arrived in Switzerland
after changing the GEMBOOT startup file. 

>patches the appropriate location in the OS.  In the case of the Mega
>ROMs, he actually added a pointer in the OS header which points to
>the necessary spot, so FOLDRXXX will work for all future ROM releases.
                                               ^^^^^^^^^^^^^^
Didn't Atari claim it was working on a new '40 folder bug'less OS?                               

>Even old TOS ROM users should probably not use GEMBOOT... I certainly
>wouldn't trust it, and with FOLDRXXX and HINSTALL available, you just
>don't need it.
Hmmmm, as Landon Dyer once said (a long time ago) FOLDRXXX does NOT fix
the other problem with GEMDOS management of the internal directory
list (mutiple bad copies of the same block), GEMBOOT does provide
a workaround  for this problem (so I wouldn't trust FOLDRXXX) plus
a lot of other nice things.


                            Simon Poole
                 UUCP: ....mcvax!cernvax!forty2!poole
                 Bitnet:             K538915@CZHRZU1A

*
***************When will Atari annouce PC-6 to PC-10?****************
*
#! rnews 1572
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!bob
From: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Newsgroups: rec.arts.sf-lovers
Subject: Re: Blake's, all 7 of them!
Message-ID: <818@its63b.ed.ac.uk>
Date: 8 Dec 87 10:08:31 GMT
References: <6320@ihlpa.ATT.COM> <1572@cup.portal.com> <1372@aurora.UUCP>
Reply-To: bob@its63b.ed.ac.uk (ERCF08 Bob Gray)
Organization: I.T. School, Univ. of Edinburgh, U.K.
Lines: 28

In article <1372@aurora.UUCP> timelord@aurora.UUCP (G. "Murdock" Helms) writes:
>In article <1572@cup.portal.com>, Isaac_K_Rabinovitch@cup.portal.com writes:
>> Whoops.  After the Star One episode, the actor who played
>> Blake got a job with the National Shakespeare Company, so Blake essentially
>> disappears until the "last" episode.  
>
>The second Travis, the one with the really thick Cockney accent,
>was spotted in the BBC movie "Edge of Darkness" recently broadcast
>in California.

Something else to watch out for. The recently concluded
series "Knights of God" on independant television was
notable only for having Gareth Thomas (Blake himself) playing
the part of the leader of a band of rebels trying to
overthrow the harsh Goverment sometime in the future UK.
Almost a reprise of his part as blake, but he isn't even
one of the major characters. His name comes about eighth
on the credits.

Now we know what he was doing while he was missing from
Blake's Seven. :->

Also look out for the second Dr Who, Patrick Troughton, in a
supporting role.

Note: I do Not recommend this series for any other reson
than the above mentioned curiosity value.
	Bob
#! rnews 2656
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!csnjr
From: csnjr@its63b.ed.ac.uk (Nick Rothwell)
Newsgroups: comp.lang.lisp,comp.lang.scheme,comp.lang.misc
Subject: Re: Applicative languages?  Anyone?
Keywords: ML interpreter typechecker
Message-ID: <819@its63b.ed.ac.uk>
Date: 8 Dec 87 12:40:13 GMT
References: <1409@mind.UUCP> <584@zippy.eecs.umich.edu> <1202@uoregon.UUCP>
Reply-To: nick%ed.lfcs@uk.ac.ucl.cs.nss (Nick Rothwell)
Organization: LFCS, University of Edinburgh
Lines: 37
Xref: alberta comp.lang.lisp:566 comp.lang.scheme:85 comp.lang.misc:886

In article <1202@uoregon.UUCP> markv@drizzle.UUCP (Mark VandeWettering) writes:
>In article <584@zippy.eecs.umich.edu> dwt@zippy.eecs.umich.edu (David West) writes:
>>Applicativity has its advantages, but it needs
>>1) ...
>>2) Some syntactic means for preventing argumentsfrom getting unreadably
>>   numerous just to pass something down to where it's finally used. 
>
>	Hmmm, not a bad idea.  I have just acquired "Implementation of
>	Functional Programming Languages by Simon L. Peyton Jones, and
>	am much impressed by the depth/level of the text.  Seeing as I
>	have to do a final thesis/project sometime :-) I might be
>	tempted to try a hand at an ML interpreter/compiler.  I would
>	like to hear from anyone who is trying/has tried similar
>	projects.

ML gives you objects with modifiable state, so that you don't need to
pass a state structure around with you. The disadvantage, of course, is
that you smash the applicative behaviour of the language -
whether it's worth it depends what you're trying to do.
   Another way around this is to use type abstraction. That way, your
state structure is an abstract object with a few access functions to get
at the bits you need. I've always used the former approach, so I don't know
how far the latter approach gets you. It's quite possible to take non-
applicative features like assignment and abstract over them to build
structured objects with varying state, a la Smalltalk perhaps. This isn't
"dirty" functional programming - it's just using a functional language as if
it were a language of a different kind. I recently dedicated a lecture to the
structured use of side-effects in ML.
   By the way, I have various little typecheckers and interpreters for tiny
functional languages lying around on-line somewhere, if you're interested.
All written in ML, of course.
-- 
Nick Rothwell,	Laboratory for Foundations of Computer Science, Edinburgh.
		nick%lfcs.ed.ac.uk@nss.cs.ucl.ac.uk
		<Atlantic Ocean>!mcvax!ukc!lfcs!nick
~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~
"Nothing's forgotten. Nothing is ever forgotten."   - Herne
#! rnews 1368
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!csnjr
From: csnjr@its63b.ed.ac.uk (Nick Rothwell)
Newsgroups: rec.music.synth
Subject: D-50, D-550, MT-32, ???
Message-ID: <820@its63b.ed.ac.uk>
Date: 8 Dec 87 13:01:30 GMT
References: <633@elxsi.UUCP> <5470012@hplsla.HP.COM>
Reply-To: nick%ed.lfcs@uk.ac.ucl.cs.nss (Nick Rothwell)
Organization: LFCS, University of Edinburgh
Lines: 17

In article <5470012@hplsla.HP.COM> steveb@hplsla.HP.COM (Steve Bye) writes:
>The MT-32 is not a product of Roland's professional music products group.
>It is a product of their home keyboards (upscale toys) department.  It uses
>technology develped for the D-50 and D-550.  There is no comparison in 
>actual ussuage between a D-550 and an MT-32.

I recently read a report from a British music journalist visiting Roland in
Japan. Apparently (but *don't* quote me on this :-)) Roland are working on
a rack-mount box with the same sorts of features as the MT-32 but aimed a
bit more at the Pro market - presumably related to the MT-32 as the TX81Z is
to the FB01. I'm keeping my wallet closed and my eyes open...
-- 
Nick Rothwell,	Laboratory for Foundations of Computer Science, Edinburgh.
		nick%lfcs.ed.ac.uk@nss.cs.ucl.ac.uk
		<Atlantic Ocean>!mcvax!ukc!lfcs!nick
~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~ ~~
"Nothing's forgotten. Nothing is ever forgotten."   - Herne
#! rnews 1563
Path: alberta!mnetor!uunet!mcvax!ukc!eagle!icdoc!doc.ic.ac.uk!aw
From: aw@doc.ic.ac.uk (Andrew Weeks)
Newsgroups: comp.emacs
Subject: uEmacs 3.9 - Function keys on Suns
Message-ID: <144@gould.doc.ic.ac.uk>
Date: 8 Dec 87 17:16:50 GMT
Sender: aw@doc.ic.ac.uk
Reply-To: aw@doc.ic.ac.uk (Andrew Weeks)
Organization: Dept. of Computing, Imperial College, London, UK.
Lines: 40

I have implemented, as an extension to the "VT100" option, some extra
code to allow uEmacs to recognise the top, left and right function keys
on Sun 3 consoles.  ( I imagine they will work on Sun 2s as well). 

These keys, except for the cursor keys (R8,R10,R12 & R14), return a
string of the form <ESC>[ followed by 3 digits followed by 'z'.  By
interpreting the digits as an integer, and subtracting 128 to get a
character, all the function keys can be made to simulate 'FN?' keys. 
Which they return depends on how the Sun keyboard is set up (with
setkeys(1)). 

They won't work if you use Sun-windows and have a .ttyswrc file.

Anyway - Here are the diffs:

*** input.c	Mon Nov 30 12:57:21 1987
--- input.c.orig	Mon Nov 30 12:54:37 1987
***************
*** 364,376 ****
  #if	VT100
  		if (c == '[' || c == 'O') {
  			c = get1key();
! 			if ( c >= 'A' )
! 				return(SPEC | c);
! 			c = c - 48;
! 			c = (c*10) + get1key() - 48;
! 			c = (c*10) + get1key() - 176;
! 			get1key();
! 			return ( SPEC | c );
  		}
  #endif
  		return(META | c);
--- 364,370 ----
  #if	VT100
  		if (c == '[' || c == 'O') {
  			c = get1key();
! 			return(SPEC | c);
  		}
  #endif
  		return(META | c);
#! rnews 1248
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!jam
From: jam@comp.lancs.ac.uk (John A. Mariani)
Newsgroups: rec.arts.sf-lovers
Subject: Re: Max Headroom
Message-ID: <454@dcl-csvax.comp.lancs.ac.uk>
Date: 8 Dec 87 18:47:18 GMT
References: <82*quale@si.uninett> <3333@ihlpl.ATT.COM>
Reply-To: jam@comp.lancs.ac.uk (John A. Mariani)
Distribution: rec.arts.sf-lovers
Organization: Department of Computing at Lancaster University, UK.
Lines: 16

Having observed chat about the American Max series and comparisons with the
UK series, I would like to point out that we (in the
UK) have only seen the Pilot in
terms of an action/adventure episode. Our Max series have really featured
Max as a video DJ, and later as a talk show host.

So, I have kept silent till now, but I reckon the action/adventure series
you guys in the US of A are discussing must be worth watching! Anyone care
to hazard a guess as to why we in the UK don't get your Max show; and
do you get ours?

-- 
"You see me now a veteran of a thousand psychic wars .. "
UUCP:  ...!seismo!mcvax!ukc!dcl-cs!jam | DARPA: jam%lancs.comp@ucl-cs
JANET: jam@uk.ac.lancs.comp   | Post : University of Lancaster, Department of
Phone: +44 524 65201 ext 4467 |	Computing, Bailrigg, Lancaster, LA1 4YR, UK.
#! rnews 1017
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!jack
From: jack@cs.hw.ac.uk (Jack Campin)
Newsgroups: rec.music.classical
Subject: Minimalist recorder music, anyone?
Message-ID: <1575@brahma.cs.hw.ac.uk>
Date: 8 Dec 87 19:29:14 GMT
Organization: Computer Science, Heriot-Watt U., Scotland
Lines: 14

What minimalist music is performable by a recorder consort? Terry Riley's
In C is the one and only thing I've found so far (almost no published
minimal music is available in the UK - I have drawn a virtually complete
blank at every major library and music shop in Scotland).

I guess this resolves into two questions: does it exist, and if it does,
can I get it? Do Glass et al have the same attitude to scores that AT&T
does to source code?

-- 
ARPA: jack%cs.glasgow.ac.uk@nss.cs.ucl.ac.uk
JANET:jack@uk.ac.glasgow.cs       USENET: ...mcvax!ukc!cs.glasgow.ac.uk!jack
Mail: Jack Campin, Computing Science Department, University of Glasgow,
      17 Lilybank Gardens, Glasgow G12 8QQ, Scotland (041 339 8855 x 6045)
#! rnews 1165
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!hwcs!jack
From: jack@cs.hw.ac.uk (Jack Campin)
Newsgroups: comp.sys.mac
Subject: mathematical laser fonts
Keywords: font, logic, PostScript, laser printer, symbols
Message-ID: <1576@brahma.cs.hw.ac.uk>
Date: 8 Dec 87 19:43:07 GMT
Organization: Computer Science, Heriot-Watt U., Scotland
Lines: 21


What mathematical laser fonts are available?

What I need is:

	- logic and theoretical computer science symbols (like the old Ophir
	  bitmap font, but with the squared-off set theory symbols used in
	  domain theory);
	  
	- symbols for the better known algebraic structures (N, Z, Q, A, R, C)
	  (is there a font that looks like these do as usually printed?);
	
	- subscripts and superscripts with little enough leading not to
	  sabotage inter-line spacing in programs like WriteNow;
	  
	- maybe some of the more useful German capital letters.
-- 
ARPA: jack%cs.glasgow.ac.uk@nss.cs.ucl.ac.uk
JANET:jack@uk.ac.glasgow.cs       USENET: ...mcvax!ukc!cs.glasgow.ac.uk!jack
Mail: Jack Campin, Computing Science Department, University of Glasgow,
      17 Lilybank Gardens, Glasgow G12 8QQ, Scotland (041 339 8855 x 6045)
#! rnews 1030
Path: alberta!mnetor!uunet!mcvax!ukc!cheviot!eas
From: eas@cheviot.newcastle.ac.uk (Edward Scott)
Newsgroups: rec.arts.sf-lovers
Subject: Re: Obscure TV SF shows
Message-ID: <2588@cheviot.newcastle.ac.uk>
Date: 8 Dec 87 15:19:25 GMT
References: <871201124327980.ABWD@Mars.UCC.UMass.EDU> <4100001@hpcllf.HP.COM>
Reply-To: eas@cheviot (Edward Scott)
Organization: Computing Laboratory, U of Newcastle upon Tyne, UK NE17RU
Lines: 12

In article <4100001@hpcllf.HP.COM> jws@hpcllf.HP.COM (John Stafford x75743) writes:
>Re: UFO
>   The wigs worn by the women on moonbase were of a purple hue and were
>   described (at least in the books the followed the series if not
>   actually on the air) as "anti-static wigs".

About ten years ago I got a second hand copy of "UFO 1: Flesh Hunters" by
Robert Miall. It is a Warner Paperback Library edition, printed with 
permission from Pan books (who presumably did the UK edition). I have't seen
any since then.
How many of these UFO novels were there?
Did Robert Miall write anything else?
#! rnews 542
Path: alberta!mnetor!uunet!mcvax!ukc!stc!pete
From: pete@tcom.stc.co.uk (Peter Kendell)
Newsgroups: rec.arts.sf-lovers
Subject: No More Mel
Message-ID: <488@stc-f.tcom.stc.co.uk>
Date: 8 Dec 87 09:14:20 GMT
Organization: STC Telecoms, London N11 1HB.
Lines: 7


	Hurrah, Hurrah!!
-- 
------------------------------------------------------------------------------
|		  Peter Kendell <pete@tcom.stc.co.uk>	        	     |
|				...{uunet!}mcvax!ukc!stc!pete		     |
------------------------------------------------------------------------------
#! rnews 660
Path: alberta!mnetor!uunet!mcvax!ukc!stc!btnix!psanders
From: psanders@btnix.axion.bt.co.uk (Bob-Cut Maniac)
Newsgroups: comp.sys.mac
Subject: SMALLTALK wanted
Keywords: Mac SMALLTALK
Message-ID: <635@btnix.axion.bt.co.uk>
Date: 8 Dec 87 12:53:54 GMT
Organization: British Telecom Research Labs, Martlesham Heath, IPSWICH, UK
Lines: 10


Does anyone know of a PD SMALLTALK system for the Mac ??

Answers to me and I'll summarise on the Net.

Paul.
-- 
E-mail (UUCP)	PSanders@axion.bt.co.uk (...!ukc!btnix!psanders)
Organisation	British Telecom Research Laboratories, Ipswich UK.
"This mime of mortal life, in which we are apportioned roles we misinterpret..."
#! rnews 628
Path: alberta!mnetor!uunet!mcvax!ukc!stc!root44!hrc63!trw
From: trw@hrc63.co.uk (Trevor Wright Marconi Baddow)
Newsgroups: comp.sys.ibm.pc
Subject: M.Magee AUTOMENU - any knowledge
Message-ID: <475@hrc63.co.uk>
Date: 8 Dec 87 10:39:57 GMT
Organization: GEC Hirst Research Centre, Wembley, England.
Lines: 10


We have seen a demo of a tiny MS-DOS utility called AUTOMENU which
makes building menus for PC users simple. We want to find who is the
vendor of this utility, the cost, and any details of the command characters
for the menu definition file.

Any help appreciated.

Trevor Wright
yc23%a.gec-mrc.co.uk@nss.cs.ucl.ac.uk
#! rnews 2646
Path: alberta!mnetor!uunet!mcvax!ukc!stc!datlog!dlhpedg!cl
From: cl@dlhpedg.co.uk (Charles Lambert)
Newsgroups: comp.lang.c
Subject: Re: Address of array
Message-ID: <329@dlhpedg.co.uk>
Date: 8 Dec 87 13:30:45 GMT
References: <126@citcom.UUCP> <163@mccc.UUCP> <422@xyzzy.UUCP>
Sender: news@dlhpedg.co.uk
Reply-To: cl@.co.uk (Charles Lambert)
Organization: FSG@Data Logic Ltd, Queens House, Greenhill Way, Harrow, London.
Lines: 56

In article <422@xyzzy.UUCP> throopw@xyzzy.UUCP (Wayne A. Throop) writes:
>> pjh@mccc.UUCP (Peter J. Holsberg)
>> OK - perhaps you had better tell us neophytes what you mean by the
>> address of an array!
>
>Same as address of anything else.  It is an address which, when
>indirected, yields an array, and when "N" is added to it, yields the
>address of an array which is itself a member of an array "N" elements
>away from the array yielded by an indirection.
> 
> [ several abstruse observations ]
>
>What could be simpler?

Well, several other forms of explanation, I guess.  This one confused me,
and I *understand* the address of an array. (Just teasing)

To put it another way....

Any object, of any type (integer, structure, array, etc.), has an address.
Usually, if it is an object that occupies several words of memory, it is the
address at which it begins. (Compiler theorists may be itching to tell me it
might mean something else entirely; let's keep this simple.)  The address of
an object is the compiler's handle for manipulating it.   You think of an
object by its name; the compiler "thinks" of it by its address.

The "address of an array" is the address that the compiler uses to access
that array and to calculate the position of any element in the array.

In C,  the address of an array is the same as the address of its first
element (array[0]).  If you want to set up a pointer to the array, you
get its address simply by naming it. Hence:

	pa = array;	/* pa now contains the address of "array" */

which is exactly the same as

	pa = &array[0]; /* "&" means "address of", so pa contains the
				address of element [0] of "array" */

Now this is a slight quirk in C - the name of the array being a synonym for
its address;  for any other object (notably a struct) that is not true.  If
you want the address of a structure you must write

	ps = &mystruct;	/* NOT ps = mystruct */

So we get back to the discussion from whence we came: why can't we be
consistent and get the address of an array by

	pa = &array;	?

To which the answer is:  you can, with some compilers.

[Further reading: The C Programming Language; Kernighan & Ritchie; pp.93-95]
--------------------------
Charles Lambert
#! rnews 1652
Path: alberta!mnetor!uunet!mcvax!unido!iaoobelix!vogt
From: vogt@iaoobelix
Newsgroups: comp.sys.dec
Subject: Bug in BASIC-PLUS for RSTS V8.0? - (nf)
Message-ID: <9900003@iaoobelix.UUCP>
Date: 8 Dec 87 18:36:00 GMT
Lines: 43
Nf-ID: #N:iaoobelix:9900003:000:1342
Nf-From: iaoobelix!vogt    Dec  8 19:36:00 1987

I think I found a bug in BASIC-PLUS of RSTS V8.0. The following program
isn't working in the right way. I tried to read some records from a file
and to store them in an array. But after I read and stored all records,
the array was completely empty.

> 10 ON ERROR GOTO 1000
> 15 DIM IN$(100%)
> 20 FIELD #1%, 3% as a$, 20% as i$, 15% as q$
> 30 OPEN 'foobar' as file #1%, recordsize 38%
> 40 Z% = 0%
> 50 Z% = Z% + 1%
> 60 GET #15%, RECORD Z%
> 70 IN$(Z%) = I$
> 75 PRINT IN$(Z%)
> 80 GOTO 50
> 90 CLOSE #1%
> 100 PRINT IN$(I%)  FOR I% = 1% TO Z% - 1%
> 110 GOTO 32767
> 1000 IF ERR = 11 THEN RESUME 90
> 1010 ON ERROR GOTO 0
> 32767 END

The outputs in line 75 are alright, but those in line 100 aren't.
Only blank lines appear there.

I found out that if you change line 70 to 'IN$(Z%) = LEFT$(I$, 20%)'
- which does nearly nothing different - it works correctly.

Does anybody know a patch for this bug? Or does anybody know how to
avoid this in an other way?

Thanks in advance

Gerald Vogt

--------------------------------------------------------------------------
Fraunhofer Institut fuer Arbeitswirtschaft und Organisation
Holzgartenstrasse 17
D-7000 Stuttgart 1         UUCP:   ...{uunet!unido,pyramid}!iaoobel!vogt
W-Germany

Phone: (W-Germany) 711 6648191
--------------------------------------------------------------------------
#! rnews 3127
Path: alberta!mnetor!uunet!mcvax!hafro!gst!gunnar
From: gunnar@gst.UUCP (Gunnar Stefnsson)
Newsgroups: sci.math
Subject: Re: Least-squares fitting
Message-ID: <428@gst.UUCP>
Date: 8 Dec 87 15:25:35 GMT
References: <1823@culdev1.UUCP> <22191@cca.CCA.COM> <2301@utastro.UUCP>
Reply-To: gunnar@gst.UUCP (Gunnar Stefansson)
Organization: Marine Research Institute, Reykjavik
Lines: 56

In article <2301@utastro.UUCP> bill@astro.UUCP (William H. Jefferys) writes:
>In article <22191@cca.CCA.COM> g-rh@CCA.CCA.COM.UUCP (Richard Harter) writes:
>~In article <1823@culdev1.UUCP> drw@culdev1.UUCP (Dale Worley) writes:
>~>The normal least-squares fitting of a line to a set of points in the
>~>plane assumes that the x-coordinates of the points are known to be
>~>exact, and the y-coordinates have all the error.  That is, chi^2 is
>~>the sum of the squares of the distances from the points to the line in
>~>a vertical direction.  This introduces assymetry between the
>~>coordinates.
>~>
>~>Is is known how to perform least-squares fitting where the "error" is
>~>the perpendicular distance between the point and the line?
>
>
>Actually, if both coordinates have error, it is essential that this
>fact be taken into account. If you fail to do this, the result will be
>*biased* -- the slope will be systematically underestimated, and
>this bias will not go to zero as you take more and more points

Hold on, isn't this statement a bit too strong? The answer to which method
should be used ultimately depends on what the purpose of the estimations
is. 

In fact, if the purpose is to estimate y for a given x, then ordinary
least squares will do. In this case one is not really interested in
getting the best estimates of the parameters but only in getting a good
prediction.

I claim that there are very few regression examples where one really
cares whether or not the parameters are biased. In the large majority of
cases one is much more interested in the goodness of prediction. In this
case, one is interested in E[Y|X]. So if we model this quantity as
linear in X, then the OLS estimates are BLUE. This will also give
variances etc, all valid conditionally on X.

It is my feeling that a lot of books overemphasize the so-called bias,
since that is very often totally irrelevant.  For example, some
textbooks talk about biased parameter estimates when some variables
are missing in a multiple regression. In reality OLS is estimating a
better set of parameters than would the corresponding "unbiased"
estimator (OLS in this case will give an unbiased estimate of the best
surface based on the reduced set of variables). Certainly in this case,
one can make a strong argument that all the talk about biasses is
totally irrelevant.

Of course if the true purpose is to estimate parameters, e.g. to assess
the effect of a change in X on Y, then indeed one needs to worry a bit
about the effects of X being random.

Gunnar

-- 

-----------------------------------------------------------------------------
Gunnar Stefansson                       {mcvax,enea}!hafro!gunnar 
Marine Research Institute, Reykjavik    gunnar@hafro.UUCP
#! rnews 528
Path: alberta!mnetor!uunet!mcvax!unido!tub!ao
From: ao@tub.UUCP (Arnfried Ossen)
Newsgroups: comp.mail.misc
Subject: Path to UMass Amherst
Message-ID: <318@tub.UUCP>
Date: 7 Dec 87 13:29:49 GMT
Reply-To: ao@tub.UUCP (Arnfried Ossen)
Organization: Technical University of Berlin, Germany
Lines: 7

Anybody out there who knows the PATH to

   University of Massachusetts, Amherst Campus, COINS Department

It should allow access from USENET or BITNET.

Arnfried, ao@tub.UUCP, ao@db0tui6.BITNET, TU Berlin, Berlin, Fed.Rep.Germany
#! rnews 2902
Path: alberta!mnetor!uunet!mcvax!varol
From: varol@cwi.nl (Varol Akman)
Newsgroups: sci.math
Subject: Re:   computational geometry / finding segment intersections
Summary: Try adaptive grid ...
Keywords: segment intersection
Message-ID: <141@piring.cwi.nl>
Date: 9 Dec 87 11:14:57 GMT
References: <4369@sdcsvax.UCSD.EDU>
Organization: CWI, Amsterdam
Lines: 50

<4369@sdcsvax.UCSD.EDU> maiden@sdcsvax.UCSD.EDU (VLSI Layout Project) writes:
>
>Consider a path embedded into the Cartesian plane, where for convenience
>all vertices of the path are lattice points in the positive quadrant.
>All edges are line segments.
>So, the path will look like < (x1,y1) , (x2,y2) , ... , (xn,yn) >.  
>Question:    What is the fastest method of determining *ALL* self-
>	     intersections of this path?
>This may have been beaten to death by computational geometers, so I'll
>append some extra conditions:
>Suppose there are **many** vertices in the path, and that edges are
>for the most part very short.    For example, there could be 10000
>points in a 200 by 200 square, with most edges less than 3 units long.
>Furthermore, assume that there are not very many self-intersections
>to be found.    Now, what would the fastest method be???   Any ideas
>welcome.

There are, as you've guessed several papers in computational geometry
on line segment intersections.  You may look at the books by Shamos
and Preparata, and also the book by Edelsbrunner for references.

My favorite method to solve your problem though is an excellent
method invented by Randolph Franklin at RPI.  It is called ''adaptive
grid'' and works as follows.  First you overlay a regular, say G by G
integer grid on your scene.  Then you enter your edges into respective
cells of the grid  (similar to the bucketing idea!)  Then you make a pass
thru all the cells and find the intersections in each cell.  If an
intersection falls on a grid cell boundary you should be careful to
treat it so the integrity is kept intact.

I'm not very good in describing things in a hurry (especially Email)
but let me tell that I've wide experience with this stuff and it works
very well.  It is especially excellent for a scene made of short edges
with a rather homogeneous distribution.  Write me for details.
Also you may try Franklin at franklin@csv.rpi.edu.  Here is a short bibl.

W.R. Franklin  An exact hidden sphere algorithm that operates
               in real time  COMP. GRAPHICS AND IMAGE PROC. 15(4), 1981

-------------  A linear time exact hidden surface algorithm SIGGRAPH'80

------------- and V. Akman A simple and efficient haloed line algorithm
                           for hidden line elimination COMPUTER GRAPHICS
                           FORUM, 1987

-------------------------- Adaptive grid for polyhedral visibility in
                           object space: an implementation BJC 1987, to appear

-Varol Akman
CWI, Amsterdam
#! rnews 2392
Path: alberta!mnetor!uunet!mcvax!jack
From: jack@cwi.nl (Jack Jansen)
Newsgroups: comp.os.misc,comp.unix.wizards
Subject: Re: Command interfaces
Message-ID: <142@piring.cwi.nl>
Date: 9 Dec 87 15:41:45 GMT
References: <1257@boulder.Colorado.EDU> <6840002@hpcllmv.HP.COM> <9555@mimsy.UUCP> <798@rocky.STANFORD.EDU> <432@cresswell.quintus.UUCP> <3161@psuvax1.psu.edu> <5565@oberon.USC.EDU>
Organization: AMOEBA project, CWI, Amsterdam
Lines: 43
Xref: alberta comp.os.misc:339 comp.unix.wizards:5747

In article <5565@oberon.USC.EDU> blarson@skat.usc.edu (Bob Larson) writes:
> [Discussing primos wildcards versus unix wildcards]
>For example, how would you do the equivelent of this in unix:
>
>cmpf *>old>@@.(c,h) == -report ==.+cmpf -file
>
>(Explanation: compare all files in the old sub-directory ending in .c or
>.h with the file of the same name in the current directory, and put
>the output in the file of the same name with .cmpf appended.  Non-files
>(directories and segment directories) ending in .c or .h are ignored.
>[I do prefer the output of diff -c to that of cmpf, but that isn't
>what I'm talking about here.]

Uhm, yes, unfortunately I find the 'feature' quite unusable.
I *never* come up with the correct sequence of == and @@, so I have to type
the command three times before I get it right. (really retype, that is.
'History mechanism' is something primos has never heard about).

I definitely prefer
for i in *.[ch]; do
    diff old/$i $i >$i.diff
done

(and you can add an 'if [ -d $i ]' if you really care about directories
ending in .c or .h. I don't, because I don't *have* directories ending
in .c or .h).

And, to continue some gripes on primos wildcards:
- I would expect them to work *always*. I.e. if I do
  TYPE @@
  (TYPE is primos echo) I would expect a list of all files, *not* '@@'.
- If I want all arguments on one line, and I use [WILD @@.TMP], and the
  result doesn't fit in 80 characters, I DO DEFINITELY NOT WANT IT TO TRUNCATE
  IT AT EIGHTY CHARS! I lost an important file that way: it was trying
  to generate a list containing PRECIOUSFILE.TMP, but, unfortunately,
  the .TMP started at position 81. So, it removed PRECIOUSFILE in stead.
  sigh.
  
Sorry, there are some neat ideas in primos, but the command processor and
it's wildcards is definitely *not* one of them.
-- 
	Jack Jansen, jack@cwi.nl (or jack@mcvax.uucp)
	The shell is my oyster.
#! rnews 1552
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!csbg
From: csbg@its63b.ed.ac.uk (Andie)
Newsgroups: comp.windows.news
Subject: Windows and menus through the CPS interface
Keywords: NeWS windowing, menus, CPS interface
Message-ID: <821@its63b.ed.ac.uk>
Date: 9 Dec 87 00:15:36 GMT
Reply-To: csbg@its63b.ed.ac.uk (Bruce)
Organization: Computer Science Department, Edinburgh University
Lines: 26

Hi everybody !

I'm a final year student at Edinburgh University and as part of my final
year project I am using NeWS to build up a document composition system.
Alas, I'm new to NeWS and the NeWS manual does seem to be rather sketchy,
especially when it comes to using the CPS interface.

Having had a look at the stuff that is floating around in this newsgroup
I think that someone out there will be able to help me.

Point 1 : How can I control the litewin.ps and litemenu.ps packages through
          the CPS interface - especially, how do I get notification to the
          C program that something is happening ?

Point 2 : This may be trivial, but when I create an overlay for the purposes
          of rubber-banding, using the getclick family of operators, I can
          never get the overlay to disappear again. What is happening and 
          how should it be done ?

If these points have already been raised in the past then I will be happy to
receive direct e-mail from anybody who can answer any part of the above
queries.

As they say: When the going gets tough, I get the hell out of it !

Bruce Gilmour (CS4 student at Edinburgh University)
#! rnews 1134
Path: alberta!mnetor!uunet!mcvax!botter!ast
From: ast@cs.vu.nl (Andy Tanenbaum)
Newsgroups: comp.os.minix
Subject: Re: Problems with serial TTY driver
Message-ID: <1778@botter.cs.vu.nl>
Date: 9 Dec 87 15:36:52 GMT
References: <2314@encore.UUCP>
Reply-To: ast@cs.vu.nl (Andy Tanenbaum)
Organization: VU Informatica, Amsterdam
Lines: 16

In article <2314@encore.UUCP> paradis@encore.UUCP (Jim Paradis) writes:
>Is there some limit to how fast MINIX will take interrupts? 
>If one takes them too fast, will messages get lost?
>
If you try to force feed MINIX from an Ethernet at 10 Mbps it will probably
drop stuff.  There is undoubtedly a limit on how many interrupts per second
it can handle, but an AT it should be over 1000 per second.

The original tty driver was very carefully written to deal with exactly
this issue.  When characters come in, they are buffered, even if it is
not possible to send a message to the tty task.  This code is on lines
3528 to 3552 of the book.  Assuming you are still using this mechanism,
you ought to be able to accept characters at say 2400 baud without losing
any.

Andy Tanenbaum (ast@cs.vu.nl)
#! rnews 915
Path: alberta!mnetor!uunet!mcvax!botter!ast
From: ast@cs.vu.nl (Andy Tanenbaum)
Newsgroups: comp.os.minix
Subject: P-H has MINIX in stock (finally)
Message-ID: <1779@botter.cs.vu.nl>
Date: 9 Dec 87 15:46:14 GMT
Reply-To: ast@cs.vu.nl (Andy Tanenbaum)
Organization: VU Informatica, Amsterdam
Lines: 11


I talked to P-H yesterday.  Version 1.2 of MINIX in 256K & 640K PC, 512K AT, 
mag tape, and the IBM slipcase version with the abridged book are all
in stock.  If it is of any consolation to the people who have had to wait
and wait and wait, one of the corporate vice presidents was so unhappy
about the poor service to customers that he fired the person who was in charge
of managing the MINIX inventory.  He has been replaced by someone else who has 
clear instructions to make sure it doesn't go out of stock again.  They are now
shipping to everyone whose order got backlogged.

Andy Tanenbaum (ast@cs.vu.nl)
#! rnews 841
Path: alberta!mnetor!uunet!mcvax!prlb2!lln-cs!gf
From: gf@lln-cs.UUCP (Frank Grognet)
Newsgroups: rec.games.misc,rec.games.frp,rec.games.board
Subject: WARGAMING!
Keywords: wargame,rule,figurine,game
Message-ID: <796@lln-cs.UUCP>
Date: 9 Dec 87 15:19:13 GMT
Organization: Computer Science Dept., Louvain-la-Neuve Belgium
Lines: 11
Xref: alberta rec.games.misc:1150 rec.games.frp:1652 rec.games.board:543


	I want to start wargaming but I don't know how!

I won't be playing wargames on a board, but with 15mm or 25mm
figurines.
I would like to find addresses in Europe (especially Belgium)
of good figurine manufacturers and also references to rule
books for the Napoleonic period.
I am also interested in rules contained on the net or in files at
other sites, if they exist!
I anybody can help me, please reply to ..!mcvax!prlb2!lln-cs!gf
#! rnews 1656
Path: alberta!mnetor!uunet!mcvax!nikhefk!frankg
From: frankg@nikhefk.UUCP (Frank Geerling)
Newsgroups: comp.sys.atari.st
Subject: Re: the perfect ram disk
Keywords: ramdisk, resizeable, reset-survivable
Message-ID: <294@nikhefk.UUCP>
Date: 9 Dec 87 19:53:23 GMT
References: <427@dukempd.UUCP>
Reply-To: frankg@nikhefk.UUCP (Frank Geerling)
Organization: Nikhef-K, Amsterdam (the Netherlands).
Lines: 42

In article <427@dukempd.UUCP> gpm@dukempd.UUCP (Guy Metcalfe) writes:
>I have Mike's Ramdisk v. .95, and like the idea of what it's trying to do.
>It has a dialogue box as if it were resizable, but it's very buggy.  Could
>someone send me a later version that works like it's dialogue implies it
>should.  What I would like best of all is an eternal ram disk that I can
>size up and down as I see fit, but which sizes down without letting me 
>destroy any data I may have on the disk.  If anybody has and would send me
>or knows where I could get such a beast, I would be grateful.  Thanks.
>-- 
>	Guy Metcalfe                            gpm@dukempd.uucp  


Please send it to me too, I also have Mike's Ramdisk and the resize doesn't
work it doesn't return allocated memory when you resize to a smaller amount
of memory.

Thanx in advance


			   Frank Geerling
			(frankg@nikhefk.uucp)


Usenet:		{seismo, philabs, decvax}!mcvax!frankg@nikhefk

Normal mail:	Frank Geerling
		NIKHEF-K (DIGEL)
		Postbus 4395
		1009 AJ Amsterdam
		The Netherlands

			   Frank Geerling
			(frankg@nikhefk.uucp)


Usenet:		{seismo, philabs, decvax}!mcvax!frankg@nikhefk

Normal mail:	Frank Geerling
		NIKHEF-K (PIMU)
		Postbus 4395
		1009 AJ Amsterdam
		The Netherlands
#! rnews 2666
Path: alberta!mnetor!uunet!mcvax!prlb2!kulcs!luc
From: luc@kulcs.UUCP (Luc Van Braekel)
Newsgroups: comp.lang.pascal
Subject: Re: self-replicating programs?
Summary: here is a self-replicating pascal program
Message-ID: <1070@kulcs.UUCP>
Date: 9 Dec 87 08:31:27 GMT
References: <1400@tulum.swatsun.UUCP>
Organization: Kath.Univ.Leuven, Comp. Sc., Belgium
Lines: 37

In article <1400@tulum.swatsun.UUCP>, hirai@swatsun (Eiji "A.G." Hirai) writes:
> 	In our recent ACM programming contest (regionals), one of the
> problems was to write a self-replicating program.  That is, we had to
> write a program whose output was itself, the source code.  No alterations
> of the original code during execution was allowed (I think).
> 	Does anyone have any code for this problem?  We have one but
> it looks inelegant.  I've also see bery bery short Prolog code for this.
> Help, we are looking for good codes to study!  And yes, the contest is
> over (we ain't cheating).

Here is a self-replicating Pascal program I wrote a few years ago.
The program looks dirty but it works !

program self (output);                                     
var i,j: integer;                                          
    a: array[1..8] of packed array[1..59] of char; begin   
  a[1] := 'program self (output);                                     ';
  a[2] := 'var i,j: integer;                                          ';
  a[3] := '    a: array[1..8] of packed array[1..59] of char; begin   ';
  a[4] := 'for i := 1 to 3 do writeln(a[i]);                          ';
  a[5] := 'for i := 1 to 8 do begin write(''  a['',i:0,''] := '',chr(39));';
  a[6] := 'for j := 1 to 59 do begin write(a[i][j]);if a[i][j]=chr(39)';
  a[7] := 'then write(a[i][j]) end; writeln(chr(39),'';'') end;         ';
  a[8] := 'for i := 4 to 8 do writeln(a[i]) end.                      ';
for i := 1 to 3 do writeln(a[i]);                          
for i := 1 to 8 do begin write('  a[',i:0,'] := ',chr(39));
for j := 1 to 59 do begin write(a[i][j]);if a[i][j]=chr(39)
then write(a[i][j]) end; writeln(chr(39),';') end;         
for i := 4 to 8 do writeln(a[i]) end.                      

+-----------------------------------+------------------------------------+
| Name   : Luc Van Braekel          |  Katholieke Universiteit Leuven    |
| UUCP   : luc@kulcs.UUCP           |  Department of Computer Science    |
| BITNET : luc@blekul60.bitnet      |  Celestijnenlaan 200 A             |
| Phone  : +(32) 16 20 0656 x3563   |  B-3030 Leuven (Heverlee)          |
| Telex  : 23674 kuleuv b           |  Belgium                           |
+-----------------------------------+------------------------------------+
#! rnews 1678
Path: alberta!mnetor!uunet!mcvax!cernvax!ethz!zu
From: zu@ethz.UUCP (Urs Zurbuchen)
Newsgroups: comp.sys.ibm.pc
Subject: Re: Oooh Yeccheo. How Does This One Really Work?!?
Message-ID: <264@bernina.UUCP>
Date: 9 Dec 87 12:16:51 GMT
References: <164300022@uiucdcsb> <412@wa3wbu.UUCP> <13091@beta.UUCP> <1269@phoenix.Princeton.EDU>
Reply-To: zu@bernina.UUCP (Urs Zurbuchen)
Organization: ETH Zuerich, CS Department, Switzerland
Lines: 41

In article <1269@phoenix.Princeton.EDU> rjchen@phoenix.Princeton.EDU (Raymond Juimong Chen) writes:
>In article <13091@beta.UUCP> it was written:
>What you'd probably want is something like
>
>AUTOEXEC.BAT:
>  doit
>
>DOIT.BAT:
>  copy \autoexec.ddd \autoexec.bat
>  del \autoexec.ddd
>  do other stuff
>  reboot.
>
>AUTOEXEC.DDD:
>  same as before

You could the same thing without changing your AUTOEXEC.BAT. With the solution
presented above you will execute the same second version of AUTOEXEC.BAT each
time you reboot your machine (perhaps that's really what you want, but my
imagination doesn't go that far. If so, just disregard this article).

My solution: In the startup file you include the following:

if exist <filename_like_gaga.gag_or_whatever_you_want_to_call_it> goto second
<here included all the stuff you want executed when booted for the first time>
echo gaga > <filename_like_gaga.gag_or_whatever_you_want_to_call_it>
:second
<now follows the rest of the story (i.e. your autoexec.ddd)>

That's it. If you want to toggle between the two boot modes just add a line
like:

del <filename_like_gaga.gag_or_whatever_you_want_to_call_it>


		I hope this will help anybody :-)

			...urs


UUCP: ...seismo!mcvax!cernvax!ethz!zu
#! rnews 420
Path: alberta!mnetor!uunet!mcvax!inria!irisa!michaud
From: michaud@irisa.UUCP (Michaud Franck INSA BN205)
Newsgroups: comp.protocols.tcp-ip
Subject: virtual circuit
Keywords: tcp, socket
Message-ID: <202@irisa.UUCP>
Date: 9 Dec 87 20:05:21 GMT
Organization: IRISA, Rennes (Fr)
Lines: 7


	I'd like to have a good definition of :
- virtual circuit.

 	If you have a good definition, send me a mail.
		thanck you.
	franck
#! rnews 758
Path: alberta!mnetor!uunet!mcvax!enea!liuida!dat08
From: dat08@butterix.liu.se
Newsgroups: rec.games.frp
Subject: Re: New rules for AD&D
Message-ID: <686@butterix.liu.se>
Date: 9 Dec 87 03:53:09 GMT
References: <26788S9S@PSUVMA>
Organization: CIS Dept, Univ of Linkoping, Sweden
Lines: 11

In article <26788S9S@PSUVMA> S9S@PSUVMA.BITNET (Steven A. Schrader) writes:
>New Rules for TSR.   [...] Does anyone know when these rules will be out
>and how much they will cost?

According to Harold Johnson of TSR (at a local convention in Sweden) the new
rules will be out in 89.
 
BTW -- Any reactions about the new (again!) Gamma World? I haven't tried it
yet but I like their idea of one-table-system for everything.
 
Per Westling         dat08@majestix.liu.se
#! rnews 968
Path: alberta!mnetor!uunet!mcvax!enea!tut!tolsun!reini
From: reini@tolsun.oulu.fi (Jukka Reinikainen)
Newsgroups: comp.sys.ibm.pc,comp.sources.wanted
Subject: Hercules graphic characters
Keywords: hercules, text, MASM, MSC
Message-ID: <246@tolsun.oulu.fi>
Date: 8 Dec 87 15:32:30 GMT
Organization: University of Oulu, Finland
Lines: 14
Xref: alberta comp.sys.ibm.pc:9576 comp.sources.wanted:2717


 
Help wanted: how to create text in Hercules graphic mode?
 
I have a program written in MSC (parts coded with MASM) which does
quite nice things with grapichs but suffers lack of characters.
According to my knowledge the only way to get characters in Herc graphic
mode is to draw them on screen by lightning a set of pixels, right?
 
Somebody *must* have written a program which draws characters and
other symbols, so please help me.  C and/or ASM sources and/or ideas
will be *very* appreciated.
 
       >      Jukka Reinikainen         reini@tolsun.oulu.fi       <
#! rnews 935
Path: alberta!mnetor!uunet!mcvax!enea!liuida!andka
From: andka@smidefix.liu.se (Andreas K}gedal)
Newsgroups: rec.music.synth
Subject: Yamaha CLP - pf question
Keywords: Yamaha pf85 CLP300
Message-ID: <687@smidefix.liu.se>
Date: 9 Dec 87 15:36:48 GMT
Organization: CIS Dept, Univ of Linkoping, Sweden
Lines: 13


 I'm thinking of getting one of those new sampled pianos and would like
to get som info. From the net and from my own experience in my local
piano store, I've understood that the Yamaha Clavinova CLP 300 is
a pretty good choise. But I seem to remember a rumor about something
called Yamaha pf85 wich would be some kind of stageversion of the CLP 300.
Has anyone seen it, played it, compared it with the CLP 300? What are the
differences in price, sound, keyboard?

My local pianopusher here in Sweden hadn't heard of it. Is this because
it is so new or because it is a local phenomenon in the states?

    /Andreas Kagedal
#! rnews 2816
Path: alberta!mnetor!uunet!mcvax!enea!ttds!draken!sics!erikn
From: erikn@sics.se (Erik Nordmark)
Newsgroups: comp.unix.questions
Subject: Re: Need help with interprocess communications
Keywords: Pipes, Ptys, Buffering, I/O
Message-ID: <1639@sics.se>
Date: 9 Dec 87 21:21:43 GMT
References: <8117@steinmetz.steinmetz.UUCP>
Reply-To: erikn@sics.UUCP (Erik Nordmark)
Organization: Swedish Institute of Computer Science, Kista
Lines: 60

[[ I tried sending this as mail using different addresses, but failed! ]]

In article <8117@steinmetz.steinmetz.UUCP> you write:
>
>
>I have tried using "fcntl(fd,F_SETFL,FASYNC)" as well as setting up an
>interrupt handler to handle SIGIO signals (via "sigvec(2)"), and this works
>fine when I'm reading from the terminal, but does not seem to work at all
>when I try it from a pipe.
>
>
>Well, the SIGIO handler works fine to detect input from places like stdin, but
>never sees anything coming down the pipe.  When it gets invoked (generally
>by me banging on the <RETURN> key causing an interrupt from stdin), it 
>does find that there is data available in the pipe (as well as stdin) and
>has no problem reading it.
>
>
>Does anyone out there know how I can fix this problem?
>

>From looking at the BSD4.3 sources I found out the following:
When a tty is opened the associated process group is set to
that of the creator. The signals that the tty driver generate (e.g. caused
by ^C) are sent to this process group.

However, for sockets (a pipe is implemented as a pair of sockets in BSD4.3
and maybe elsewhere!) the associated process group is not set automatically.

So what you have to do is to set it before you can get ant SIGIO's! Use
   int pgrp = getpid();
   if (fcntl(fd, F_SETOWN, pgrp) == -1) {
	perror("fnctl");
	exit(1);
   }
or
       ioctl(fd, SIOCSPGRP, &pgrp)	/* note: & */

I think this should work even if pipes aren't implemented as a pair of
sockets, but I haven't tried any of it.

>Also:  Is there a way that I can determine WHICH file descriptor caused
>a SIGIO interrupt to be invoked, or by which I can set up a different
>interrupt handler for each descriptor?
>

See select(2). (Just a detail: select will tell you that there is data
to read if there actually is data to read or if the other end(s) have
closed the pipe. In the latter case read() will return an EOF - this
stuff caused me some trouble before I read the *real* documentation -
the OS source code!!)

-------------------------------------------------------------------------
Erik Nordmark
Swedish Institute of Computer Science, Box 1263, S-163 13  SPANGA, Sweden
Phone: +46 8 750 79 70	Ttx: 812 61 54 SICS S	Fax: +46 8 751 72 30

uucp:	erikn@sics.UUCP or {seismo,mcvax}!enea!sics!erikn
Domain: erikn@sics.se
-------------------------------------------------------------------------
#! rnews 2508
Path: alberta!mnetor!uunet!mcvax!enea!luth!d2c-czl
From: d2c-czl@sm.luth.se (Caj Zell)
Newsgroups: rec.music.misc
Subject: Re: Ace-Screamingest Guitar Solos on Record
Keywords: guitar, flames (regrettably)
Message-ID: <438@psi.luth.se>
Date: 9 Dec 87 14:51:22 GMT
References: <1725@s.cc.purdue.edu>
Reply-To: Caj Zell <d2c-czl@psi.luth.se>
Organization: University of Lulea, Sweden
Lines: 44
UUCP-Path: {uunet,mcvax}!enea!psi.luth.se!d2c-czl


In article <1725@s.cc.purdue.edu> rsk@s.cc.purdue.edu (Rich Kulawiec) writes:
>I thought I'd make up a very hasty list of what I
>thought were some of the best solos I've heard, and then ask y'all to
>contribute further.

Good idea,I love making up lists!

>Money (Pink Floyd), David Gilmour
>Cracked Actor (David Bowie), Earl Slick
>Don't Take Me Alive (Steely Dan), Jeff 'Skunk' Baxter?
>All Along the Watchtower Jimi Hendrix
>Aqualung (Jethro Tull), Martin Barre
>Highway 61, Johnny Winter

Agree,but how about these:

Muffin Man (Frank Zappa)              (I think FZ was the most underrated)
Son of Mr. Green Genes (Frank Zappa)  (guitarist there ever has been.But,)
Son of Orange County (Frank Zappa)    (he can't play anymore,too bad.    )
Push Comes To Show (Van Halen) Eddie Van Halen
Crossroads (Cream) Eric Clapton (The 2nd solo,of course)
Astronomy (Blue \yster Cult) Donald Roeser (on "Some Enchanted Evening")
Lazy (Deep Purple) Ritchie Blackmore
Fat Time (Miles Davis) Mike Stern

I know that when I get home I will kill myself for not adding more solos,
but these are the ones I can think of without looking at my records.
But maybe that's a good sign indicating that these are really my favourites.

I'd be very glad to see some reactions on the list.


      XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
      X                                                            X
      X                                                            X
      X   Caj Zell                 	 ________________________  X
      X   University of Lulea            :                      :  X
      X   Sweden                         : Jazz is not dead,    :  X
      X  				 : it just smells funny :  X
      X   mail: d2c-czl@psi.luth.se	 : -Frank Zappa         :  X
      X                                  :                      :  X
      X                                  -----------------------:  X
      X                                                            X
      XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
#! rnews 1389
Path: alberta!mnetor!uunet!mcvax!enea!kuling!peterf
From: peterf@kuling.UUCP (Peter Fagerberg)
Newsgroups: comp.sys.mac
Subject: More memory for Mac+...?
Message-ID: <570@kuling.UUCP>
Date: 9 Dec 87 15:08:48 GMT
Organization: DoCS, Uppsala University, Sweden
Lines: 23


Hello. I've been wondering how to get a little extra memory for my
Macintosh Plus (needed in these days of Hypercard and Multifinder).

I was wondering if the normal brute-force method could be used;
  Just solder 1M memory chips on top of the existing one (piggyback)
  and attach CS (chip-select) and whatever else is needed from the
  adressbus to select the appropiate chip. I haven't really checked
  out the memorychips but maybe an inverter is needed for some signals.

  If I'm correctly informed there are 22 bit defining the adress on
  a MC68000, making it possible to have 4M of memory.

*If* this is possibly, would programs take advantage of it?

Well, maybe this is one of the most stupid questions asked to USENET
since it all began and if so - please forgive my ignorance...

                                 Peter-- 
==============================================================================
Peter Fagerberg             UUCP: {seismo,enea,mcvax,decwrl,...}!kuling!peterf
Applied Computer Science    ARPA: kuling!peterf@seismo.css.gov
Uppsala University          Analog: +46 18-128286 or 8-102927
#! rnews 1429
Path: alberta!mnetor!uunet!mcvax!botter!klipper!biep
From: biep@cs.vu.nl (J. A. "Biep" Durieux)
Newsgroups: soc.culture.jewish
Subject: Re: Jews in soc.culture.jewish?
Message-ID: <958@klipper.cs.vu.nl>
Date: 10 Dec 87 09:07:28 GMT
References: <4765@spool.wisc.edu> <2086@ucbcad.berkeley.edu> <2264@encore.UUCP> <5779@cisunx.UUCP> <2872@sphinx.uchicago.edu> <5861@cisunx.UUCP>
Reply-To: biep@cs.vu.nl (J. A. "Biep" Durieux)
Organization: VU Informatica, Amsterdam
Lines: 23

In article <5861@cisunx.UUCP> dlhst@unix.cis.pittsburgh.edu.UUCP,
	(David L. Heyman) writes:
>Don't kid yourself.  the Constitution is one thing but reality is
>another.  National Christmas tree, etc.
                    ^^^^^^^^^^^^^^

You are not trying to say that the US are German-mythological qua
religion, are you? :-)

No, but seriously: what does that tree have to do with Christianity?
(Or, what does the mean US Christmas have to do with it at all - but
that's another story)
Is Santa Claus Christian? The Easter Bunny and its eggs?

While I agree that the dates of these festivities originally come from
the church, the things which are generally celebrated have no origin in
Christian doctrine, and no one pretends so.

Sorry if I offended anyone by this - I am not commenting on those who do
use those times for prayer and as memorial days.
-- 
						Biep.  (biep@cs.vu.nl via mcvax)
	To be the question or not to be the question, that is.
#! rnews 1323
Path: alberta!mnetor!uunet!mcvax!ukc!eagle!icdoc!ivax!shb
From: shb@ivax.doc.ic.ac.uk (Simon Brock)
Newsgroups: comp.sys.mac
Subject: Re: uw/Multifinder?
Message-ID: <146@gould.doc.ic.ac.uk>
Date: 9 Dec 87 10:08:38 GMT
References: <174400085@uxc.cso.uiuc.edu>
Sender: news@doc.ic.ac.uk
Reply-To: shb@doc.ic.ac.uk (Simon Brock)
Organization: Dept. of Computing, Imperial College, London, UK.
Lines: 22

In article <174400085@uxc.cso.uiuc.edu> dorner@uxc.cso.uiuc.edu writes:
>
>I can't get uw to work under Multifinder.  ...
>I have an SE, and am running the latest system software (obviously).
>I'm using uw version 4.1.
>
>Is anybody successfully using uw under Multifinder?
Yes.  I'm using uw4.1 on an SE with System 4.1/Finder 6.0 and a beta version 
of MF (1.0b6).  (As an aside, we can't get System Tools 5.0 in the UK until 
early next year, unless you know different to me !)

UW runs but I do character losses at 9600 baud.  I can't work out why, and
I'm not convinced its UW's fault.  I wrote to John Bruner, the author, who
says other people were reporting the same problem.

				Simon.

Simon H Brock, Dept. of Computing, Imperial College, London SW7 2AZ
Tel	: 01 589 5111 x4993
BitNet	: shb@doc.ic.ac.uk (or shb%uk.ac.ic.doc@AC.UK)
UUCP	: shb@icdoc.uucp (...siesmo!mcvax!ukc!icdoc!shb)
JANET	: shb@uk.ac.ic.doc
#! rnews 1446
Path: alberta!mnetor!uunet!mcvax!ukc!eagle!icdoc!cam-cl!am
From: am@cl.cam.ac.uk (Alan Mycroft)
Newsgroups: comp.lang.c
Subject: Re: closing stdout
Keywords: Yes it IS a buggy library
Message-ID: <1115@jenny.cl.cam.ac.uk>
Date: 9 Dec 87 10:38:55 GMT
References: <442@cresswell.quintus.UUCP>
Reply-To: am@cl.cam.ac.uk (Alan Mycroft)
Organization: U of Cambridge Comp Lab, UK
Lines: 19

In article <442@cresswell.quintus.UUCP> ok@quintus.UUCP (Richard A. O'Keefe) writes:
>There's an old joke with the punch-line "We've already established what
>you are, madam.  Now we're just haggling over the price."
>		result = getchar();
>		errno = 0;
>		result = putc(result, stdin);
>		printf("result = %d, errno = %d\n", result, errno);
>The bug is that depending on where you are in the buffer, putc() MIGHT
>notice the mistake, but it usually won't.
>... the bug is a pretty fundamental one in the UNIX stdio implementation,
Richard, The bug is not in the slightest bit fundamental and could be fixed
in less than 1 day once and for all.  I have done it for a ANSI unix-like I/O
library:
Merely separate the _cnt field
of struct FILE into a _icnt and an _ocnt, change getc/putc to use _icnt/_ocnt.
Fix _filbuf/_flsbuf to use the right one, and to whinge when _icnt/_ocnt
goes -ve when you expect the other one to.
This for free also enables the library to police the "fflush/fseek between
change of direction for I/O" restriction and avoids chaos there.
#! rnews 1094
Path: alberta!mnetor!uunet!mcvax!ukc!eagle!icdoc!cam-cl!lg
From: lg@cl.cam.ac.uk (Li Gong)
Newsgroups: soc.culture.china
Subject: Change of Policy After Beginnig Signing Contrct ?
Message-ID: <1114@jenny.cl.cam.ac.uk>
Date: 9 Dec 87 10:37:41 GMT
Organization: U of Cambridge Comp Lab, UK
Lines: 19


   Is there anybody out there who has info about whether the Chinese
government has changed the policy regarding students aboard and how
it is changed, because from this April, all students sent by the
government are asked to sign contracts between him/her and his/her
institution.

   What do these contracts mean ?  Does this imply that those who came
out before this April (thus did not sign) then have a somewhat different
status (for example, can not be asked to go back to carry out a certain
contract) ?

   E-mail to me and I'll summurize OR post to the newsgroup.  I believe
there are other people who are also interested in this issue.

                                    Martin
-----------------------------------------------------------------------
lg@uk.ac.cam.cl
---------------
#! rnews 1315
Path: alberta!mnetor!uunet!mcvax!ukc!stc!root44!cdwf
From: cdwf@root.co.uk (Clive D.W. Feather)
Newsgroups: rec.arts.sf-lovers
Subject: Eric Frank Russell - was Re: Misc questionings
Message-ID: <492@root44.co.uk>
Date: 9 Dec 87 15:03:01 GMT
References: <362@n8emr.UUCP> <2481@pbhyf.UUCP>
Reply-To: cdwf@root44.UUCP (Clive D.W. Feather)
Organization: Root Computers Ltd, London, England
Lines: 23

In article <2481@pbhyf.UUCP> djl@pbhyf.UUCP (Dave Lampe) writes:
>In article <362@n8emr.UUCP> lwv@n8emr.UUCP (Larry W. Virden) writes:
>>
>>5.	Finally, and perhaps most important.  I am looking for author and
>>anthology names for a short story (perhaps longer than thtat?) called I 
>>believe "MYOB".
>>The title stands for "Mind Your Own Business".
>
>The story is in a book called "The Great Explosion" by Eric Frank
>Russell in 1962. It is a collection of 3 or 4 stories telling
>of an attempt by Earth to recontact colonies that had been lost
>for a long time and that had evolved into unusual societies.

I have come across "The Great Explosion", but I also have this part of it
in a collection whose name I have forgotten, under the title "And then there
were none.". Great story. THE BEST AUTHOR EVER.

[Kill the line counter]
[Kill Mel]
[Keep Adric Dead]
[Kill the line counter]
[Kill Mel]
[Keep Adric Dead]
#! rnews 849
Path: alberta!mnetor!uunet!mcvax!ukc!stc!root44!cdwf
From: cdwf@root.co.uk (Clive D.W. Feather)
Newsgroups: sci.misc
Subject: Re: Color
Message-ID: <493@root44.co.uk>
Date: 9 Dec 87 15:46:24 GMT
References: <162300002@uiucdcsb> <162300004@uiucdcsb>
Reply-To: cdwf@root44.UUCP (Clive D.W. Feather)
Organization: Root Computers Ltd, London, England
Lines: 13


Carl Kadie
Inductive Learning Group
University of Illinois at Urbana-Champaign
writes:
>ii.       There is "no such color" as purple! Mixing red and blue ink 
>          causes your eye to react in a way which is not reproducible 
>	  by any single wavelength of light.

The eye can see colours (for example, in afterimages) that cannot be
reproduced by any combination of wavelengths of light !
There was an article in Scientific American c.1970 entitled "Phosphenes"
that went into this.
#! rnews 795
Path: alberta!mnetor!uunet!mcvax!ukc!stc!datlog!dlhpedg!cl
From: cl@dlhpedg.co.uk (Charles Lambert)
Newsgroups: rec.games.empire,comp.sources.bugs
Subject: Re: conquest newsletter #3
Message-ID: <330@dlhpedg.co.uk>
Date: 9 Dec 87 14:27:16 GMT
References: <4886@mhuxd.UUCP> <6899@apple.UUCP>
Sender: news@dlhpedg.co.uk
Reply-To: cl@.co.uk (Charles Lambert)
Organization: FSG@Data Logic Ltd, Queens House, Greenhill Way, Harrow, London.
Lines: 8
Xref: alberta rec.games.empire:292 comp.sources.bugs:563

>In article <4886@mhuxd.UUCP>, smile@mhuxd.UUCP (Edward Barlow) writes:
>> 3) Still have not thought of a new name for the game.  Best so far is 
>> 	<Midguard> (need to check spelling).  Comments?

I've missed something here;  what was wrong with "conquest"?

---------------
Charlie Lambert
#! rnews 819
Path: alberta!mnetor!uunet!mcvax!weijers
From: weijers@cwi.nl (Eric Weijers)
Newsgroups: comp.lang.c++
Subject: another error in vector.h 1.3
Message-ID: <143@piring.cwi.nl>
Date: 10 Dec 87 13:27:06 GMT
Organization: CWI, Amsterdam
Lines: 22

In "vector.h 1.3" the following definition of the X(X&) constructor
is given:

vector(type).vector(type)(vector(type)& a)
{
	register i = a.sz;
	sz = a.sz; 			/* ADD THIS LINE */
	v = new type[i];
	register type* vv = &v[i];
	register type* av = &a.v[i];
	while (i--) *--vv = *--av;
}

You should add the indicated line in order to set the size of
the new vector. If that is not done you get "vector index out of
range" errors.

I found two other errors in this header file, I posted
earlier. If you are interested in them just send a reply (r).

Eric Weijers.
weijers@cwi.nl
#! rnews 830
Path: alberta!mnetor!uunet!mcvax!botter!klipper!biep
From: biep@cs.vu.nl (J. A. "Biep" Durieux)
Newsgroups: soc.culture.jewish
Subject: Anything positive about Jewish genes? (Was: Jewish genetic diseases)
Message-ID: <959@klipper.cs.vu.nl>
Date: 10 Dec 87 09:50:15 GMT
References: <4362@ig.ig.com> <4374@ig.ig.com>
Reply-To: biep@cs.vu.nl (J. A. "Biep" Durieux)
Organization: VU Informatica, Amsterdam
Lines: 12

I suppose the exclusive intermarriage among Jews must also have
spared them for many genetic diseases found among "the rest of us".
Does anyone have any data on that?

~~~
I understand nobody is interested in discussing the Dead Sea scrolls?

And nobody knows what the "Jewish region" in the far SE of Siberia is?
~~~
-- 
						Biep.  (biep@cs.vu.nl via mcvax)
	To be the question or not to be the question, that is.
#! rnews 960
Path: alberta!mnetor!uunet!mcvax!unido!ecrcvax!johng
From: johng@ecrcvax.UUCP (John Gregor)
Newsgroups: rec.arts.sf-lovers
Subject: Re: Old SF Shows
Summary: Yet another show I can't remember the name of...
Message-ID: <463@ecrcvax.UUCP>
Date: 9 Dec 87 13:57:35 GMT
References: <04.Dec.87.11:29:45.GMT.ZZASSGL@UK.AC.UMRCC.CMS> <18784@linus.UUCP> <1046@bc-cis.UUCP> <19026@linus.UUCP>
Reply-To: johng@ecrcvax.UUCP (John Gregor)
Organization: ECRC, Munich 81, West Germany
Lines: 10

There was a show on sometime between the late 70's and early 80's (1 season).
And I can't remember the name.  It was actually two (or more) shows in one
with each sub-show taking a fraction of the time slot.  One part was a 
modern day dracula.  Another dealt with a society living underground.  They
couldn't come up to the surface without special filters due to dust/pollution
or some such.  Ring any bells?  It was NBC, I think.

				John

		johng%ecrcvax.UUCP@germany.CSNET
#! rnews 756
Path: alberta!mnetor!uunet!mcvax!botter!ark!maart
From: maart@cs.vu.nl (Maarten Litmaath)
Newsgroups: comp.bugs.4bsd
Subject: Re: 4.3BSD: using control-m in .exrc file
Summary: More ^V's are needed (won't the editor get enough of it ? :-)
Keywords: 4.3bsd  .exrc  control-m ^V
Message-ID: <1161@ark.cs.vu.nl>
Date: 10 Dec 87 18:44:07 GMT
References: <133@telesoft.UUCP>
Reply-To: maart@cs.vu.nl (Maarten Litmaath)
Organization: VU Informatica, Amsterdam
Lines: 8

Try preceding each ^M by *another* ^V (which in turn is escaped by ^V) !
Type:
	map , ^V^V^V^M^V^V^V^M^V^V^V^M

BTW, death to emacs !
-- 
Time flies like an arrow, fruit flies |Maarten Litmaath @ Free U Amsterdam:
like an orange.      (seen elsewhere) |maart@cs.vu.nl, mcvax!botter!ark!maart
#! rnews 1079
Path: alberta!mnetor!uunet!mcvax!inria!shapiro
From: shapiro@inria.UUCP (Marc Shapiro)
Newsgroups: comp.lang.c++
Subject: Re: Is there a "real" C++ compiler available?
Summary: There is a native C++, with debugger support
Message-ID: <589@inria.UUCP>
Date: 10 Dec 87 17:55:27 GMT
References: <2097@ucbcad.berkeley.edu>
Organization: INRIA, Rocquencourt. France
Lines: 14

In article <2097@ucbcad.berkeley.edu>, faustus@ic.Berkeley.EDU (Wayne A. Christopher) writes:
> [...].  Is there a C++
> compiler available now that will compile directly into asm
> code, instead of into C?  Alternatively, is there a good way
> to use dbx with C++ programs (i.e, using the c++ source instead
> of the c files)?  

The answer to both questions is yes.  The Free Software Foundation (you
know, the GNU Emacs people) will distribute (soon?) a modified version of
their C compiler which does C++.  Their debugger GDB (a dbx-lookalike) knows
how to handle it.

I haven't used either of these so I have no opinions to whether they are
in any way adequate.  Just passing useful information along.
#! rnews 1269
Path: alberta!mnetor!uunet!mcvax!enea!ttds!draken!zap
From: zap@draken.nada.kth.se (Svante Lindahl)
Newsgroups: comp.os.misc,comp.unix.wizards
Subject: Re: Command interfaces
Message-ID: <239@draken.nada.kth.se>
Date: 10 Dec 87 04:54:11 GMT
References: <1257@boulder.Colorado.EDU> <6840002@hpcllmv.HP.COM> <9555@mimsy.UUCP> <798@rocky.STANFORD.EDU> <432@cresswell.quintus.UUCP> <3161@psuvax1.psu.edu> <5565@oberon.USC.EDU>
Reply-To: zap@nada.kth.se (Svante Lindahl)
Organization: The Royal Inst. of Techn., Stockholm
Lines: 21
Xref: alberta comp.os.misc:340 comp.unix.wizards:5748

In article <5565@oberon.USC.EDU> blarson@skat.usc.edu (Bob Larson) writes:
#For example, how would you do the equivelent of this in unix:
#
#cmpf *>old>@@.(c,h) == -report ==.+cmpf -file

I can do it using either /bin/sh or csh, but it does require more
typing than in Primos. The test for existence of the file is not
necessary so these examples could be simplified at the expense of
risking a few error messages to the terminal.

C-shell:
% foreach i (`cd old; ls *.[ch]`)
> if (-r $i) diff -c old $i > $i.cmpf
> end

Bourne-shell:
$ for i in `cd old; ls *.[ch]` ; do
> if [ -r $i ] ; then diff -c old $i > $i.cmpf ; fi
> done

Svante Lindahl	    zap@nada.kth.se	uunet!nada.kth.se!zap
#! rnews 2030
Path: alberta!mnetor!uunet!mcvax!enea!ttds!draken!sics!lhe
From: lhe@sics.se (Lars-Henrik Eriksson)
Newsgroups: rec.arts.sf-lovers
Subject: Re: ST:TNG posters, GET OUT!
Keywords: Why
Message-ID: <1640@sics.se>
Date: 10 Dec 87 11:50:40 GMT
References: <5226@zen.berkeley.edu> <2011@charon.unm.edu>
Reply-To: lhe@sics.se (Lars-Henrik Eriksson)
Organization: Swedish Institute of Computer Science, Kista
Lines: 32

In article <2011@charon.unm.edu> cs3631cg@hydra.UUCP (Mark Giaquinto) writes:
>Two points here, interesting is a *very* relative term, what is
>interesting to you may not be to me and  visa versa.  Secondly I
>agree, that if you have a ST posting put it in the header, for people
>who don't want to read this stuff.
>
>>If there was no group for star trek fans to converse in without pestering
>>the rest of the sf world, I would just have to sit here and suffer, but
>>that's not the case.  Rec.arts.startrek is alive and well.  There is no
>>reason beyond sheer orneryness to post to sf-lovers as well.  Arguments that
>>star trek is sci-fi as well are pointless.  The simple fact is that there is
>>newsgroup for all of you to communicate in, and if the rest of us wanted to
>>listen, then we would.
>
>Well startrek is sf and I don't see how that arguement is pointless.

I have only the faintest interest in the ST stuff and I would prefer it
to be posted elsewhere, although I am not particularly bothered either.

I think the interesting question is: WHY DO WE HAVE DIFFERENT NEWSGROUPS??

I always thought it was to organize postings by subject and because different
people are interested in different things.

If you argue that ST postings could as well be made to rec.arts.sf-lovers
rather than to the special ST newsgroup, you could just as well argue
that we only need one newsgroup on the entire net: general.general.general.

Lars-Henrik Eriksson				Internet: lhe@sics.se
Swedish Institute of Computer Science		Phone (intn'l): +46 8 750 79 70
Box 1263					Telefon (nat'l): 08 - 750 79 70
S-164 28  KISTA
#! rnews 1007
Path: alberta!mnetor!uunet!mcvax!enea!tut!mk59200
From: mk59200@tut.fi (Kolkka Markku Olavi)
Newsgroups: comp.sources.bugs
Subject: Re: PC Nethack 2.2 bugs + help wanted linking
Summary: Inventory display problems
Message-ID: <522@fuksi.tut.fi>
Date: 10 Dec 87 13:32:40 GMT
References: <492@silver.bacs.indiana.edu> <5253@zen.berkeley.edu>
Reply-To: mk59200@fuksi.UUCP (Kolkka Markku Olavi)
Organization: Tampere University of Technology, Finland
Lines: 13

I have successfully compiled and linked Nethack using MSC 4.0
and it looks great, exept in a few points.  The inventory
display is spread all over the screen if there aren't enough
items to force a full-screen display.  It seems that after 
printing each line the cursor is moved one step down, but
it doesn't move left to the right place.

Also, when I teleport away from an unlit room, some quote characters
are left behind around the place I was in.

Markku Kolkka at Tampere University of Technology, Finland
mk59200@tut.fi
...mcvax!tut!mk59200
#! rnews 811
Path: alberta!mnetor!uunet!mcvax!enea!tut!tolsun!jto
From: jto@tolsun.oulu.fi (Jarkko Oikarinen)
Newsgroups: comp.sys.amiga,rec.games.misc
Subject: 'Real' controllers for Flight Simulator II
Keywords: Controllers, Flight Simulator
Message-ID: <247@tolsun.oulu.fi>
Date: 10 Dec 87 16:47:22 GMT
Organization: University of Oulu, Finland
Lines: 15
Xref: alberta comp.sys.amiga:11680 rec.games.misc:1151


  I am interested in finding any information about 'real' controllers
for Amiga's Flight Simulator II program. ie. similar controllers
that are used in real airplanes. 

Please mail your responses because I don't read this group regularly.

-- 
========================================
Jarkko Oikarinen   mcvax!tut!oulu!jarkko
                   jarkko@tolsun.oulu.fi
========================================
#! rnews 913
Path: alberta!mnetor!uunet!mcvax!inria!imag!pierre
From: pierre@imag.UUCP (Pierre LAFORGUE)
Newsgroups: comp.protocols.appletalk
Subject: NCSA TELNET bug with foreign MacSE or MacII keyboards
Message-ID: <2331@imag.UUCP>
Date: 10 Dec 87 08:08:19 GMT
Reply-To: pierre@imag.UUCP (Pierre LAFORGUE)
Organization: IMAG, University of Grenoble, France
Lines: 11

NCSA Telnet is really a must, but ...
on a Mac SE and a Mac II, NCSA Telnet 2.0 forces an american keyboard, in a
permanent manner (it remains after exiting telnet, until the next Macintosh
reboot). It is very painful when you use, for instance, a french keyboard:
not only you have to remember to type Q for A, and so on, but you cannot
type for example a Control-Z under telnet.
[On a Macintosh +, one do not loss its keyboard]

Is this bug fixed in the last version ?
-- 
Pierre Laforgue       pierre@imag.imag.fr      {uunet.uu.net|mcvax}!imag!pierre 
#! rnews 490
Path: alberta!mnetor!uunet!mcvax!diku!sergej
From: sergej@diku.UUCP (S|ren O. Jensen)
Newsgroups: sci.math.stat
Subject: The SAS package
Message-ID: <3570@diku.UUCP>
Date: 10 Dec 87 14:03:31 GMT
Organization: DIKU, U of Copenhagen, DK
Lines: 7


Is the SAS package available for UNIX-systems? We are currently using the
package on a old IBM machine but would like to change this machine to
something newer - preferably a UNIX-machine.
-- 
----
S|ren Oskar Jensen ({sergej,postmaster}@diku)
#! rnews 2766
Path: alberta!mnetor!uunet!mcvax!diku!iesd!jacob
From: jacob@iesd.uucp (Jacob stergaard B{kke)
Newsgroups: comp.arch
Subject: job search, Comp. eng.
Summary: I'm looking for a job
Keywords: Job, Computer. eng., Computer. sci., M.S.
Message-ID: <172@iesd.uucp>
Date: 10 Dec 87 12:00:17 GMT
Reply-To: jaaob@iesd.UUCP (Jacob \stergaard B{kke)
Organization: Dept. of Comp. Sci., Aalborg University, Denmark (student)
Lines: 68

I'm looking for a job in Computer Engineering to begin around July
1988. I'm getting my Master of Science in Computer Engineering June
1988 and at present holding a degree equal to BS in Electronic
Engineering. My BS studies have included:
	
	Computer hardware (hands-on knowledge with mc68k),
	Analog electronic 
	Control engineering (analog and digital control)

My MS studies have included:

	Software development (man-machine interface, what people want
			      from programs) 
	Compiler construction (an expertsystem shell) 
	Program environment (for CCS programming) 
	Distributed operating systems (in UNIX)
 	Compiler mapping object-oriented language on parallel computers

Furthermore I do have experience in conventional programming (PASCAL,
C, postscript, UNIX (awk, shell-scripts(C-shell) and yacc/lex) (and Basic)),
functional programming (LISP and ML) and logical programming (Prolog)
and knowledge about object-oriented programming. And I have also attended 
courses in VLSI design, databases, etc. I have been working with CDC under 
NOS/Telex, VAX 11/750 under Ultrix, SUN 3 under Sun OS 4.3 (UNIX), MacIntosh 
(LISA) under Finder and IBM S36 under IBM property operating system.  

My spoken English is excellent and my written English is satisfactory,
good knowledge of the Scandinavian languages (Danish (of course),
Swedish and Norwegian), some speaking and reading knowledge of German
and limited knowledge of French and Spanish (and Latin). 

I have 5 years experience in group project work in engineering and
computer scinence areas, broad social interest, good health.

My interest include computer hardware and software, operating system
design, expertsystems, distributed, concurrency and teaching.

I'm open on location (outside Denmark) but I have relatives or other
reasons to be especially intereted in:

	Canada (British Colombia or Toronto)
	USA (New England or Pacific Coast)
	Pacific (New Zealand or Oceania)
	Thailand
	Scotland (Highlands)

I'll look forward to any reponds.

		Yours sincerely
			
			Jacob Baekke, Denmark

For further information:

Reply to:     	jacob@iesd.uucp, {...}!mcvax!diku!iesd!jacob  or
		 
at Univ:	Jacob Baekke 
		S9D (in spring S10)
		Strandvejen 19
		AUC
		DK--9000 Aalborg
		Denmark

private:	Jacob Baekke
		Davids Alle 48
		DK--9000 Aalborg
		Denmark
		Tel. 45-(0)8102673
#! rnews 867
Path: alberta!mnetor!uunet!mcvax!diku!dde!jk
From: jk@dde.uucp (Jens Kjerte)
Newsgroups: comp.sources.wanted
Subject: Re: Wanted: Microemacs part 8
Message-ID: <281@Aragorn.dde.uucp>
Date: 10 Dec 87 09:27:24 GMT
References: <166@iesd.uucp>
Reply-To: jk@dde.uucp (Jens Kjerte)
Organization: Dansk Data Elektronik A/S, Herlev, Denmark
Lines: 15

In article <166@iesd.uucp> torbennr@neumann.UUCP (Torben N. Rasmussen) writes:
>
>Could someone please send me part 8 of the sources for Microemacs.
>

Me too!

It seems as if part8 never reached Denmark.

-- 

+---------------------------------------------------------------------------+
|   Jens Kjerte  @ Dansk Data Elektronik A/S, Systems Software Department   |
|   E-mail:      ..!uunet!mcvax!diku!dde!jk  or  jk@dde.uucp                |
+---------------------------------------------------------------------------+
#! rnews 512
Path: alberta!mnetor!uunet!mcvax!cernvax!ethz!solaris!wyle
From: wyle@solaris.ifi.ethz.ch@relay.cs.net (Mitchell Wyle)
Newsgroups: comp.lang.modula2
Subject: modula-2 pretty-printer
Keywords: pretty-printer
Message-ID: <195@solaris.ifi.ethz.ch@relay.cs.net>
Date: 9 Dec 87 21:56:57 GMT
Organization: SOT sun cluster, ETH Zuerich
Lines: 7

Did anyone ever get the m2pp program to work on Sun Modula-2?

Does anyone have a different Modula-2 pretty-printer (perhaps better)?

Thanks,

Mitch Wyle  (wyle@ethz.uucp)
#! rnews 1762
Path: alberta!mnetor!uunet!mcvax!cernvax!ethz!zu
From: zu@ethz.UUCP (Urs Zurbuchen)
Newsgroups: comp.emacs
Subject: Re: Has uemacs 3.9 solved the file save bug?
Message-ID: <265@bernina.UUCP>
Date: 10 Dec 87 07:21:02 GMT
References: <3056@pegasus.UUCP>
Reply-To: zu@bernina.UUCP (Urs Zurbuchen)
Organization: ETH Zuerich, CS Department, Switzerland
Lines: 30

In article <3056@pegasus.UUCP> avi@pegasus.UUCP (XMPE40000-Avi E. Gross;LZ 3C-314;6241) writes:
>
>I haven't compiled the new micro emacs since I have a MSC compiler, which is
>not fully supported.

This is simply NOT TRUE. I am also working with MSC (version 4.0) and had only
one minor problem when I compiled MicroEmacs 3.9e (the latest version which
was posted on Usenet). This problem relates to the Subshell spawning. But if
you know just a little bit of C, there is no problem to fix it (add a routine
specific to MSC). Some time ago, there was even a posting in comp.sources.bugs
describing all the necessary steps to do that.

>I have been having a very annoying problem with the
>older version, and am wondering if it has been fixed, or if someone has a
>work around. I am used to saving my files regularly with ^X^S, and then
>sometimes quiting with ^X^C. Unfortunately, uemacs will quit before
>completing the writing of the file, leaving me with only a small piece of
>the file. 

I am sure you enable breaking with ^C (either in config.sys or in autoexec.bat)
Turn this off, and all your problems have gone :-)
I know this is not the solution to this problem we all want to have. Perhaps
you can do it with signal(). If not you have to included a function of your own
which intercepts the break vector of MS-DOS.


		Have a nice day,
		      ...urs

UUCP: ...seismo!mcvax!cernvax!ethz!zu
#! rnews 2164
Path: alberta!mnetor!uunet!mcvax!cernvax!ethz!ceb
From: ceb@ethz.UUCP (Charles Buckley)
Newsgroups: comp.lang.lisp
Subject: Re: lisp environments summary -- program storage methods
Message-ID: <266@bernina.UUCP>
Date: 10 Dec 87 23:08:38 GMT
References: <613@umbc3.UMD.EDU> <325@siemens.UUCP> <323@spar.SPAR.SLB.COM> <329@siemens.UUCP> <13253@think.UUCP>
Organization: ETH Zuerich, Switzerland
Lines: 30
In-reply-to: barmar@think.COM's message of 9 Dec 87 03:18:01 GMT

Posting-Front-End: GNU Emacs 18.41.2 of Mon Sep 14 1987 on bernina (berkeley-unix)


In article <329@siemens.UUCP> steve@siemens.UUCP (Steve Clark) writes:
>  I maintain that the non-Interlisp systems are wrong, however.  It
>is clearly more advanced to treat a file as a database of definitions of
>functions, data, structures, etc. than to treat it as a string of characters
>that might have been typed at the keyboard.  However, since the rest of the
>world hasn't caught up yet, there are bound to be incompatibilities.

(Character) file storage is simply more flexible.  The form in which
information is stored must be the most flexible possible, or you lose
information.  The D-crate's pitching of conditionals is simply the
manifestation of this.

Proponents of restrictive protocols for information storage really ask
"the world" to change to fit the protocol model.  In science, models
change to fit the data, not the other way round (unless you cheat).
To me, browbeating eventual non-conformists into "catching up" by
labeling the a model as "advanced" is just a form of negative
motivation.  All the lousy places I have ever worked ran on negative
motivation, none of the good ones.  If your model *is* really worth
using, and you can communicate its value, you will not need such
tactics. 

Interactively defined functions?  Haven't typed one in *years* -
that's what scratch buffers are for (in case I want to change a
*character* or two, or later save it.).

Any mouse-based gadgets you can point to in Interlisp can be recreated
for a text editor working on correctly parsed Lisp code.  May  take
execution time, but if this is prohibitive, your function is probably
too large. 
#! rnews 2319
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!jha
From: jha@its63b.ed.ac.uk (J Andrews)
Newsgroups: rec.games.frp
Subject: Fantasy Philosophy
Keywords: wackafoo
Message-ID: <824@its63b.ed.ac.uk>
Date: 10 Dec 87 14:30:15 GMT
Reply-To: jha@lfcs.ed.ac.uk (J Andrews)
Organization: Univ. of Edinburgh Dept. of Computer Science
Lines: 38
God: Kate Bush

Least-favourite-subject: domain theory



     Those interested in the issues surrounding the mechanics and
philosophy of fantasy worlds should read Tolkien's (non-fiction)
essay "On Fairy-Stories".  It appears in the collections _Tree and
Leaf_ and _The Tolkien Reader_.

     One of the main ideas behind it is that the fantasy author or
story-teller is a "sub-creator", who tries to create a "secondary
belief" (rather than exactly a "willing suspension of disbelief")
in the reader.  In the fantasy that works, the reader should be
able to enter the world every time she picks up the book, and not
be aware of the world as being constructed by the author.  This
involves not only internal consistency, but a lack of gimmickry.

     For instance, in _Lord of the Rings_ I was never aware of
anything being in the world gratuitously.  (Others may differ! :-))
In _The Sword of Sha-Na-Na_ (sic)(sick?), on the other hand, I was
very aware of the Elfstones as being just a gimmick to get the
characters out of tight spots.  Sure it was internally consistent
(the Elfstones only had any effect in times of direst need for
their holders), but the hand of the author was clearly visible.

     Similarly, applying it to FRPG's, the magic system in AD&D is
certainly internally consistent (to the extent that it is described),
but just doesn't "work" for me.  Having MU's able to remember several
copies of a spell, but forgetting it when the last copy is cast, is
obviously a gimmick to limit the number of spells an MU can use.

     So I guess the moral of all this for FRPG or module designers
is that it's best to start out with a few basic assumptions and build
up your world from them by fairly believable steps, and if you can't
avoid ending up with something really hairy, then change one of your
assumptions rather than put in quick kludges.  (Gee, sounds like
software engineering! :=))

--Jamie.
  jha@uk.ac.ed.lfcs
"Switch off the mind and let the heart decide"
#! rnews 1818
Path: alberta!mnetor!uunet!mcvax!ukc!its63b!db
From: db@its63b.ed.ac.uk (D Berry)
Newsgroups: comp.windows.x
Subject: Questions about implementing the X toolkit.
Message-ID: <825@its63b.ed.ac.uk>
Date: 10 Dec 87 17:28:06 GMT
Reply-To: db@lfcs.ed.ac.uk (Dave Berry)
Organization: LFCS, University of Edinburgh
Lines: 25

1)  Does anyone, preferably in the UK or Europe, have a copy of the new
X toolkit interface definition I can get by ftp?

2)  I'm considering implementing the X toolkit in Standard ML.  Are there any
constraints on what I should include or exclude?  The documentation mentions
implementation in different languages, but doesn't say much about what this
means.  Is the idea to provide the same functions, with the same names and
functionality, in each language?  What about languages that have automatic
storage management or automatic creation of objects, etc?  How far can I
deviate from the documentation & still use the name "X Toolkit"?

3)  Is the toolkit definition limited to the intrinsics, or are toolkits
expected to provide a standard class hierarchy?

4)  Is there any relation between the InterViews toolkit, the Xr, Sx &
DEC toolkits provided with X version 10R4, and the current X toolkit?

5)  If I go ahead, my first implementation will be a prototype, on top of X
version 10R4.  This is because someone else is working on porting X version 11
to Standard ML, and I want a simple windowing system I can use fairly quickly.
I hope the prototype will make implementing a full version reasonably
straightforward.  I will probably ignore the resource manager, since I'll get
that for free when the full Xlib is implemented.  I'll also ignore colour for
the time being, and only implement devices (widgets) I'm immediately interested
in.  Is there anything else I can obviously ignore?
#! rnews 1113
Path: alberta!mnetor!uunet!mcvax!ukc!eagle!csw
From: csw@eagle.ukc.ac.uk (C.S.Welch)
Newsgroups: rec.arts.sf-lovers
Subject: Re: Word processors are: [was Re: Pournelle's Problems]
Message-ID: <4065@eagle.ukc.ac.uk>
Date: 10 Dec 87 18:42:09 GMT
References: <1915@haddock.ISC.COM>
Reply-To: csw@ukc.ac.uk (C.S.Welch)
Organization: Computing Lab, University of Kent at Canterbury, UK.
Lines: 20
Summary:

Expires:

Sender:

Followup-To:



Some (possibly) timely information from a course entitled "The Art of
Communication for Engineers" that I'm on this week.

From one of the handouts :-

"Word processors: research has shown that when writers use pen and paper
 alone, their thoughts and information tend to have better planning and
 organisation. When using word processors alone, writers tend to plan
 on a more surface level, focussing on such aspects as word choice, sentence
 structure, and spelling"

It goes on to recommend starting with pen and paper and graduating to WP's
after the first draft has been written.

I trust that this may have been of some interest.

Chris Welch
Cranfield Institute
U.K.
#! rnews 1286
Path: alberta!mnetor!uunet!mcvax!ukc!eagle!icdoc!qmc-cs!pd
From: pd@cs.qmc.ac.uk (Paul Davison)
Newsgroups: rec.music.misc
Subject: Re: Another Day : by Peter Gabriel and Kate Bush
Message-ID: <352@sequent.cs.qmc.ac.uk>
Date: 10 Dec 87 12:58:25 GMT
References: <1987Dec8.154517.11828@gpu.utcs.toronto.edu>
Reply-To: pd@qmc.ac.uk (Paul Davison)
Organization: Computer Science Dept, Queen Mary College, University of London, UK.
Lines: 22


I've heard of this as well, but I have never found it. It's a pity
because I would really like to hear it, so if anyone has got it please
let me know as well!!

As an aside, Roy has a new album out early next year, probably January.

Paul.

PS Your internal newsgroup "tor.general" shouldn't have been on the
newsgroups line really, because nobody else has heard of it!
-- 
--
Paul Davison

UUCP:      pd@qmc-cs.uucp   or       ...seismo!mcvax!ukc!qmc-cs!pd
Internet:  pd@cs.qmc.ac.uk              Post:   Dept of Computer Science
JANET:     pd@uk.ac.qmc.cs                      Queen Mary College
Easylink:  19019285                             University of London
Telex:     893750 QMCUOL G                      Mile End Road
Fax:       +44 1 981 7517                       London E1 4NS
Voice:     +44 1 980 4811  x3950                England
#! rnews 786
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!craig
From: craig@comp.lancs.ac.uk (Craig)
Newsgroups: comp.sys.mac
Subject: MAC II Debuggers
Keywords: Development, MacII Debuggers
Message-ID: <457@dcl-csvax.comp.lancs.ac.uk>
Date: 9 Dec 87 13:36:01 GMT
References: <687@howtek.UUCP> <3456@husc6.harvard.edu>
Reply-To: craig@comp.lancs.ac.uk (Craig)
Organization: Department of Computing at Lancaster University, UK.
Lines: 11

Having found out that Macsbug 5.5  works well with the MAC II, 
how do I get a copy ?


Craig.

-- 
UUCP:	 ...!seismo!mcvax!ukc!dcl-cs!craig| Post: University of Lancaster,
DARPA:	 craig%lancs.comp@ucl-cs          |	  Department of Computing,
JANET:	 craig@uk.ac.lancs.comp           |	  Bailrigg, Lancaster, UK.
Phone:	 +44 524 65201 Ext. 4476   	  |	  LA1 4YR
#! rnews 1070
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!strath-cs!jml
From: jml@cs.strath.ac.uk (Joseph McLean)
Newsgroups: sci.math
Subject: concatenation making primes
Message-ID: <756@stracs.cs.strath.ac.uk>
Date: 9 Dec 87 12:47:19 GMT
Reply-To: jml@cs.strath.ac.uk (Joseph McLean)
Organization: Comp. Sci. Dept., Strathclyde Univ., Scotland.
Lines: 14


tege@nada.kth.se replied by e-mail to my original posting which asked
if it is always possible to append digits to a positive number in order
to make a prime. Unfortunately, his address is one of those I can't
reach, and so I thought I'd kill two birds with one stone and post
another article.
  His argument is very simple, using the Prime Number Theorem to give
an approximation to the number of primes between x.10^n and
x.10^n+10^n-1 (which is the same problem I asked but translated to
mathematics) which shows that as n -> inf, this number of primes also
goes to infinity. A very simple argument that proves you can always
append digits to make any number into a prime. Great stuff.

      jml, the mad mathematician.
#! rnews 1275
Path: alberta!mnetor!uunet!mcvax!ukc!stc!root44!miduet!misoft!tait
From: tait@gec-mi-at.co.uk (Philip Tait)
Newsgroups: comp.sys.ibm.pc,comp.sources.wanted
Subject: Re: Wanted: PC Checkbook Software
Summary: Continental Software's Home Accountant Plus
Keywords: Checkbook
Message-ID: <800@gec-mi-at.co.uk>
Date: 9 Dec 87 17:34:03 GMT
References: <985@mhuxh.UUCP>
Sender: news@gec-mi-at.co.uk
Reply-To: tait@gec-mi-at.co.uk (Philip Tait)
Organization: Marconi Instruments Ltd., St. Albans, UK
Lines: 15
Xref: alberta comp.sys.ibm.pc:9577 comp.sources.wanted:2719

In article <985@mhuxh.UUCP> vxb@mhuxh.UUCP (Vern Bradner) writes:
>
>Can anyone suggest a PC checkbook program?

I use Home Accountant Plus by Continental Software. The (legit.) version I use
was originally bundled with the Columbia MPC, so it had to be 'unprotected'
and altered to remove some hardware dependencies. (Incidentally, this made
it possible to compile it with QuickBasic - essential if you're impatient
like me!)

I've found it reasonably secure and well-featured.

| Philip J. Tait, Marconi Instruments Ltd. | St. Albans, Herts. AL4 0JN, U.K. |
| UUCP: ...mcvax!ukc!hrc63!miduet!tait	   | NRS : tait@gec-mi-at.co.uk	      |
| Voice: +44 727 36421 x4549 Telex: 297221 | Fax: +44 727 39447		      |
#! rnews 1059
Path: alberta!mnetor!uunet!mcvax!ukc!stc!idec!kbsc!yorick
From: yorick@kbsc.UUCP (Yorick Phoenix)
Newsgroups: comp.os.cpm,comp.sources.wanted
Subject: Kermit for MP/M
Message-ID: <888@kbsc.UUCP>
Date: 7 Dec 87 17:23:21 GMT
Organization: The Knowledge-Based Systems Centre, London, UK
Lines: 16
Xref: alberta comp.os.cpm:1030 comp.sources.wanted:2720

I have a friend who is trying to transfer some files off of an Micromation
MP/M system.

He has so far moved the standard "Generic" CP/M Kermit (slowly) to the MP/M
machine but it doesn't seem to work correctly.

Has anybody ever managed to get Kermit to work under M/PM?  Is there a simple
set of differences between C/PM kermit and M/PM Kermit.  We have the full
source code for C/PM Kermit.

	Yorick Phoenix
-- 
+------------------------------------------+ The Knowledge-Based Systems Center
|  yorick@kbsc.UUCP                        | 58 Northside, Clapham Common
|  ..mcvax!ukc!{idec,hrc63}!kbsc!yorick    | LONDON   SW4 9RZ   England
+------------------------------------------+ Voice: +44 1 350 1622
#! rnews 1946
Path: alberta!mnetor!uunet!mcvax!ukc!stc!root44!gwc
From: gwc@root.co.uk (Geoff Clare)
Newsgroups: comp.unix.questions
Subject: Re: rmail under HP-UX   (was Re: Using RMAIL under HPUX)
Summary: RISC architecture
Keywords: RISC, HP-UX
Message-ID: <495@root44.co.uk>
Date: 10 Dec 87 13:58:20 GMT
References: <8711251805.AA02481@mitre-bedford.ARPA> <3720010@hpsemc.UUCP> <3631@xanth.cs.odu.edu>
Reply-To: gwc@root44.UUCP (Geoff Clare)
Organization: Root Computers Ltd, London, England
Lines: 31

>In article <3720010@hpsemc.UUCP>, bd@hpsemc.UUCP (bob desinger) writes:
>> Here's how it is on our HP-UX system, a model 840:

>> drwxrwxr-x   2 bin      mail        1024 Nov 25 18:45 /usr/mail
>> -rwxr-sr-x   2 root     mail      137216 Oct  2 00:00 /bin/rmail

>Wow!  Why is rmail so BIG?  What does HP-UX rmail do that SMAIL 2.5
>doesn't?  Contrast the size of this rmail with various executables
>found on our 4.3 BSD system.

>-rwxr-xr-x  2 root     staff       35840 Nov  3 07:02 /bin/rmail (SMAIL 2.5)
>-rwxr-xr-x  1 root     staff      104448 Jun  5  1986 /lib/ccom (C compiler)
>-rwxr-xr-x  1 root     staff       97280 Dec  5 05:17 /usr/local/carmen (Lisp)
>-rwsr-xr-x  1 root     staff      100352 Apr  5  1987 /usr/lib/sendmail

The HP840 is a RISC architecture machine.  Reduced instruction set implies
more instructions required to do the same job than on a 'complex'
instruction set machine, hence the proportionately larger executable files.
Presumably your 4.3BSD machine is a VAX-alike (i.e. complex instruction set).

The only other file from your list which exists on our HP840 system is
the C compiler, and look at the size of that beast!!

-rwxrwxr-x  1 bin      bin       1097728 Mar  5  1987 /lib/ccom

(No, that's not a typo - it really is more than 1 Megabyte!)

Geoff Clare              gwc@root.co.uk            seismo!mcvax!ukc!root44!gwc
-- 

Geoff Clare              gwc@root.co.uk            seismo!mcvax!ukc!root44!gwc
#! rnews 1904
Path: alberta!mnetor!uunet!mcvax!ukc!stc!datlog!slxsys!jpp
From: jpp@slxsys.specialix.co.uk (John Pettitt)
Newsgroups: comp.unix.xenix
Subject: Re: 16-bit versus 32-bit memory performance
Summary: 32 bit cpu on 16 bit ram is a waste of money
Message-ID: <109@slxsys.specialix.co.uk>
Date: 10 Dec 87 14:17:13 GMT
References: <388@ddsw1.UUCP> <620@omen.UUCP> <435@spdcc.COM>
Reply-To: jpp@slxsys.UUCP (John Pettitt)
Organization: Specialix International, London, UK.
Lines: 29

This should perhaps belong in comp.arch

It would appear that most 8088,8086,186 and 286 systems are
limited by the number of cycles taken to execute instructions
(I.E the clock speed).  However the 80386 (at 16 and esp at 20 Mhz)
is limited by its memory bus bandwidth.  That is the memory subsystem
on most 286 boxes is fast enough have little or no real effect on
performance compared to a change in clock speed.   An 80386
however is largly limited by the rate that it can be 'fed' data
and instructions.   

16 Bit memory subsystems have a devestating effect on the 80386 
for 2 reasons.  Firstly 2 memory accesses are required rather than
one thus doubling the access time.  Secondly most 16 bit memory cards
are designed for 8 or 10 Mhz operation not 16 Mhz so a significant
number of wait states are needed when used with a 386.   It would
appear that a 'cache miss' on the Intel Inboard(tm) generates beteween
10 and 12 wait states thus making access to 16 bit ram slower than
from the original 286.

In conclustion - if you want a 32 bit CPU use 32 bit ram.  If you
just want the instruction set use the P9 (80388) - if it ever appears.

(This posting written on a Dell 386 with 6 MB of 0 wait static 32 bit ram)

-- 
John Pettitt - 144.5 MHz: G6KCQ, CIX: jpettitt,  Voice: +44 1 398 9422
UUCP:  ...uunet!mcvax!ukc!pyrltd!slxsys!jpp  (jpp@slxsys.specialix.co.uk)
Disclaimer: I don't even own a cat to share my views !
#! rnews 1704
Path: alberta!mnetor!uunet!mcvax!unido!iaoobelix!woerz
From: woerz@iaoobelix
Newsgroups: comp.unix.wizards
Subject: Re: Request for human interface design a - (nf)
Message-ID: <8300012@iaoobelix.UUCP>
Date: 3 Dec 87 01:35:00 GMT
References: <10559@brl-adm.UUCP>
Lines: 32
Nf-ID: #R:brl-adm:10559:iaoobelix:8300012:000:1331
Nf-From: iaoobelix!woerz    Dec  3 02:35:00 1987

> /***** iaoobelix:comp.unix.wiz / oberon!blarson /  5:40 pm  Nov 28, 1987*/
> In article <7995@steinmetz.steinmetz.UUCP> dawn!stpeters@steinmetz.UUCP (Dick St.Peters) writes:
> >(The VMS interface is not always so friendly to novices: name the file
> >"junk" instead of "junk.txt", and a novice may never figure out how to
> >read it.  As for expert interfaces, rename the expert's .emacs file to
> >sav.emacs and watch him/her try to recover.)
>
> I'm no VMS expert and I know a way to recover.  Use a gun to put a few
> bullets in the aproprate disk drive.  (When it is replaced and the
> backups restored, my .emacs reappears. :-)

And if you're out of luck, a backup has been done between the time
you changed your .emacs file and the shooting of the disk and you
will get your changed file. :-(

> --
> Bob Larson              Arpa: Blarson@Ecla.Usc.Edu
> Uucp: {sdcrdcf,cit-vax}!oberon!skat!blarson             blarson@skat.usc.edu
> Prime mailing list (requests):  info-prime-request%fns1@ecla.usc.edu
> /* ---------- */

------------------------------------------------------------------------------

Dieter Woerz
Fraunhofer Institut fuer Arbeitswirtschaft und Organisation
Abt. 453
Holzgartenstrasse 17
D-7000 Stuttgart 1
W-Germany

BITNET: iaoobel.uucp!woerz@unido.bitnet
UUCP:   ...{uunet!unido, pyramid}!iaoobel!woerz
#! rnews 1992
Path: alberta!mnetor!uunet!mcvax!unido!tub!actisb!federico
From: federico@actisb.UUCP (Federico Heinz)
Newsgroups: comp.sys.atari.st
Subject: Re: Hard disk boot???
Keywords: Hard disk, GEMBOOT
Message-ID: <122@actisb.UUCP>
Date: 8 Dec 87 19:34:12 GMT
References: <624@aucs.UUCP>
Reply-To: federico@actisb.UUCP (Federico Heinz)
Organization: Actis in Berlin GmbH, W. Germany
Lines: 39

[The line eater was sleeping again ...]

In article <624@aucs.UUCP> 870646c@aucs.UUCP (barry comer) writes:
>I have a few questions for anyone using a SH204 with a Mega ST. I have a Meag2
>with a SH204, I have being auto booting from the hard disk using HDB_V2.3, I
>used to be able to auto boot from the floppy when the CTRL,SHIFT, and ALT.
>keys were held down, well since I started using the Mega, the machine always
>boots from the hard disk with the keys down or up??????????????

I didn't know of the CTRL-SHIFT-ALT trick, but I had a problem similar
to yours: there was no way my Mega would boot from floppy, and that
turned out to be quite a problem when a desk accessory I had downloded
from somewhere was turned unusable because of line noise.  My "solution"
was not to boot from hard disk at all, which I now find better since it
allows me to choose different configurations (desk accesories and such)
depending on the job I'm going to do.

>I am also using GEMBOOT to overcome the 40 folder limit in TOS(has it been
>fixed with the new ROMS?).

I'm also interested on this question, and it has been already asked a couple
of times with no visible answer.  I've never used the old ROMs, so I don't
know what the infamous "40 folder limit" means. I've had more than 40 folders
on my hard disk and nothing happened.  Does this mean that the problem is
fixed? Or is it 40 folders DEEP?


                                        
					
					///////
				      //____ //
		Federico             //     //
				    // __  //
				   // / / //
				   ///////


UUCP: ...!mcvax!unido!tub!actisb
BIX:  fheinz
#! rnews 888
Path: alberta!mnetor!uunet!mcvax!varol
From: varol@cwi.nl (Varol Akman)
Newsgroups: sci.physics
Subject: Texts a la Feynman
Summary: I would like to read them
Message-ID: <144@piring.cwi.nl>
Date: 11 Dec 87 10:59:47 GMT
Organization: CWI, Amsterdam
Lines: 12

I've been re-reading recently Feynman's excellent volumes and enjoying
myself.  The question is:  Are there physics books of similar style?
One thing that I like about Feynman is that he tries to ``demystify''
stuff instead of giving cookbook formulas.  Since I do this as a
leisurely activity, the absence of too many formulas and long
mathematical analyses (at least in Vol. I) are also appreciated.
I'm especially interested in classical mechanics.  Philosophical
implications of physics laws such as causality, etc. are also interesting.

Send me individual replies and I'll post a summary to the net. Thanks!

-Varol Akman
#! rnews 1649
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!bath63!pes
From: pes@ux63.bath.ac.uk (Smee)
Newsgroups: rec.games.misc
Subject: Re: The Pawn help
Keywords: ** EXPLICIT SPOILERS **
Message-ID: <2011@bath63.ux63.bath.ac.uk>
Date: 9 Dec 87 11:24:10 GMT
References: <2884@cbmvax.UUCP> <2299@killer.UUCP> <2910@cbmvax.UUCP>
Reply-To: pes@ux63.bath.ac.uk (Smee)
Organization: AUCC c/o University of Bath
Lines: 22

In article <2910@cbmvax.UUCP> daveb@cbmvax.UUCP (Dave Berezowski) writes:
>
>I've been told that there is a bug in the game such that you must get to
>the pedestal asap else the blue key won't be there (this is what has happended
>to me)...

The story I've heard is that this is not a bug.  Rather (as warned in the
manual) the other characters you meet are also poking around, and can have
effects even while they are not in the same location as you.

In particular, as I've heard it, if the adventurer gets to the pedestal before
you do then he will take the key.  (And allegedly you then can recover it when
you kill him.)  I haven't tried this line of play yet, so can't vouch for it,
but it sounds plausible.

There's a cute bug in the ST version, though, to do with the pedestal.  If
you move the pedestal and then type 'take all' you end up carrying the pedestal,
a duplicate of which remains in place.  (If you just try to 'take pedestal',
you are told that it is too heavy to lift.)  I'm told that this results from
a bug in the relevant object definition table entry, so it might have propagated
to other versions.  (I'd doubt that the driving data undergoes as much analysis
as the executable code during porting to other machines.)
#! rnews 1317
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!nott-cs!pyr1.cs.ucl.ac.uk!awylie
From: awylie@pyr1.cs.ucl.ac.uk
Newsgroups: comp.sys.ibm.pc
Subject: Zorland/Datalight C INT86 problem
Message-ID: <39500003@pyr1.cs.ucl.ac.uk>
Date: 8 Dec 87 13:23:00 GMT
Lines: 24
Nf-ID: #N:pyr1.cs.ucl.ac.uk:39500003:000:954
Nf-From: pyr1.cs.ucl.ac.uk!awylie    Dec  8 13:23:00 1987


Hi,
   I have a problem with the Zorland C compiler, aka Datalight-C or
NorthWest-C which I wondered if any netlander had previously encountered
and solved.
   I have a program which works fine in small model but recently I had
to go to the data model (small code, large data) whereupon it hung my
XT clone. Tracing execution seems to indicate that the DOS software
interrupt routine INT86 may be the source of the trouble.
   Has anyone seen problems with INT86 in D or L model programs? The
prospect of DEBUGging the interface between C and assembler does not
appeal to me.
   BTW I have deliberately not given details of the program. I do not
       want to debug it on the net. Please e-mail me only if you have
       solid evidence of problems in the INT86 area.

      thanks for any help you can give,
           Andrew

Andrew Wylie
University of London Computer Centre, London, England

uucp:    awylie@uk.ac.ucl.cs
JANET:   andrew@ulcc.ncdlab
#! rnews 644
Path: alberta!mnetor!uunet!mcvax!ukc!dcl-cs!nott-cs!pyr1.cs.ucl.ac.uk!awylie
From: awylie@pyr1.cs.ucl.ac.uk
Newsgroups: comp.sys.ibm.pc
Subject: Re: Virus program warning
Message-ID: <39500004@pyr1.cs.ucl.ac.uk>
Date: 8 Dec 87 17:12:00 GMT
References: <6146@jade.BERKELEY.EDU>
Lines: 8
Nf-ID: #R:jade.BERKELEY.EDU:-614600:pyr1.cs.ucl.ac.uk:39500004:000:227
